<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 6/18/2016
 * Time: 2:23 PM
 */

/**
 * Get Less to CSS string
 * *******************************************************
 */
if (!function_exists('gf_get_less_to_css')) {
	function gf_get_less_to_css($compress = true)
	{
		$loading_animation = gf_get_option('loading_animation', 'none');
		$css_variable = gf_get_custom_css_variable();
		$custom_css = gf_custom_css();

		if (!class_exists('Less_Parser')) {
			require_once GF_PLUGIN_DIR . 'core/less/Less.php';
		}
		$parser = new Less_Parser(array('compress' => $compress));

		$parser->parse($css_variable);

		// Parse style.less
		$parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/style.less', trailingslashit(get_template_directory_uri()));

		// Parse loading animation
		if ($loading_animation != 'none' && !empty($loading_animation)) {
			$parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/loading/' . $loading_animation . '.less');
		}

		$parser->parse($custom_css);
		$css = $parser->getCss();

		return $css;
	}
}

/**
 * Get Less to CSS string
 * *******************************************************
 */
if (!function_exists('gf_get_less_to_css_editor')) {
    function gf_get_less_to_css_editor($compress = false)
    {
        $css_variable = gf_get_custom_css_variable();

        if (!class_exists('Less_Parser')) {
            require_once GF_PLUGIN_DIR . 'core/less/Less.php';
        }
        $parser = new Less_Parser(array('compress' => $compress));

        $parser->parse($css_variable);

        // Parse style.less
        $parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/editor-style.less', trailingslashit(get_template_directory_uri()));

        $css = $parser->getCss();

        return $css;
    }
}

/**
 * Get Less to CSS string
 * *******************************************************
 */
if (!function_exists('gf_get_less_to_css_editor_blocks')) {
    function gf_get_less_to_css_editor_blocks($compress = false)
    {
        $css_variable = gf_get_custom_css_variable();

        if (!class_exists('Less_Parser')) {
            require_once GF_PLUGIN_DIR . 'core/less/Less.php';
        }
        $parser = new Less_Parser(array('compress' => $compress));

        $parser->parse($css_variable);

        // Parse style.less
        $parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/editor-blocks.less', trailingslashit(get_template_directory_uri()));

        $css = $parser->getCss();

        return $css;
    }
}

/**
 * Get Less to CSS string RTL
 * *******************************************************
 */
if (!function_exists('gf_get_less_to_css_rtl')) {
	function gf_get_less_to_css_rtl($compress = true)
	{
		$css_variable = gf_get_custom_css_variable();
		if (!class_exists('Less_Parser')) {
			require_once GF_PLUGIN_DIR . 'core/less/Less.php';
		}
		$parser = new Less_Parser(array('compress' => $compress));

		$parser->parse($css_variable);

		// Parse rtl.less
		$parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/variable.less');
		$parser->parseFile(trailingslashit(get_template_directory()) . 'assets/less/rtl.less', trailingslashit(get_template_directory_uri()));
		$css = $parser->getCss();

		return $css;
	}
}

/**
 * GET CUSTOM CSS
 * *******************************************************
 */
if (!function_exists('gf_custom_css')) {
	function gf_custom_css()
	{
		$custom_css = '';
		$background_image_css = '';

		$body_background_mode = gf_get_option('body_background_mode', 'background');
		$body_background = gf_get_option('body_background', array());

		if ($body_background_mode == 'background') {

			$background_image_url = isset($body_background['background-image']) ? $body_background['background-image'] : '';
			$background_color = isset($body_background['background-color']) ? $body_background['background-color'] : '';

			if (!empty($background_color)) {
				$background_image_css .= 'background-color:' . $background_color . ';';
			}

			if (!empty($background_image_url)) {
				$background_repeat = isset($body_background['background-repeat']) ? $body_background['background-repeat'] : '';
				$background_position = isset($body_background['background-position']) ? $body_background['background-position'] : '';
				$background_size = isset($body_background['background-size']) ? $body_background['background-size'] : '';
				$background_attachment = isset($body_background['background-attachment']) ? $body_background['background-attachment'] : '';

				$background_image_css .= 'background-image: url("' . $background_image_url . '");';


				if (!empty($background_repeat)) {
					$background_image_css .= 'background-repeat: ' . $background_repeat . ';';
				}

				if (!empty($background_position)) {
					$background_image_css .= 'background-position: ' . $background_position . ';';
				}

				if (!empty($background_size)) {
					$background_image_css .= 'background-size: ' . $background_size . ';';
				}

				if (!empty($background_attachment)) {
					$background_image_css .= 'background-attachment: ' . $background_attachment . ';';
				}
			}

		}

		if ($body_background_mode == 'pattern') {
			$background_image_url = GF_PLUGIN_URL . 'assets/images/theme-options/' . gf_get_option('body_background_pattern', 'pattern-1.png');
			$background_image_css .= 'background-image: url("' . $background_image_url . '");';
			$background_image_css .= 'background-repeat: repeat;';
			$background_image_css .= 'background-position: center center;';
			$background_image_css .= 'background-size: auto;';
			$background_image_css .= 'background-attachment: scroll;';
		}

		if (!empty($background_image_css)) {
			$custom_css .= 'body{' . $background_image_css . '}';
		}


		$custom_css .= gf_get_option('custom_css', '');

		$custom_scroll = gf_get_option('custom_scroll', 0);
		if ($custom_scroll == 1) {
			$custom_scroll_width = gf_get_option('custom_scroll_width', '10');
			$custom_scroll_color = gf_get_option('custom_scroll_color', '#333');
			$custom_scroll_thumb_color = gf_get_option('custom_scroll_thumb_color', '#e8aa00');

			$custom_css .= 'body::-webkit-scrollbar {width: ' . $custom_scroll_width . 'px;background-color: ' . $custom_scroll_color . ';}';
			$custom_css .= 'body::-webkit-scrollbar-thumb{background-color: ' . $custom_scroll_thumb_color . ';}';
		}

		$footer_bg_image = gf_get_option('footer_bg_image', array());
		$footer_bg_image = isset($footer_bg_image['url']) ? $footer_bg_image['url'] : '';

		if (!empty($footer_bg_image)) {
			$footer_bg_css = 'background-image:url(' . $footer_bg_image . ');';
			$footer_bg_css .= 'background-size: cover;';
			$footer_bg_css .= 'background-attachment: fixed;';
			$custom_css .= 'footer.main-footer-wrapper {' . $footer_bg_css . '}';
		}


		$custom_css = str_replace("\r\n", '', $custom_css);
		$custom_css = str_replace("\n", '', $custom_css);
		$custom_css = str_replace("\t", '', $custom_css);

		return $custom_css;
	}
}

/**
 * GET Header spacing default
 * *******************************************************
 */
if (!function_exists('gf_get_header_spacing_default')) {
	function &gf_get_header_spacing_default($header_layout)
	{
		$header_default = null;
		switch ($header_layout) {
			case 'header-1':
				$header_default = array(
					'navigation_height'     => '106px',
					'header_padding_top'    => '0',
					'header_padding_bottom' => '0',
					'logo_max_height'       => '106px',
					'logo_padding_top'      => '0',
					'logo_padding_bottom'   => '0',
				);
				break;
			default:
				$header_default = array(
					'navigation_height'     => '55px',
					'header_padding_top'    => '30px',
					'header_padding_bottom' => '30px',
					'logo_max_height'       => '50px',
					'logo_padding_top'      => '0',
					'logo_padding_bottom'   => '0',
				);
		}
		return $header_default;
	}
}

/**
 * Get custome css variable
 * *******************************************************
 */
if (!function_exists('gf_get_custom_css_variable')) {
	function gf_get_custom_css_variable()
	{
		$header_layout = gf_get_option('header_layout', 'header-1');
		$header_spacing_default = &gf_get_header_spacing_default($header_layout);

		$header_responsive_breakpoint = gf_get_option('header_responsive_breakpoint');
		$body_font = gf_get_option('body_font', array('font-family' => 'Roboto'));
		$secondary_font = gf_get_option('secondary_font', array('font-family' => 'Roboto Slab'));

		$logo_max_height = gf_get_option('logo_max_height', array('height' => ''));
		$logo_max_height = gf_process_unit_value(isset($logo_max_height['height']) ? $logo_max_height['height'] : '', $header_spacing_default['logo_max_height']);

		$mobile_logo_max_height = gf_get_option('mobile_logo_max_height', array('height' => ''));
		$mobile_logo_max_height = gf_process_unit_value(isset($mobile_logo_max_height['height']) ? $mobile_logo_max_height['height'] : '', '60px');

		$logo_padding = gf_get_option('logo_padding', array('padding-top' => '0', 'padding-bottom' => '0'));
		$logo_padding = gf_process_spacing($logo_padding, array(
			'padding-top'    => $header_spacing_default['logo_padding_top'],
			'padding-bottom' => $header_spacing_default['logo_padding_bottom'],
		));

		$mobile_logo_padding = gf_get_option('mobile_logo_padding', array('padding-top' => '0', 'padding-bottom' => '0'));
		$mobile_logo_padding = gf_process_spacing($mobile_logo_padding, array(
			'padding-top'    => '0',
			'padding-bottom' => '0',
		));

		$top_drawer_padding = gf_get_option('top_drawer_padding', array('padding-top' => '0', 'padding-bottom' => '0'));
		$top_drawer_padding = gf_process_spacing($top_drawer_padding, array(
			'padding-top'    => '0',
			'padding-bottom' => '0',
		));

		$top_bar_padding = gf_get_option('top_bar_padding', array('padding-top' => '0', 'padding-bottom' => '0'));
		$top_bar_padding = gf_process_spacing($top_bar_padding, array(
			'padding-top'    => '0',
			'padding-bottom' => '0',
		));

		$top_bar_mobile_padding = gf_get_option('top_bar_mobile_padding', array('padding-top' => '0', 'padding-bottom' => '0'));
		$top_bar_mobile_padding = gf_process_spacing($top_bar_mobile_padding, array(
			'padding-top'    => '0',
			'padding-bottom' => '0',
		));

		$header_padding = gf_get_option('header_padding', array('padding-top' => '', 'padding-bottom' => ''));
		$header_padding = gf_process_spacing($header_padding, array(
			'padding-top'    => $header_spacing_default['header_padding_top'],
			'padding-bottom' => $header_spacing_default['header_padding_bottom'],
		));
		if ($header_layout == 'header-s') {
			$header_padding = array(
				'padding-top'    => '0',
				'padding-bottom' => '0',
			);;
		}
		$navigation_height = gf_get_option('navigation_height', array('height' => ''));
		$navigation_height = gf_process_unit_value(isset($navigation_height['height']) ? $navigation_height['height'] : '', $header_spacing_default['navigation_height']);
		if (($header_layout !== 'header-5')&&($header_layout !== 'header-6'))  {
			$navigation_height = $logo_max_height;
		}

		$navigation_spacing = gf_process_unit_value(gf_get_option('navigation_spacing', '30px'), '30px');
		$header_customize_nav_spacing = gf_process_unit_value(gf_get_option('header_customize_nav_spacing', '30px'), '30px');
		$header_customize_left_spacing = gf_process_unit_value(gf_get_option('header_customize_left_spacing', '30px'), '30px');
		$header_customize_right_spacing = gf_process_unit_value(gf_get_option('header_customize_right_spacing', '30px'), '30px');

		$footer_padding = gf_get_option('footer_padding', array('padding-top' => '60px', 'padding-bottom' => '60px'));
		$footer_padding = gf_process_spacing($footer_padding, array(
			'padding-top'    => '60px',
			'padding-bottom' => '60px',
		));

		$bottom_bar_padding = gf_get_option('bottom_bar_padding', array('padding-top' => '25px', 'padding-bottom' => '25px'));
		$bottom_bar_padding = gf_process_spacing($bottom_bar_padding, array(
			'padding-top'    => '25px',
			'padding-bottom' => '25px',
		));

		$header_float = gf_get_option('header_float', 0);
		$header_overlay = gf_get_option('header_overlay', 0);
		$top_bar_overlay = gf_get_option('top_bar_overlay', 0);
		$navigation_overlay = gf_get_option('navigation_overlay', 0);

		/**
		 * COLOR VARIABLE
		 */
		$accent_color = gf_get_option('accent_color', '#ce2305');
		$foreground_accent_color = gf_get_option('foreground_accent_color', '#fff');
		$text_color = gf_get_option('text_color', '#979797');
		$border_color = gf_get_option('border_color', '#eaeaea');
		$heading_color = gf_get_option('heading_color', '#232323');
		$top_drawer_bg_color = gf_get_option('top_drawer_bg_color', '#2f2f2f');
		$top_drawer_text_color = gf_get_option('top_drawer_text_color', '#c5c5c5');

		$header_bg_color = gf_get_option('header_bg_color', '#fff');
		$header_text_color = gf_get_option('header_text_color', '#212121');
		$header_border_color = gf_get_option('header_border_color', '#eaeaea');
		$header_above_border_color = gf_get_option('header_above_border_color', '#eee');
		if ($header_float) {
			$header_bg_color = gf_hex2rgba($header_bg_color, $header_overlay);
			$header_border_color = gf_hex2rgba($header_bg_color, 0.2);
			$header_above_border_color = gf_hex2rgba($header_bg_color, 0.2);
		}

		$top_bar_bg_color = gf_get_option('top_bar_bg_color', '#eee');
		$top_bar_text_color = gf_get_option('top_bar_text_color', '#777');
		$top_bar_border_color = gf_get_option('top_bar_border_color', '#eee');
		if ($header_float) {
			$top_bar_bg_color = gf_hex2rgba($top_bar_bg_color, $top_bar_overlay);
			$top_bar_border_color = gf_hex2rgba($top_bar_border_color, 0.2);
		}

		$navigation_bg_color = gf_get_option('navigation_bg_color', '#fff');
		$navigation_text_color = gf_get_option('navigation_text_color', '#000000');
		$navigation_text_color_hover = gf_get_option('navigation_text_color_hover', '#ce2305');
		if ($header_float) {
			$navigation_bg_color = gf_hex2rgba($navigation_bg_color, $navigation_overlay);
		}

		$top_bar_mobile_bg_color = gf_get_option('top_bar_mobile_bg_color', '#fff');
		$top_bar_mobile_text_color = gf_get_option('top_bar_mobile_text_color', '#444');
		$top_bar_mobile_border_color = gf_get_option('top_bar_mobile_border_color', '#eee');
		$header_mobile_bg_color = gf_get_option('header_mobile_bg_color', '#fff');
		$header_mobile_text_color = gf_get_option('header_mobile_text_color', '#444');
		$header_mobile_border_color = gf_get_option('header_mobile_border_color', '#eee');

		$footer_bg_color = gf_get_option('footer_bg_color', '#303030');
		$footer_text_color = gf_get_option('footer_text_color', '#888888');
		$footer_widget_title_color = gf_get_option('footer_widget_title_color', '#fff');
		$footer_border_color = gf_get_option('footer_border_color', '#eee');
		$bottom_bar_bg_color = gf_get_option('bottom_bar_bg_color', '#222222');
		$bottom_bar_text_color = gf_get_option('bottom_bar_text_color', '#858585');
		$bottom_bar_border_color = gf_get_option('bottom_bar_border_color', '#eee');

		return <<<LESS_VARIABLE
			@responsive_breakpoint: {$header_responsive_breakpoint}px;
			@body_font: '{$body_font["font-family"]}';
			@secondary_font: '{$secondary_font["font-family"]}';

			@accent_color: {$accent_color};
			@foreground_accent_color: {$foreground_accent_color};
			@text_color: {$text_color};
			@border_color: {$border_color};
			@heading_color: {$heading_color};
			@top_drawer_bg_color: {$top_drawer_bg_color};
			@top_drawer_text_color: {$top_drawer_text_color};
			@header_bg_color: {$header_bg_color};
			@header_text_color: {$header_text_color};
			@header_border_color: {$header_border_color};
			@header_above_border_color: {$header_above_border_color};
			@top_bar_bg_color: {$top_bar_bg_color};
			@top_bar_text_color: {$top_bar_text_color};
			@top_bar_border_color: {$top_bar_border_color};
			@navigation_bg_color: {$navigation_bg_color};
			@navigation_text_color: {$navigation_text_color};
			@navigation_text_color_hover: {$navigation_text_color_hover};

			@top_bar_mobile_bg_color: {$top_bar_mobile_bg_color};
			@top_bar_mobile_text_color: {$top_bar_mobile_text_color};
			@top_bar_mobile_border_color: {$top_bar_mobile_border_color};
			@header_mobile_bg_color: {$header_mobile_bg_color};
			@header_mobile_text_color: {$header_mobile_text_color};
			@header_mobile_border_color: {$header_mobile_border_color};

			@footer_bg_color: {$footer_bg_color};
			@footer_text_color: {$footer_text_color};
			@footer_widget_title_color: {$footer_widget_title_color};
			@footer_border_color: {$footer_border_color};
			@bottom_bar_bg_color: {$bottom_bar_bg_color};
			@bottom_bar_text_color: {$bottom_bar_text_color};
			@bottom_bar_border_color: {$bottom_bar_border_color};

			@top_drawer_padding_top: {$top_drawer_padding['padding-top']};
			@top_drawer_padding_bottom: {$top_drawer_padding['padding-bottom']};
			@top_bar_padding_top: {$top_bar_padding['padding-top']};
			@top_bar_padding_bottom: {$top_bar_padding['padding-bottom']};
			@top_bar_mobile_padding_top: {$top_bar_mobile_padding['padding-top']};
			@top_bar_mobile_padding_bottom: {$top_bar_mobile_padding['padding-bottom']};
			@header_padding_top: {$header_padding['padding-top']};
			@header_padding_bottom: {$header_padding['padding-bottom']};
			@navigation_height: {$navigation_height};
			@navigation_spacing: {$navigation_spacing};
			@header_customize_nav_spacing: {$header_customize_nav_spacing};
			@header_customize_left_spacing: {$header_customize_left_spacing};
			@header_customize_right_spacing: {$header_customize_right_spacing};

			@footer_padding_top: {$footer_padding['padding-top']};
			@footer_padding_bottom: {$footer_padding['padding-bottom']};
			@bottom_bar_padding_top: {$bottom_bar_padding['padding-top']};
			@bottom_bar_padding_bottom: {$bottom_bar_padding['padding-bottom']};

			@logo_max_height: {$logo_max_height};
			@mobile_logo_max_height: {$mobile_logo_max_height};
			@logo_padding_top: {$logo_padding['padding-top']};
			@logo_padding_bottom: {$logo_padding['padding-bottom']};
			@mobile_logo_padding_top: {$mobile_logo_padding['padding-top']};
			@mobile_logo_padding_bottom: {$mobile_logo_padding['padding-bottom']};

LESS_VARIABLE;
	}
}

/**
 * Generate less to css
 * *******************************************************
 */
if (!function_exists('gf_generate_less')) {
	function gf_generate_less($preset_id = 0)
	{
		$dir_css = array(
			'style' => trailingslashit(get_template_directory()),
			'other'   => trailingslashit(get_template_directory()) . 'assets/css/',
		);
		$options = $GLOBALS[GF_OPTIONS_NAME];
		if ($preset_id) {
			gf_load_preset_into_theme_options($GLOBALS[GF_OPTIONS_NAME], $preset_id);
			$preset_dir = gf_get_preset_dir();

			$dir_css['style'] = $preset_dir . $preset_id . '.';
			$dir_css['other'] = $preset_dir . $preset_id . '.';
		}
		try {
			if (!defined('FS_METHOD')) {
				define('FS_METHOD', 'direct');
			}

			require_once(ABSPATH . 'wp-admin/includes/file.php');
			WP_Filesystem();
			global $wp_filesystem;

			//////////////////////////////////////////////////////////////////
			// Gen File Style
			//////////////////////////////////////////////////////////////////

			$css = gf_get_less_to_css(true);
			if (!$wp_filesystem->put_contents($dir_css['style'] . "style.min.css", $css, FS_CHMOD_FILE)) {
				if ($preset_id) {
					$GLOBALS[GF_OPTIONS_NAME] = $options;
				}
				return array(
					'status'  => 'error',
					'message' => esc_html__('Could not save file', 'rica')
				);
			}

			if (!$preset_id) {
				$theme_info = $wp_filesystem->get_contents(trailingslashit(get_template_directory()) . "theme-info.txt");

				$css = gf_get_less_to_css(false);
				$css = $theme_info . "\n" . $css;
				$css = str_replace("\r\n", "\n", $css);

				if (!$wp_filesystem->put_contents($dir_css['style'] . 'style.css', $css, FS_CHMOD_FILE)) {
					if ($preset_id) {
						$GLOBALS[GF_OPTIONS_NAME] = $options;
					}
					return array(
						'status'  => 'error',
						'message' => esc_html__('Could not save file', 'rica')
					);
				}
			}

			//////////////////////////////////////////////////////////////////
			// Gen File RTL
			//////////////////////////////////////////////////////////////////
			$css = gf_get_less_to_css_rtl(true);
			if (!$wp_filesystem->put_contents($dir_css['other'] . "rtl.min.css", $css, FS_CHMOD_FILE)) {
				if ($preset_id) {
					$GLOBALS[GF_OPTIONS_NAME] = $options;
				}
				return array(
					'status'  => 'error',
					'message' => esc_html__('Could not save file', 'rica')
				);
			}

			/*$css = gf_get_less_to_css_rtl(false);
			$css = str_replace("\r\n", "\n", $css);

			if (!$wp_filesystem->put_contents($dir_css['other'] . "rtl.css", $css, FS_CHMOD_FILE)) {
				if ($preset_id) {
					$GLOBALS[GF_OPTIONS_NAME] = $options;
				}
				return array(
					'status'  => 'error',
					'message' => esc_html__('Could not save file', 'rica')
				);
			}*/

            //////////////////////////////////////////////////////////////////
            // Gen File editor
            //////////////////////////////////////////////////////////////////
            $css = gf_get_less_to_css_editor();
            if (!$wp_filesystem->put_contents($dir_css['other'] . "editor-style.css", $css, FS_CHMOD_FILE)) {
                if ($preset_id) {
                    $GLOBALS[GF_OPTIONS_NAME] = $options;
                }
                return array(
                    'status'  => 'error',
                    'message' => esc_html__('Could not save file', 'rica')
                );
            }

            //////////////////////////////////////////////////////////////////
            // Gen File editor blocks
            //////////////////////////////////////////////////////////////////
            $css = gf_get_less_to_css_editor_blocks();
            if (!$wp_filesystem->put_contents($dir_css['other'] . "editor-blocks.css", $css, FS_CHMOD_FILE)) {
                if ($preset_id) {
                    $GLOBALS[GF_OPTIONS_NAME] = $options;
                }
                return array(
                    'status'  => 'error',
                    'message' => esc_html__('Could not save file', 'rica')
                );
            }


		} catch (Exception $e) {
			$error_message = $e->getMessage();
			error_log($error_message);
			if ($preset_id) {
				$GLOBALS[GF_OPTIONS_NAME] = $options;
			}
			return array(
				'status'  => 'error',
				'message' => $error_message
			);
		}
	}
}


if (!function_exists('gf_dev_less_to_css')) {
	function gf_dev_less_to_css()
	{
		/**
		 * Make sure we set the correct MIME type
		 */
		header('Content-Type: text/css');

		$preset_id = isset($_GET['preset_id']) ? $_GET['preset_id'] : 0;
		if ($preset_id) {
			gf_load_preset_into_theme_options($GLOBALS[GF_OPTIONS_NAME], $preset_id);
		}

		/**
		 * Render Style CSS
		 */
		echo gf_get_less_to_css();

		/**
		 * Render Shortcodes CSS
		 */
		$path_scan = GF_PLUGIN_DIR . 'shortcodes/';
		$path_to_assets = '/assets/css/';
		$root_files = scandir($path_scan);
		$css_variable = gf_get_custom_css_variable();

		if (!class_exists('Less_Parser')) {
			require_once GF_PLUGIN_DIR . 'core/less/Less.php';
		}

		foreach ($root_files as $entry) {
			if (($entry === '.') || ($entry === '..')) {
				continue;
			}
			if (is_dir($path_scan . $entry)) {
				/**
				 * Process assets/file
				 */
				if (file_exists("$path_scan$entry$path_to_assets")) {
					$less_arr = scandir("$path_scan$entry$path_to_assets");
					foreach ($less_arr as $less_file) {
						if (($less_file === '.') || ($less_file === '..')) {
							continue;
						}
						if (is_dir("$path_scan$entry$path_to_assets$less_file")) {
							continue;
						}
						$less_file_exp = explode('.', $less_file);
						$file_ex = array_pop($less_file_exp);
						if ('less' === $file_ex) {
							$parser = new Less_Parser(array('compress' => true));
							$parser->parse($css_variable);
							$parser->parseFile(G5PLUS_THEME_DIR . 'assets/less/variable.less');
							$parser->parseFile("$path_scan$entry$path_to_assets$less_file");
							echo $parser->getCss();
						}
					}
				}
			}
		}
		die();

	}

	add_action('wp_ajax_gf_dev_less_to_css', 'gf_dev_less_to_css');
	add_action('wp_ajax_nopriv_gf_dev_less_to_css', 'gf_dev_less_to_css');
}
if (!function_exists('gf_dev_less_to_css_rtl')) {
	function gf_dev_less_to_css_rtl()
	{
		/**
		 * Make sure we set the correct MIME type
		 */
		header('Content-Type: text/css');

		$preset_id = isset($_GET['preset_id']) ? $_GET['preset_id'] : 0;
		if ($preset_id) {
			gf_load_preset_into_theme_options($GLOBALS[GF_OPTIONS_NAME], $preset_id);
		}

		echo gf_get_less_to_css_rtl();
		die();
	}
	add_action('wp_ajax_gf_dev_less_to_css_rtl', 'gf_dev_less_to_css_rtl');
	add_action('wp_ajax_nopriv_gf_dev_less_to_css_rtl', 'gf_dev_less_to_css_rtl');
}

//==============================================================================
// HELPER
//==============================================================================

/**
 * Process spacing variable
 * *******************************************************
 */
if (!function_exists('gf_process_spacing')) {
	function gf_process_spacing($spacing, $default)
	{
		if ($spacing['padding-top'] === '' || $spacing['padding-top'] === 'px') {
			$spacing['padding-top'] = $default['padding-top'];
		}
		if ($spacing['padding-bottom'] === '' || $spacing['padding-bottom'] === 'px') {
			$spacing['padding-bottom'] = $default['padding-bottom'];
		}

		$spacing['padding-top'] = str_replace('px', '', $spacing['padding-top']);
		if (!is_numeric($spacing['padding-top'])) {
			$spacing['padding-top'] = 0;
		}
		$spacing['padding-top'] .= 'px';

		$spacing['padding-bottom'] = str_replace('px', '', $spacing['padding-bottom']);
		if (!is_numeric($spacing['padding-bottom'])) {
			$spacing['padding-bottom'] = 0;
		}
		$spacing['padding-bottom'] .= 'px';

		return $spacing;
	}
}

/**
 * Process unit px value variable
 * *******************************************************
 */
if (!function_exists('gf_process_unit_value')) {
	function gf_process_unit_value($value, $default)
	{
		if ($value === '' || $value === 'px') {
			$value = $default;
		}
		$value = str_replace('px', '', $value);
		if (!is_numeric($value)) {
			$value = 0;
		}
		$value .= 'px';

		return $value;
	}
}