<?php
/**
 * Register gf_preset POST TYPE
 * *******************************************************
 */
if (!function_exists('gf_register_preset_post_type')) {
    function gf_register_preset_post_type()
    {

        /**
         * Preset
         */
        $name = esc_html__('Preset', 'rica');
        register_post_type('gf_preset',
            array(
                'label'             => esc_html__('Preset', 'rica'),
                'description'       => esc_html__('Preset', 'rica'),
                'labels'            => array(
                    'name'               => $name,
                    'singular_name'      => $name,
                    'menu_name'          => $name,
                    'parent_item_colon'  => esc_html__('Parent Item:', 'rica'),
                    'all_items'          => sprintf(esc_html__('All %s', 'rica'), $name),
                    'view_item'          => esc_html__('View Item', 'rica'),
                    'add_new_item'       => sprintf(esc_html__('Add New  %s', 'rica'), $name),
                    'add_new'            => esc_html__('Add New', 'rica'),
                    'edit_item'          => esc_html__('Edit Item', 'rica'),
                    'update_item'        => esc_html__('Update Item', 'rica'),
                    'search_items'       => esc_html__('Search Item', 'rica'),
                    'not_found'          => esc_html__('Not found', 'rica'),
                    'not_found_in_trash' => esc_html__('Not found in Trash', 'rica'),
                ),
                'supports'          => array('title'),
                'public'            => true,
                'show_ui'           => true,
                '_builtin'          => false,
                'has_archive'       => false,
                'show_in_menu'      => false,
                'show_in_nav_menus' => false,
                'menu_icon'         => 'dashicons-screenoptions'
            )
        );

        /**
         * Custom Footer
         */
        $name = esc_html__('Custom Footer', 'rica');
        register_post_type('gf_footer',
            array(
                'label'             => $name,
                'description'       => $name,
                'labels'            => array(
                    'name'               => $name,
                    'singular_name'      => $name,
                    'menu_name'          => $name,
                    'parent_item_colon'  => esc_html__('Parent Item:', 'rica'),
                    'all_items'          => sprintf(esc_html__('All %s', 'rica'), $name),
                    'view_item'          => esc_html__('View Item', 'rica'),
                    'add_new_item'       => sprintf(esc_html__('Add New  %s', 'rica'), $name),
                    'add_new'            => esc_html__('Add New', 'rica'),
                    'edit_item'          => esc_html__('Edit Item', 'rica'),
                    'update_item'        => esc_html__('Update Item', 'rica'),
                    'search_items'       => esc_html__('Search Item', 'rica'),
                    'not_found'          => esc_html__('Not found', 'rica'),
                    'not_found_in_trash' => esc_html__('Not found in Trash', 'rica'),
                ),
                'supports'          => array('title', 'editor'),
                'public'            => true,
                'show_ui'           => true,
                '_builtin'          => false,
                'has_archive'       => false,
                'show_in_menu'      => false,
                'show_in_nav_menus' => false,
                'menu_icon'         => 'dashicons-screenoptions'
            )
        );
    }

    add_action('init', 'gf_register_preset_post_type');
}