<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $button_size
 * @var $layout
 * @var $border_radius
 * @var $link
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css_editor
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Button
 */


$atts = vc_map_get_attributes($this->getShortcode(), $atts);

// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $animation_style = 'style="' . implode(' ', $animation_style) . '"';
} else {
    $animation_style = '';
}

$button_class[] = 'bt';
$button_class[] = $atts['button_size'];
$button_class[] = $atts['layout'];
$button_class[] = $atts['color'];
$button_class[] = $atts['border_radius'];
if ($atts['layout'] == 'bt-border') {
    $button_class[] = $atts['border_width'];
}
if ($atts['add_icon'] == 'yes'){
    $button_class[] = $atts['icon_align'];
}
$button_class[] = $this->getExtraClass($atts['el_class']);
$button_class[] = $this->getCSSAnimation($atts['css_animation']);

$link = isset($atts['link']) ? $atts['link'] : '';
$link = vc_build_link($link);
$a_title = '';
$a_target = '_self';
$a_href = 'javsacript:;';
if (strlen($link['title']) > 0) {
    $a_href = $link['url'];
    $a_title = $link['title'];
    $a_target = strlen($link['target']) > 0 ? $link['target'] : '_self';
}
?>
<a href="<?php echo esc_url($a_href) ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="<?php echo esc_attr(implode(' ', $button_class)) ?>" <?php echo esc_attr($animation_style) ?>>
    <?php if($atts['add_icon'] == 'yes'):?>
        <?php if($atts['icon_align'] == 'icon-left'):?>
            <?php if ($atts['icon_type'] == 'image') : ?>
                <?php if(!empty($atts['icon_image'])):?>
                <span class="icon-image">
                    <?php
                    $icon_image_id = preg_replace('/[^\d]/', '', $atts['icon_image']);
                    $icon_image_src = wp_get_attachment_image_src($icon_image_id, 'full');
                    if (!empty($icon_image_src[0])) {
                        $icon_image_src = $icon_image_src[0];
                    }
                    ?>
                    <img src="<?php echo  esc_url($icon_image_src) ?>" alt="<?php echo the_title_attribute(array('post' => $icon_image_id, 'echo' => false)) ?>" />
                </span>
                <?php endif;?>
            <?php else: ?>
                <span class="icon">
                    <i class="<?php echo esc_attr($atts['icon_font']) ?>" ></i>
                </span>
            <?php endif;?>
        <?php endif;?>
    <?php endif;?>
    <?php echo esc_html($a_title) ?>
    <?php if($atts['add_icon'] == 'yes'):?>
        <?php if($atts['icon_align'] == 'icon-right'):?>
            <?php if (!empty($atts['icon_image'])) : ?>
                <span class="icon-image">
                    <?php
                    $icon_image_id = preg_replace('/[^\d]/', '', $atts['icon_image']);
                    $icon_image_src = wp_get_attachment_image_src($icon_image_id, 'full');
                    if (!empty($icon_image_src[0])) {
                        $icon_image_src = $icon_image_src[0];
                    }
                    ?>
                    <img src="<?php echo  esc_url($icon_image_src) ?>" alt="<?php echo the_title_attribute(array('post' => $icon_image_id, 'echo' => false)) ?>" />
                </span>
            <?php else: ?>
                <span class="icon">
                    <i class="<?php echo esc_attr($atts['icon_font']) ?>" ></i>
                </span>
            <?php endif;?>
        <?php endif;?>
    <?php endif;?>
</a>
