<?php
/**
 * Created by PhpStorm.
 * User: Kaga
 * Date: 20/5/2016
 * Time: 3:57 PM
 */
/**
 * Shortcode attributes
 * @var $atts
 * @var $color_scheme
 * @var $time
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Countdown
 */

$atts = vc_map_get_attributes($this->getShortcode(), $atts);

$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
	'g5plus-countdown',
	$atts['color_scheme'],
	$atts['color_time'],
	$this->getExtraClass( $atts['el_class'] ),
	$this->getCSSAnimation( $atts['css_animation'] ),
);
// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
	$wrapper_styles = $animation_style;
}
if ($wrapper_styles) {
	$wrapper_attributes[] = 'style="' . implode('; ', array_filter($wrapper_styles) ) . '"';
}

$class_to_filter = implode(' ', array_filter($wrapper_classes));
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

if (!(defined('G5PLUS_SCRIPT_DEBUG') && G5PLUS_SCRIPT_DEBUG)) {
	$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
	wp_enqueue_style(GF_PLUGIN_PREFIX . 'countdown', plugins_url(GF_PLUGIN_NAME . '/shortcodes/countdown/assets/css/countdown'.$min_suffix.'.css'), array(), false, 'all');
}

if ( !empty($atts['time'])) {
	$atts['time'] =  mysql2date( 'Y/m/d H:i:s', $atts['time'] );

	?>

	<div class="<?php echo esc_attr($css_class) ?>" data-show-month="<?php echo esc_attr($atts['show_month'])?>" data-url-redirect="<?php echo esc_attr($atts['url_redirect'])?>" data-date-end="<?php echo esc_attr($atts['time']); ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
		<div class="g5plus-countdown-inner">
			<?php if($atts['show_month'] == 'show'):?>
				<div class="countdown-section months">
					<span class="countdown-amount countdown-month">00</span>
					<span class="countdown-period"><?php esc_html_e('MONTHS','rica'); ?></span>
				</div>
			<?php endif;?>
			<div class="countdown-section">
				<span class="countdown-amount countdown-day">00</span>
				<span class="countdown-period"><?php esc_html_e('DAYS','rica'); ?></span>
			</div>
			<div class="countdown-section">
				<span class="countdown-amount countdown-hours">00</span>
				<span class="countdown-period"><?php esc_html_e('HOURS','rica'); ?></span>
			</div>
			<div class="countdown-section">
				<span class="countdown-amount countdown-minutes">00</span>
				<span class="countdown-period"><?php esc_html_e('MINS','rica'); ?></span>
			</div>
			<div class="countdown-section">
				<span class="countdown-amount countdown-seconds">00</span>
				<span class="countdown-period"><?php esc_html_e('SECS','rica'); ?></span>
			</div>
		</div>
	</div>
<?php
}