<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Cover_Box
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
    'g5plus-cover-box',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);

$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}

$class_to_filter = implode(' ',$wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'cover-box-css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/cover-box/assets/css/cover-box'.$min_suffix.'.css'), array(), false, 'all');
$min_suffix_js = gf_get_option('enable_minifile_js', 0) == 1 ? '.min' : '';
wp_enqueue_script(GF_PLUGIN_PREFIX . 'cover-box-js', plugins_url(GF_PLUGIN_NAME . '/shortcodes/cover-box/assets/js/cover-box' . $min_suffix_js . '.js'), array(), false, true);
?>
<div data-act="<?php echo esc_attr($atts['active_index']) ?>"  class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <div class="row">
        <?php
        $values = (array) vc_param_group_parse_atts( $atts['values'] );
        foreach ( $values as $data ) {
            $image = isset( $data['image'] ) ? $data['image'] : '';
            $title = isset( $data['title'] ) ? $data['title'] : '';
            $description = isset( $data['description'] ) ? $data['description'] : '';
            $link = isset( $data['link'] ) ? $data['link'] : '';
            $link = ( $link == '||' ) ? '' : $link;
            $link = vc_build_link( $link );
            $a_title='';
            $a_target='_self';
            $a_href='#';

            if ( strlen( $link['url'] ) > 0 ) {
                $a_href = $link['url'];
                $a_title = $link['title'];
                $a_target = strlen($link['target']) > 0 ? $link['target'] : '_self';
            }
            $img_id = preg_replace( '/[^\d]/', '', $image );
            $image_src = g5plus_get_image_src($img_id, 'services-image');
            ?>
            <div class="box-item box-image">
                <a title="<?php echo esc_attr($a_title ); ?>" target="<?php echo trim( esc_attr( $a_target ) ); ?>" href="<?php echo  esc_url($a_href) ?>">
                    <img src="<?php echo esc_url($image_src) ?>" alt="<?php echo esc_html($title); ?>"
                         title="<?php the_title(); ?>">
                </a>
            </div>
            <div class="box-item box-content">
                <div class="box-content-inner">
                    <?php if ($title != ''): ?>
                        <h4><?php echo esc_html($title) ?></h4>
                    <?php endif;?>
                    <p><?php echo esc_html($description) ?></p>
                    <?php if($a_title!=''):?>
                        <a class="bt bt-mini layout-trans-dark bd-radius" title="<?php echo esc_attr($a_title ); ?>" target="<?php echo trim( esc_attr( $a_target ) ); ?>" href="<?php echo  esc_url($a_href) ?>"><?php echo esc_html($a_title) ?></a>
                    <?php endif;?>
                </div>
            </div>
            <?php
        }
        ?>
    </div>
</div>