<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $layout_style
 * @var $item_amount
 * @var $autoplaytimeout
 * @var $title
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Event
 */
if(!class_exists('Tribe__Events__Main')){
    return;
}
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
    'g5plus-event',
    $atts['layout_style'],
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}
if ($wrapper_styles) {
    $wrapper_attributes[] = 'style="' . implode('; ', $wrapper_styles) . '"';
}
$class_to_filter = implode(' ',$wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'event', plugins_url(GF_PLUGIN_NAME . '/shortcodes/event/assets/css/event'.$min_suffix.'.css'), array(), false, 'all');
$args = array(
    'post_type'            => Tribe__Events__Main::POSTTYPE,
    'posts_per_page'       => $atts['item_amount']
);
$data = new WP_Query($args);
if($data->have_posts()):
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <?php if($atts['layout_style']=='style1'):
        $data_carousel = '"autoplay": true,"loop":true,"center":false,"animateOut":"fadeOut","autoplayHoverPause":true,"autoplayTimeout":'.$atts['autoplaytimeout'].',"items":1,"responsive":{},"dots": true, "nav":false';
        ?>
        <?php if($atts['title']!=''):?>
            <h3 class="s-font fs-30"><?php echo esc_html($atts['title']); ?></h3>
        <?php endif;?>
        <div data-plugin-options='{<?php echo esc_attr($data_carousel) ?>}' class="owl-g5plus-shortcode owl-carousel">
            <?php if ($data->have_posts()) :?>
                <?php while ($data->have_posts()): $data->the_post();
                    $attach_id = get_post_thumbnail_id();
                    $img =wpb_resize($attach_id,null,444,407,true);
                    ?>
                    <div class="event-item">
                        <img src="<?php echo wp_kses_post($img['url']) ?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>">
                        <div class="event-content">
                            <a href="<?php echo esc_url( tribe_get_event_link() ); ?>" title="<?php the_title_attribute() ?>" rel="bookmark">
                                <?php the_title() ?>
                            </a>
                            <span><?php echo tribe_get_start_date() ?></span>
                            <?php if ( tribe_get_cost() ) : ?>
                                <span class="tribe-events-cost"><?php echo tribe_get_cost( null, true ) ?></span>
                            <?php endif; ?>
                            <?php the_excerpt(); ?>
                            <?php
                                $postDate = strtotime(tribe_get_start_date(null, true,'Y-m-d H:i:s'));
                                $todaysDate = time();
                                if ($todaysDate < $postDate)
                                {
                                    echo do_shortcode('[g5plus_countdown time="'. tribe_get_start_date(null, true,'Y-m-d H:i:s').'"]');
                                }
                            ?>
                        </div>
                    </div>
                <?php endwhile; ?>
            <?php endif;?>
        </div>
    <?php else :?>
        <?php if ($data->have_posts()) :
            $number=uniqid();$i=0;$tab_class='';$content_html='';
            ?>
            <div class="tab-nav">
                <?php if($atts['title']!=''):?>
                    <h3 class="s-font fs-30"><?php echo esc_html($atts['title']); ?></h3>
                <?php endif;?>
                <ul class="nav nav-tabs">
                        <?php while ($data->have_posts()): $data->the_post();
                        $attach_id = get_post_thumbnail_id();
                        $img =wpb_resize($attach_id,null,520,294,true);
                        $i++;
                        if($i==1){
                            $tab_class=' in active';
                        }
                        else
                        {
                            $tab_class='';
                        }

                        ?>
                        <li<?php if($i==1):?> class="active" <?php endif;?>>
                            <a data-toggle="tab" href="#<?php echo esc_attr($number.get_the_ID()) ?>"><?php the_title(); ?></a>
                            <span><?php echo tribe_get_start_date() ?></span>
                            <?php if ( tribe_get_cost() ) : ?>
                                <span class="tribe-events-cost"><?php echo tribe_get_cost( null, true ) ?></span>
                            <?php endif; ?>
                        </li>
                        <?php
                        $content_html.='<div id="'. ($number.get_the_ID()).'" class="tab-pane fade'.$tab_class.'">
                            <img src="'. wp_kses_post($img['url']).'" alt="'. get_the_title().'" title="'. get_the_title().'">
                            <div class="event-content">
                                <a href="'. esc_url( tribe_get_event_link() ).'" title="'. get_the_title().'" rel="bookmark">
                                    '. get_the_title().'
                                </a>
                                <span class="events-start-date">'. tribe_get_start_date().'</span>';
                                if( tribe_get_cost() )
                                {
                                    $content_html.='<span class="tribe-events-cost">'. tribe_get_cost( null, true ) .'</span>';
                                }
                                $content_html.='
                                <p>'. get_the_excerpt().'</p>';
                                $postDate = strtotime(tribe_get_start_date(null, true,'Y-m-d H:i:s'));
                                $todaysDate = time();
                                if ($todaysDate < $postDate)
                                {
                                    $content_html.= do_shortcode('[g5plus_countdown time="'. tribe_get_start_date(null, true,'Y-m-d H:i:s').'"]');
                                }
                            $content_html.='</div></div>';
                        ?>
                    <?php endwhile; ?>
                    </ul>
            </div>
            <div class="tab-content">
                <?php echo !empty($content_html) ? $content_html : ''; ?>
            </div>
        <?php endif;?>
    <?php endif; ?>
</div>
<?php wp_reset_postdata();;
else:?>
    <div class="no-item-found"><?php esc_html_e('No item found','rica') ?></div>
<?php endif;?>
