<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/16/2016
 * Time: 4:09 PM
 */
$post_per_page = $atts['total_items'] && is_numeric($atts['total_items']) ? $atts['total_items'] : -1;
$args = array(
    'offset'         => 0,
    'post_name__in'  => explode(",", $atts['gallery_slugs']),
    'posts_per_page' => -1,
    'post_type'      => GF_GALLERY_POST_TYPE,
    'post_status'    => 'publish');

if ($atts['data_source'] == '') {
    $args = array(
        'offset'                     => 0,
        'posts_per_page'             => $post_per_page,
        'post_type'                  => GF_GALLERY_POST_TYPE,
        GF_GALLERY_CATEGORY_TAXONOMY => strtolower($atts['category']),
        'post_status'                => 'publish');
}

$data_gallery = new WP_Query($args);
$section_id = uniqid();
$matrix = array(1, 1, 4, 1, 2, 1, 1, 2, 1, 1);
$item_class = 'w-item';
$index = $width = $height = $matrix_index = $thumbail_id = $thumbnail_url = $image_full_url = 0;
$cat_filter = $alt = '';
$atts['class_wrap'][] = 'gallery-wrap isotope';
$gallery_id = rand();
?>
<div class="<?php echo join(' ', $atts['class_wrap']) ?>" id="gallery-<?php echo esc_attr($gallery_id); ?>">
    <?php if ($atts['show_category']): ?>
        <div class="gallery-categories">
            <?php
            $term_slugs = explode(",", $atts['category']);
            if ($atts['category']) {
                add_filter('get_terms_orderby', 'gf_get_terms_orderby_slugs', 10, 3);
                $terms = get_terms(GF_GALLERY_CATEGORY_TAXONOMY, array('slug' => $term_slugs, 'order_by_in_slug' => $term_slugs));
                remove_filter('get_terms_orderby', 'gf_get_terms_orderby_slugs', 10);
            } else {
                $terms = get_terms(GF_GALLERY_CATEGORY_TAXONOMY);
            }
            $index = 0;
            ?>
            <ul>
                <li>
                    <a href="#" class="isotope-filter active" data-cat="" data-filter="*"
                       data-section-id="<?php echo esc_attr($gallery_id) ?>">
                        <?php esc_html_e('All', 'rica'); ?>
                    </a>
                </li>
                <?php foreach ($terms as $term) { ?>
                    <li>
                        <a href="#" class="isotope-filter" data-cat="<?php echo esc_attr($term->slug) ?>"
                           data-filter=".<?php echo esc_attr($term->slug) ?>"
                           data-section-id="<?php echo esc_attr($gallery_id) ?>">
                            <?php echo wp_kses_post($term->name) ?>
                        </a>
                    </li>
                <?php } ?>
            </ul>
        </div>
    <?php endif; ?>
    <div class="gallery-items">
        <?php while ($data_gallery->have_posts()) : $data_gallery->the_post();
            $width = $height = 385;
            $matrix_index = $matrix[$index % 10];
            $index++;
            $item_class = 'w-item';
            $width = $height = 385;
            if ($matrix_index == 4) {
                $width = $width * 2;
                $height = $height * 2 + 1;
                $item_class = 'w-item-2x';
            }
            if ($matrix_index == 2) {
                $width = $width * 2;
                $item_class = 'w-item-2x';
            }

            if (has_post_thumbnail()) {
                $thumbail_id = get_post_thumbnail_id();
                $alt = get_the_title($thumbail_id);
                $thumbnail_url = matthewruddy_image_resize_id($thumbail_id, $width, $height);
                $image_full_url = wp_get_attachment_image_src($thumbail_id, 'full');
                $image_full_url = isset($image_full_url[0]) ? $image_full_url[0] : '';

                $cat_filter = '';
                if($atts['show_category']){
                    $terms = wp_get_post_terms(get_the_ID(), array(GF_GALLERY_CATEGORY_TAXONOMY));
                    foreach ($terms as $term) {
                        $cat_filter .= $term->slug . ' ';
                    }
                }
                $item_class .= ' gallery-item isotope-item ' . $cat_filter;
                if($atts['is_grayscale']){
                    $item_class .= ' item-grayscale';
                }
                ?>
                <div class="<?php echo esc_attr($item_class) ?>">
                    <img src="<?php echo esc_attr($thumbnail_url) ?>"  alt="<?php echo esc_attr($alt) ?>">
                    <div class="hover-wrap">
                        <div class="hover-inner">
                            <div class="title fs-24 uppercase fw-bold">
                                <?php the_title(); ?>
                            </div>
                            <div class="excerpt text-italic fs-16">
                                <?php the_excerpt(); ?>
                            </div>
                        </div>
                        <a class="light-gallery" data-gallery-id="<?php echo esc_attr($gallery_id); ?>"
                           href="<?php echo esc_url($image_full_url) ?>" data-rel='lightGallery'
                           data-thumb-src="<?php echo esc_attr($thumbnail_url) ?>">
                            <i class="fa fa-expand" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            <?php } ?>

        <?php endwhile;
        wp_reset_postdata();
        ?>
    </div>


</div>
