<?php
return array(
	'name' => esc_html__('Google Map', 'rica'),
	'base' => 'g5plus_goole_map',
	'icon' => 'fa fa-map-marker',
	'category' => GF_SHORTCODE_CATEGORY,
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Layout Style', 'rica'),
			'param_name' => 'layout_style',
			'admin_label' => true,
			'value' => array(esc_html__('Show Marker Icon', 'rica') => 'marker', esc_html__('Show Info Windows', 'rica') => 'infowindow'),
			'description' => esc_html__('Select Layout Style.', 'rica'),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Latitude ', 'rica'),
			'param_name' => 'lat',
			'value' => '',
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Longitude ', 'rica'),
			'param_name' => 'lng',
			'value' => '',
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Marker title', 'rica'),
			'param_name' => 'marker_title',
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'marker',
			),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Marker Icon', 'rica' ),
			'param_name' => 'marker_icon',
			'value' => '',
			'description' => esc_html__( 'Select an image from media library.', 'rica' ),
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'marker',
			),
		),
		array(
			'type' => 'textarea_raw_html',
			'heading' => esc_html__( 'Info Windows HTML', 'rica' ),
			'param_name' => 'info_html',
			'description' => esc_html__( 'Enter your HTML content.', 'rica' ),
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'infowindow',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Windows Max Width', 'rica'),
			'param_name' => 'info_max_width',
			'std'=>210,
			'edit_field_class' => 'vc_col-sm-6',
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'infowindow',
			),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Windows Background Color', 'rica'),
			'param_name' => 'info_bg',
			'value' => '',
			'std'=>'#ce2305',
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'infowindow',
			),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Windows Color', 'rica'),
			'param_name' => 'info_color',
			'value' => '',
			'std'=>'#fff',
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'infowindow',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Map height (px or %)', 'rica'),
			'param_name' => 'map_height',
			'edit_field_class' => 'vc_col-sm-6',
			'std' => '500px',
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Map Color', 'rica'),
			'param_name' => 'map_color',
			'value' => '',
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'number',
			'heading' => esc_html__('Map zoom', 'rica'),
			'param_name' => 'map_zoom',
			'admin_label' => true,
			'std' => '11',
			'min' => '1',
			'max' => '21',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('API Url', 'rica'),
			'param_name' => 'api_url',
			'std' => 'http://maps.googleapis.com/maps/api/js?key=AIzaSyAwey_47Cen4qJOjwHQ_sK1igwKPd74J18',
		),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);