<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Google_Map
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();
$wrapper_classes = array(
	'g5plus-google-map',
	$this->getExtraClass($atts['el_class']),
	$this->getCSSAnimation($atts['css_animation'])
);
if ($atts['map_height'] !='') {
	$wrapper_styles[] = "height: {$atts['map_height']}";
}
// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
	$wrapper_styles[] = $animation_style;
}
if ($wrapper_styles) {
	$wrapper_attributes[] = 'style="' . implode('; ', array_filter($wrapper_styles) ) . '"';
}
$class_to_filter = implode(' ', array_filter($wrapper_classes));
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

wp_enqueue_script('rica-google-api',$atts['api_url'], array(), false, true);
$min_suffix_js = gf_get_option('enable_minifile_js', 0) == 1 ? '.min' : '';
wp_enqueue_script(GF_PLUGIN_PREFIX . 'google-maps-js', plugins_url(GF_PLUGIN_NAME . '/shortcodes/google-map/assets/js/google-map' . $min_suffix_js . '.js'), array(), false, true);
$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'google-maps-css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/google-map/assets/css/google-map'.$min_suffix.'.css'), array(), false, 'all');
$marker_icon = wp_get_attachment_image_src( $atts['marker_icon'], 'full' );
$info_html=htmlentities( rawurldecode( call_user_func('base64' . '_decode', strip_tags( $atts['info_html'] ) ) ), ENT_COMPAT, 'UTF-8' )
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>
	 data-lat="<?php echo esc_attr($atts['lat']) ?>"
	 data-lng="<?php echo esc_attr($atts['lng']) ?>"
	 data-layout-style="<?php echo esc_attr($atts['layout_style']) ?>"
	 data-marker-title="<?php echo esc_attr($atts['marker_title']) ?>"
	 data-marker-icon="<?php echo esc_url($marker_icon[0]) ?>"
	 data-info-html="<?php echo esc_attr($info_html) ?>"
	 data-info-max-width="<?php echo esc_attr($atts['info_max_width']) ?>"
	 data-info-bg="<?php echo esc_attr($atts['info_bg']) ?>"
	 data-info-color="<?php echo wp_kses_post($atts['info_color']) ?>"
	 data-map-zoom="<?php echo esc_attr($atts['map_zoom']) ?>"
	 data-map-color="<?php echo esc_attr($atts['map_color']) ?>">
</div>