<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 6/30/2016
 * Time: 10:11 AM
 */

$food_cats = gf_product_get_categories();
$list_menu_foods = gf_product_get_post();

return array(
    'base'     => 'g5plus_menu_food_product',
    'name'     => esc_html__('Menu Food Product', 'rica'),
    'icon'     => 'fa fa-cutlery',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Layout', 'rica'),
            'param_name'  => 'menu_layout',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Menu list (image, title, desc, price)', 'rica') => 'menu-style-01',
                esc_html__('Menu classic (title, desc, price)', 'rica')     => 'menu-style-02',
                esc_html__('Menu tab classic (title, desc, price)', 'rica') => 'menu-style-03',
                esc_html__('Menu thumb grid (title, desc, price)', 'rica')  => 'menu-style-04'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Select source', 'rica'),
            'param_name' => 'data_source',
            'admin_label' => true,
            'value' => array(
                esc_html__('From Product Category', 'rica') => '',
                esc_html__('From Product Items', 'rica') => 'list_items')
        ),

        array(
            'type' => 'select2',
            'heading' => esc_html__('Select category', 'rica'),
            'param_name' => 'category',
            'admin_label' => true,
            'options' => $food_cats,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        array(
            'type' => 'select2',
            'heading' => esc_html__('Select menu item', 'rica'),
            'param_name' => 'menu_food_slugs',
            'options' => $list_menu_foods,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array('list_items'))
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show category', 'rica'),
            'param_name' => 'show_category',
            'dependency' => Array('element' => 'menu_layout', 'value' => array('menu-style-01'))
        ),

        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Image position', 'rica'),
            'param_name'       => 'image_position',
            'value'            => array(
                esc_html__('Same line with info', 'rica') => 'no-seperator-image',
                esc_html__('Seperator with info', 'rica') => 'seperator-image',
                esc_html__('Info hover on image', 'rica') => 'info-hover',
            ),
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Number of column', 'rica'),
            'param_name'       => 'columns',
            'value'            => array('2' => '2', '3' => '3'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency'       => array('element' => 'menu_layout', 'value' => array('menu-style-01','menu-style-04'))
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Number item per page', 'rica'),
            'param_name'       => 'post_per_page',
            'value'            => '',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Total of item', 'rica'),
            'param_name'       => 'total_items',
            'value'            => '',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Current Page', 'rica'),
            'param_name'       => 'current_page',
            'value'            => '1',
            'dependency'       => array('element' => 'data_source', 'value' => array('hidden'))
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);