<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/5/2016
 * Time: 9:42 AM
 */

$post_per_page = $atts['post_per_page'] != '' ? $atts['post_per_page'] : -1;
$total_item = $atts['total_items'] ? $atts['total_items'] : -1;
$current_page = $atts['current_page'] ? $atts['current_page'] : 1;
$offset = ($current_page - 1) * $post_per_page;

$args = array(
    'offset'         => $offset,
    'post_name__in'  => explode(",", $atts['menu_food_slugs']),
    'posts_per_page' => $post_per_page,
    'post_type'      => GF_MENU_FOOD_POST_TYPE,
    'post_status'    => 'publish');

if ($atts['data_source'] == '') {
    $args = array(
        'offset'         => $offset,
        'posts_per_page' => $post_per_page,
        'post_type'      => GF_MENU_FOOD_POST_TYPE,
        'post_status'    => 'publish');
}

$atts['class_wrap'][] = 'menu-food-wrapper '.$atts['menu_layout'];
$menu_foods = array();
$post_thumbnail_id = 0;
$thumb = $price = $feature = $feature_text = '';
$col_class = 'col-xs-12 col-sm-6 col-md-' . (12 / $atts['columns']);
$section_id = uniqid();
$width = 370;
$height = 375;
if($atts['image_position']==='no-seperator-image'){
    $width = 170;
    $height = 170;
}
$atts['class_wrap'][]= $atts['image_position'];

?>
<div class="<?php echo implode(' ',$atts['class_wrap']); ?>" id="<?php echo esc_attr($section_id) ?>"
     data-layout="<?php echo esc_attr($atts['menu_layout']); ?>"
     data-columns="<?php echo esc_attr($atts['columns']); ?>"
     data-post-per-page="<?php echo esc_attr($atts['post_per_page']); ?>"
     data-total-items="<?php echo esc_attr($atts['total_items']); ?>"
     data-image-position="<?php echo esc_attr($atts['image_position']); ?>"
     data-show-category="1"
>
    <?php $term_slugs = explode(",", $atts['category']);
    if($atts['category']){
        add_filter('get_terms_orderby', 'gf_get_terms_orderby_slugs', 10, 3);
        $terms = get_terms(GF_MENU_FOOD_CATEGORY_TAXONOMY, array('slug' => $term_slugs, 'order_by_in_slug' => $term_slugs));
        remove_filter('get_terms_orderby', 'gf_get_terms_orderby_slugs', 10);
    }else{
        $terms = get_terms(GF_MENU_FOOD_CATEGORY_TAXONOMY);
    }
    $index = 0;
    $icon_url = '';
    if ($atts['show_category']):
        ?>
        <ul class="food-tabs">
            <?php foreach ($terms as $term) {
                $icon_url = get_term_meta($term->term_id, GF_METABOX_PREFIX . 'category_image', true);
                $icon_url = isset($icon_url['url']) ? $icon_url['url'] : '';
                ?>
                <li>
                    <a href="#" <?php if ($index++ == 0) {
                        echo 'class="active"';
                    } ?> data-tab="<?php echo esc_attr($term->slug) ?>"
                       data-section-id="<?php echo esc_attr($section_id) ?>">
                        <?php if ($icon_url): ?>
                            <img src="<?php echo esc_attr($icon_url) ?>" alt="<?php echo esc_attr($term->name) ?>" />
                        <?php endif; ?>
                        <span>
                        <?php echo wp_kses_post($term->name) ?>
                        </span>
                    </a>
                </li>
            <?php } ?>
        </ul>
    <?php endif; ?>

    <div class="menu-food-group">
        <?php
        $index = 0;
        $alt = '';
        foreach ($terms as $term) {
            $args[GF_MENU_FOOD_CATEGORY_TAXONOMY] = strtolower($term->slug);
            $menu_foods = new WP_Query($args);
            ?>
            <div class="container <?php if ($index++ == 0) {
                echo 'active';
            } ?>" data-tab="<?php echo esc_attr($term->slug) ?>">
                <div class="row">
                    <?php while ($menu_foods->have_posts()) : $menu_foods->the_post();
                        $post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
                        $alt = get_the_title($post_thumbnail_id);
                        $thumb = matthewruddy_image_resize_id($post_thumbnail_id, $width, $height);
                        $price = get_post_meta(get_the_ID(), 'food-price', true);
                        $feature = get_post_meta(get_the_ID(), 'food-feature', true);
                        ?>
                        <div class="<?php echo esc_attr($col_class) ?>">
                            <div class="food-item item-box-shadow">
                                <div class="thumb">
                                    <img src="<?php echo esc_attr($thumb) ?>" alt="<?php echo esc_attr($alt) ?>">
                                    <div class="thumb-hover">
                                        <a class="view-gallery ladda-button" href="javascript:;" data-post-id="<?php echo get_the_ID() ?>" data-style='zoom-out'
                                           data-spinner-color='#ffffff' data-post-type="<?php echo esc_attr(GF_MENU_FOOD_POST_TYPE) ?>">
                                            <i class="fa fa-search"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="food-info">
                                    <div class="info-inner">
                                        <span class="title fs-18 fw-semi-bold"><?php the_title() ?></span>
                                        <div class="excerpt"><?php the_excerpt() ?></div>
                                        <?php if($price): ?>
                                            <span class="price text-color-accent"><?php echo wp_kses_post($price) ; ?></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <?php if ($feature): ?>
                                    <span class="feature-flash fw-bold"><?php echo wp_kses_post($feature); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endwhile;
                    ?>
                </div>
                <?php if ($menu_foods->found_posts > ($current_page * $post_per_page) && ($current_page * $post_per_page) < $total_item): ?>
                    <div class="view-more-wrap">
                        <a href="#" class="bt bt-background bt-primary bt-md" data-category="<?php echo esc_attr($term->slug) ?>"
                           data-section-id="<?php echo esc_attr($section_id) ?>"
                           data-next-page="<?php echo esc_attr(($current_page + 1)); ?>">
                            <?php esc_html_e('View more', 'rica'); ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>
            <?php
            wp_reset_postdata();
        } //endfor ?>
    </div>
</div>