<?php
/**
 * Shortcode attributes
 * @var $content
 * @var $atts
 * @var $layout_style
 * @var $columns
 * @var $is_slider
 * @var $arrows
 * @var $dots
 * @var $auto_play
 * @var $autoplaytimeout
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_g5Plus_Our_Team
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();
$content_attributes = '';

$wrapper_classes = array(
    'g5plus-our-team',
    'our-team-'.$atts['layout_style'],
    $atts['color_scheme'],
    $this->getExtraClass( $atts['el_class'] ),
    $this->getCSSAnimation( $atts['css_animation'] ),
);

$attributes = array(
        'type' => 'textfield',
        'heading' => "Layout",
        'param_name' => 'layout_style_team',
        'value' => $atts['layout_style'],
);
vc_remove_param('g5plus_our_team_item', 'layout_style_team');
vc_add_param( 'g5plus_our_team_item', $attributes );

$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}

//Slider
$infinite = 'false';
if($atts['auto_play']){
    $infinite = 'true';
}
if($atts['columns'] == 4){
    $responsive = 3;
}
if($atts['columns'] == 3){
    $responsive = 2;
}
if($atts['columns'] == 2){
    $responsive = 2;
}

$content_classes[] = 'owl-carousel';
$owl_attributes = array(
    '"items": ' . $atts['columns'],
    '"dots": '. ($atts['dots'] ? 'true' : 'false'),
    '"nav": ' . ($atts['arrows'] ? 'true' : 'false'),
    '"loop":'. $infinite,
    '"autoplay": ' . ($atts['auto_play'] ? 'true' : 'false'),
    '"autoplaySpeed":'.$atts['autoplaytimeout'],
    '"responsive": {"0":{"items": 1},"320":{"items": 1},"600":{"items": 2},"980":{"items": '.$responsive.'},"1200":{"items": ' . $atts['columns'] . '}}',
);
$content_attributes = "data-plugin-options='{". implode(', ', $owl_attributes) ."}'";


if ($wrapper_styles) {
    $wrapper_attributes[] = 'style="' . implode('; ', $wrapper_styles) . '"';
}

$css_content_class = implode(' ', $content_classes);
$class_to_filter = implode(' ', $wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'our-team', plugins_url(GF_PLUGIN_NAME . '/shortcodes/our-team-ctn/assets/css/our-team-ctn'.$min_suffix.'.css'), array(), false, 'all');
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <div class="<?php echo esc_attr($css_content_class)?>" <?php echo sprintf('%s',$content_attributes) ?>>
        <?php echo do_shortcode($content) ?>
    </div>
</div>