<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Icon_Box
 */
$min_suffix = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'partner', plugins_url(GF_PLUGIN_NAME . '/shortcodes/partner/assets/css/partner' . $min_suffix . '.css'), array(), false, 'all');

$atts = vc_map_get_attributes($this->getShortcode(), $atts);

// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $animation_style = 'style="' . implode(' ', $animation_style) . '"';
} else {
    $animation_style = '';
}

$class_to_filter = vc_shortcode_custom_css_class($atts['css'], ' ') . $this->getExtraClass($atts['el_class']);

$partner_class[] = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$partner_class[] = 'g5plus-partner';
$partner_class[] = $atts['layout'];
$partner_class[] = $this->getCSSAnimation($atts['css_animation']);
$atts['partners'] = vc_param_group_parse_atts($atts['partners']);
$col_class = 'partner-item ';

$atts['item_height'] = $atts['item_height'] ? $atts['item_height'] : '90';
$atts['item_height'] .= 'px';

$content_attributes = '';
$responsives = array();
$responsives[480] = $atts['items'] > 2 ? 2 : $atts['items'];
$responsives[768] = $atts['items'] > 3 ? 3 : $atts['items'];
$responsives[1200] = $atts['items'] > 4 ? 4 : $atts['items'];

if($atts['is_slider']=='yes'){
    $slick_attributes = array(
        '"slidesToShow": ' . $atts['items'],
        '"slidesToScroll": '. $atts['items'],
        '"dots": '.($atts['nav'] ? 'true' : 'false'),
        '"autoplay": ' . ($atts['autoplay'] ? 'true' : 'false'),
        '"pauseOnHover": '. ($atts['autoplayhoverpause'] ? 'true' : 'false'),
        '"infinite" : '. ($atts['loop'] ? 'true' : 'false'),
        '"responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": '.$responsives[480].', "slidesToScroll":1} }, {"breakpoint": 768, "settings": {"slidesToShow": '.$responsives[768].', "slidesToScroll": 1}}, {"breakpoint": 1200, "settings": {"slidesToShow": '.$responsives[1200].', "slidesToScroll": 1}}]'

    );
    $content_attributes = "data-slick-config='{". implode(', ', $slick_attributes) ."}'";
}else{
    $col_class .=' col-md-'.(12/$atts['items']);
}
?>
<div class="<?php echo implode(' ', $partner_class); ?>"   <?php echo esc_attr($animation_style) ?> >
    <div class="row slick" <?php echo sprintf('%s',$content_attributes) ?>>
        <?php foreach ($atts['partners'] as $partner):
            if (isset($partner['images'])):
                $post_thumbnail = wpb_getImageBySize(array('attach_id' => $partner['images']));
                $partner_url = isset($partner['url']) ?  $partner['url'] : 'javascript:;'

                ?>
                <div class="<?php echo esc_attr($col_class) ?>" style="height:<?php  echo esc_attr($atts['item_height']) ?>" >
                    <a href="<?php echo esc_url($partner_url) ?> " target="_blank">
                        <img alt="" src="<?php echo esc_url($post_thumbnail['p_img_large'][0]); ?>">
                    </a>
                </div>
                <?php
            endif;
        endforeach; ?>
    </div>

</div>




