"use strict";
var PortfolioAjaxAction = {
    htmlTag: {
        load_more: '.load-more',
        portfolio_container: '#portfolio-'
    },

    vars: {
        dataSectionId: '',
        ajax_url: '',
        is_processing: 0,
        galleries: []
    },

    filterByCategory: function (elm) {
        if (PortfolioAjaxAction.vars.is_processing == 1) {
            return;
        }
        PortfolioAjaxAction.vars.is_processing = 1;
        var $this = jQuery(elm);
        if (jQuery(elm).hasClass('ladda-button')) {
            var l = Ladda.create(elm);
            l.start();
        }
        if ($this.is('option')) {
            jQuery('i', $this.parent().parent()).show();
        }

        var $ul;
        if ($this.is('a')) {
            $ul = $this.parent().parent();
        } else {
            $ul = $this.parent();
        }

        var $section_id = $ul.attr('data-section-id');
        var $data_port_per_page = $ul.attr('data-post-per-page');
        var $data_columns = $ul.attr('data-columns');
        var $data_bg_color = $ul.attr('data-bg-color');
        var $data_image_size = $ul.attr('data-image-size');
        var $data_padding = $ul.attr('data-padding');
        var $data_show_load_more = $ul.attr('data-show-load-more');
        var $data_category = $this.attr('data-category');
        var $data_carousel = $ul.attr('data-carousel');

        jQuery('a', 'ul[data-section-id="' + $section_id + '"').removeClass('active');
        jQuery(elm).addClass('active');

        jQuery.ajax({
            url: PortfolioAjaxAction.vars.ajax_url,
            type: 'GET',
            data: ({
                action: 'g5plusframework_portfolio_load_by_category',
                category: $data_category,
                postsPerPage: $data_port_per_page,
                columns: $data_columns,
                bg_color: $data_bg_color,
                image_size: $data_image_size,
                padding: $data_padding,
                show_load_more: $data_show_load_more,
                data_section_id: $section_id
            }),
            success: function (data) {
                if (jQuery(elm).hasClass('ladda-button')) {
                    l.stop();
                }
                if ($this.is('option')) {
                    jQuery('i', $this.parent().parent()).hide();
                }

                var $container = jQuery('.portfolio-item-wrap', '#portfolio-' + $section_id);
                var $items = jQuery('.portfolio-item-wrap > div', data);

                if($data_carousel=='true'){
                    $container.css('opacity',0);
                    $container.slick('destroy');
                    $container.empty();
                    $container.append($items);
                    PortfolioAjaxAction.setItemEffect($items,'hide');
                    $container.css('opacity',1);
                    G5Plus.common.slick();
                    PortfolioAjaxAction.setItemEffect($items,'show');
                    PortfolioAjaxAction.registerShowGallery();
                }else{
                    $container.fadeOut(function () {
                        $container.empty();
                        $container.append($items);
                        PortfolioAjaxAction.setItemEffect($items,'hide');
                        $container.fadeIn(function () {
                            PortfolioAjaxAction.setItemEffect($items,'show');
                            PortfolioAjaxAction.registerShowGallery();
                        });
                    });
                }
                PortfolioAjaxAction.vars.is_processing = 0;
            },
            error: function () {
                PortfolioAjaxAction.vars.is_processing = 0;
            }
        });

    },

    setItemEffect: function($items, $effect){
        if($effect=='hide'){
            $items.css('transition', 'opacity 1.5s linear, transform 1s');
            $items.css('-webkit-transition', 'opacity 1.5s linear, transform 1s');
            $items.css('-moz-transition', 'opacity 1.5s linear, transform 1s');
            $items.css('-ms-transition', 'opacity 1.5s linear, transform 1s');
            $items.css('-o-transition', 'opacity 1.5s linear, transform 1s');
            $items.css('opacity', 0);
            $items.css('transform', 'scale(0.2)');
            $items.css('-ms-transform', 'scale(0.2)');
            $items.css('-webkit-transform', 'scale(0.2)');
        }
        if($effect=='show'){
            for (var $i = 0; $i < $items.length; $i++) {
                (function ($index) {
                    var $delay = 100 * $i;
                    setTimeout(function () {
                        jQuery($items[$index]).css('opacity', 1);
                        jQuery($items[$index]).css('transform', 'scale(1)');
                        jQuery($items[$index]).css('-ms-transform', 'scale(1)');
                        jQuery($items[$index]).css('-webkit-transform', 'scale(1)');
                    }, $delay);
                })($i);
            }
        }
    },

    registerFilterByCategory: function (sectionId) {
        var $container = jQuery('#portfolio-' + sectionId);
        jQuery('.portfolio-tabs li', $container).each(function () {
            jQuery('a', jQuery(this)).off();
            jQuery('a', jQuery(this)).click(function () {
                PortfolioAjaxAction.filterByCategory(this);
            });
        });
        jQuery('select', $container).off();
        jQuery('select', $container).change(function () {
            var $item = jQuery("option:selected", this);
            PortfolioAjaxAction.filterByCategory($item);
        });
    },

    registerShowGallery: function () {
        jQuery('a.view-gallery', '.portfolio-item-wrap').click(function () {
            var $post_id = jQuery(this).attr('data-post-id');
            var $this = jQuery(this);
            var l = null;
            if ($this.hasClass('ladda-button')) {
                $this.addClass('onclick');
                l = Ladda.create(this);
                l.start();
            }
            if(typeof PortfolioAjaxAction.vars.galleries[$post_id] == 'undefined'){
                jQuery.ajax({
                    url: PortfolioAjaxAction.vars.ajax_url,
                    type: 'GET',
                    data: ({
                        action: 'g5plusframework_portfolio_load_gallery',
                        post_id: $post_id
                    }),
                    success: function (data) {
                        if (typeof l != 'undefined') {
                            l.stop();
                            $this.removeClass('onclick');
                        }
                        var $galleries = JSON.parse(data);
                        jQuery(this).lightGallery({
                            dynamic: true,
                            dynamicEl: $galleries
                        });
                        PortfolioAjaxAction.vars.galleries[$post_id] = JSON.parse(data);
                    },
                    error: function () {
                        if (typeof l != 'undefined') {
                            l.stop();
                            $this.removeClass('onclick');
                        }
                    }
                });
            }else{
                jQuery(this).lightGallery({
                    dynamic: true,
                    dynamicEl: PortfolioAjaxAction.vars.galleries[$post_id]
                });
                if (typeof l != 'undefined') {
                    l.stop();
                    $this.removeClass('onclick');
                }
            }

        });
    },
    resize:function(){
        var $container = jQuery('.portfolio-item-wrap', '#portfolio-' + PortfolioAjaxAction.vars.dataSectionId);
        jQuery(window).resize(function() {
            setTimeout(function(){
                var $items = jQuery('.slick-slide',$container);
                PortfolioAjaxAction.setItemEffect($items,'show');
            },500);
        });
        jQuery(window).on('orientationchange', function() {
            setTimeout(function(){
                var $items = jQuery('.slick-slide',$container);
                PortfolioAjaxAction.setItemEffect($items,'show');
            },500);
        });
    },

    init: function (ajax_url, dataSectionId) {
        PortfolioAjaxAction.vars.dataSectionId = dataSectionId;
        PortfolioAjaxAction.vars.ajax_url = ajax_url;
        PortfolioAjaxAction.registerFilterByCategory(dataSectionId);
        PortfolioAjaxAction.registerShowGallery();
        PortfolioAjaxAction.resize();
    }
}
