<?php

$portfolio_categories = get_terms(G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY, array('hide_empty' => 0, 'orderby' => 'ASC'));
$portfolio_cat = array();
if (is_array($portfolio_categories)) {
    foreach ($portfolio_categories as $cat) {
        $portfolio_cat[$cat->name] = $cat->slug;
    }
}

$args = array(
    'posts_per_page' => -1,
    'post_type'      => G5PLUS_PORTFOLIO_POST_TYPE,
    'post_status'    => 'publish');
$list_portfolio = array();
$post_array = get_posts($args);
foreach ($post_array as $post) : setup_postdata($post);
    $list_portfolio[$post->post_title] = $post->post_name;
endforeach;
wp_reset_postdata();

return array(
    'base'     => 'g5plus_portfolio',
    'name'     => esc_html__('Portfolio', 'rica'),
    'icon'     => 'fa fa-th-large',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type'        => 'select2',
            'multiple'    => true,
            'heading'     => esc_html__('Data source', 'rica'),
            'param_name'  => 'category',
            'admin_label' => true,
            'value'       => $portfolio_cat
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Show Category', 'rica'),
            'param_name'  => 'show_category',
            'admin_label' => true,
            'value'       => array(
                esc_html__('None', 'rica')           => '',
                esc_html__('Show in left', 'rica')   => 'text-left',
                esc_html__('Show in center', 'rica') => 'text-center',
                esc_html__('Show in right', 'rica')  => 'text-right')

        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Category schema', 'rica'),
            'param_name'  => 'category_schema',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Dark', 'rica')   => 'cat-dark',
                esc_html__('Light', 'rica') => 'cat-light'),
            'dependency'=> array('element'=>'show_category','value'=>array('text-left','text-center','text-right')),
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Number of column', 'rica'),
            'param_name'       => 'columns',
            'value'            => array('2' => '2', '3' => '3', '4' => '4'),
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Number of item', 'rica'),
            'param_name'       => 'items',
            'value'            => '8',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Image size', 'rica'),
            'param_name'       => 'image_size',
            'value'            => '270x270',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Show Slider', 'rica'),
            'param_name'       => 'show_slider',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Padding', 'rica'),
            'param_name' => 'padding',
            'value'      => array(esc_html__('No padding', 'rica') => 'no-padding', '5 px' => 'padding-5', '10 px' => 'padding-10', '15 px' => 'padding-15', '20 px' => 'padding-20'),
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Backgound hover color', 'rica'),
            'param_name' => 'bg_color',
            'value'      => array(
                esc_html__('Primary color', 'rica') => 'bg-primary-color',
                esc_html__('Light', 'rica') => 'bg-light',
                esc_html__('Dark', 'rica') => 'bg-dark')
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Order By', 'rica'),
            'param_name' => 'order_by',
            'value'      => array(
                esc_html__('Default', 'rica') => '',
                esc_html__('Portfolio id', 'rica') => 'ID',
                esc_html__('Portfolio title', 'rica') => 'title',
                esc_html__('Portfolio name (slug)', 'rica') => 'name',
                esc_html__('Date', 'rica') => 'date'
                )
        ),
        array(
            'type'       => 'dropdown',
            'heading'    => esc_html__('Order', 'rica'),
            'param_name' => 'order',
            'value'      => array(
                esc_html__('Ascending', 'rica') => 'ASC',
                esc_html__('Descending', 'rica') => 'DESC')
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);


