<?php
return array(
    'base'     => 'g5plus_posts',
    'name'     => esc_html__('Post', 'rica'),
    'icon'     => 'fa fa-file-text-o',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        gf_vc_map_add_narrow_category(),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Source', 'rica'),
            'param_name'       => 'source',
            'value'            => array(
                esc_html__('Random', 'rica')  => 'random',
                esc_html__('Popular', 'rica') => 'popular',
                esc_html__('Recent', 'rica')  => 'recent',
                esc_html__('Oldest', 'rica')  => 'oldest'
            ),
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Number of posts', 'rica'),
            'description'      => esc_html__('Enter number of posts to display.', 'rica'),
            'param_name'       => 'number',
            'value'            => 5,
            'admin_label'      => true,
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Columns', 'rica'),
            'param_name'       => 'columns',
            'value'            => array('2' => 2, '3' => 3, '4' => 4),
            'std' => '3',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show pagination control', 'rica'),
            'param_name' => 'dots',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show navigation control', 'rica'),
            'param_name' => 'arrows',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Auto play', 'rica'),
            'param_name' => 'auto_play',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Autoplay Timeout', 'rica'),
            'param_name' => 'autoplaytimeout',
            'description' => esc_html__('Autoplay interval timeout.', 'rica'),
            'value' => '',
            'std' => 5000,
            'dependency' => array('element' => 'auto_play', 'value' => 'true'),
        ),

        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);