<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Progress_Bar
 */
$output='';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$min_suffix_css = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'progress_bar_css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/progress-bar/assets/css/progress-bar' . $min_suffix_css . '.css'), array(), false);

$atts['el_class'] = $this->getExtraClass( $atts['el_class'] );

$bar_options = array();
$atts['options'] = explode( ',', $atts['options'] );
if ( in_array( 'animated', $atts['options'] ) ) {
    $bar_options[] = 'animated';
}
if ( in_array( 'striped', $atts['options'] ) ) {
    $bar_options[] = 'striped';
}

if ( 'custom' === $atts['bgcolor'] && '' !== $atts['custombgcolor'] ) {
    $atts['custombgcolor'] = vc_get_css_color( 'background-color', $atts['custombgcolor'] );
    if ( '' !== $atts['customtxtcolor'] ) {
        $atts['customtxtcolor'] = vc_get_css_color( 'color', $atts['customtxtcolor'] );
    }
    if ( '' !== $atts['customvaluetxtcolor'] ) {
        $atts['customvaluetxtcolor'] = vc_get_css_color( 'color', $atts['customvaluetxtcolor'] );
    }
    if ('' !== $atts['custombgbarcolor']) {
        $atts['custombgbarcolor'] = vc_get_css_color('background-color', $atts['custombgbarcolor']);
    }
    $atts['bgcolor'] = '';
} else {
    $atts['custombgcolor'] = '';
    $atts['custombgbarcolor'] = '';
    $atts['customtxtcolor'] = '';
    $atts['customvaluetxtcolor']='';
    $atts['bgcolor'] = 'vc_progress-bar-color-' . esc_attr( $atts['bgcolor'] );
    $atts['el_class'] .= ' ' . $atts['bgcolor'];
}

$class_to_filter = 'vc_progress_bar wpb_content_element';
$class_to_filter .= vc_shortcode_custom_css_class( $atts['css'], ' ' ) . $this->getExtraClass( $atts['el_class'] );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );
if($atts['layout_style']!='style2')
{
    $css_class.=' '.$atts['value_style'];
}
$output = '<div class="g5plus-h-progress-bar ' . esc_attr($atts['layout_style']) . ' ' . esc_attr($css_class) . '">';
$output .= wpb_widget_title( array( 'title' => $atts['title'], 'extraclass' => 'wpb_progress_bar_heading' ) );
$values = (array) vc_param_group_parse_atts( $atts['values'] );
$max_value = 0.0;
$graph_lines_data = array();
foreach ( $values as $data ) {
    $new_line = $data;
    $new_line['value'] = isset( $data['value'] ) ? $data['value'] : 0;
    $new_line['label'] = isset( $data['label'] ) ? $data['label'] : '';
    $new_line['vc_bar'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $atts['custombgcolor'];
    $new_line['vc_single_bar'] = isset($data['color']) && 'custom' !== $data['color'] ? '' : $atts['custombgbarcolor'];
    $new_line['vc_label'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $atts['customtxtcolor'];
    $new_line['valuetxtcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : ' style="'.$atts['customvaluetxtcolor'].'"';
    if ( isset( $data['customcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['vc_bar'] .='background-color: ' . esc_attr( $data['customcolor'] ) . ';';
    }
    if (isset($data['custombarcolor']) && (!isset($data['color']) || 'custom' === $data['color'])) {
        $new_line['vc_single_bar'] .='background-color: ' . esc_attr($data['custombarcolor']) . ';';
    }
    if($atts['margin']!='')
    {
        $new_line['vc_single_bar'] .='margin-bottom: ' . $atts['margin'] . 'px;';
    }
    if ( isset( $data['customtxtcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['vc_label'].= 'color: ' . esc_attr( $data['customtxtcolor'] ) . ';';
    }
    if($atts['height']!='')
    {
        $new_line['vc_label'].='height: ' . $atts['height'] . 'px;';
        if($atts['layout_style']=='style2')
        {
            $new_line['vc_label'].='line-height: ' . $atts['height'] . 'px;';
        }
    }
    if($atts['rounded']!='' && $atts['rounded']!='0')
    {
        $new_line['vc_single_bar'] .='-webkit-border-radius: ' . $atts['rounded'] . 'px;-moz-border-radius: ' . $atts['rounded'] . 'px;border-radius: ' . $atts['rounded'] . 'px;';
        $new_line['vc_bar'] .='-webkit-border-radius: ' . $atts['rounded'] . 'px;-moz-border-radius: ' . $atts['rounded'] . 'px;border-radius: ' . $atts['rounded'] . 'px;';
    }
    if ( isset( $data['customvaluetxtcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['valuetxtcolor'] = ' style="color: ' . esc_attr( $data['customvaluetxtcolor'] ) . ';"';
    }
    if ( $max_value < (float) $new_line['value'] ) {
        $max_value = $new_line['value'];
    }
    $graph_lines_data[] = $new_line;
}

foreach ($graph_lines_data as $line) {
    $vc_label_attr='';$vc_single_bar_attr='';
    if($line['vc_label']!=='')
    {
        $vc_label_attr=' style="'.$line['vc_label'].'"';
    }
    if($line['vc_single_bar']!=='')
    {
        $vc_single_bar_attr=' style="'.$line['vc_single_bar'].'"';
    }
    $unit = ('' !== $atts['units']) ? ' <span class="vc_label_units p-font"'.(( isset($line['valuetxtcolor'])) ? $line['valuetxtcolor'] : '').'>' . $line['value'] . $atts['units'] . '</span>' : '';
    $output .= '<div class="vc_general vc_single_bar' . ( ( isset( $line['color'] ) && 'custom' !== $line['color'] ) ?
            ' vc_progress-bar-color-' . $line['color'] : '' )
        . '"'. $vc_single_bar_attr.'>';
    if ($atts['layout_style'] == 'style4') {
        $output .= '<small class="vc_label"' . $vc_label_attr . '></small>';
    }
    elseif($atts['layout_style'] == 'style3')
    {
        $output .= '<small class="vc_label"' . $vc_label_attr . '><span class="progress-bar-title p-font">' . $line['label'] . '</span></small>';
    }
    else
    {
        $output .= '<small class="vc_label"' . $vc_label_attr . '><span class="progress-bar-title p-font">' . $line['label'] . '</span>' . $unit . '</small>';
    }

    if ($max_value > 100.00) {
        $percentage_value = (float)$line['value'] > 0 && $max_value > 100.00 ? round((float)$line['value'] / $max_value * 100, 4) : 0;
    } else {
        $percentage_value = $line['value'];
    }
    $output .= '<span class="vc_bar ' . esc_attr(implode(' ', $bar_options)) . '" data-percentage-value="' . esc_attr($percentage_value) . '" data-value="' . esc_attr($line['value']) . '" style="' . $line['vc_bar'] . '">';
    if ($atts['layout_style'] == 'style3') {
        $output .= $unit;
    }
    elseif($atts['layout_style']=='style4')
    {
        $title_height_attr='';
        if($atts['height']!=='')
        {
            $title_height_attr=' style="line-height: '.$atts['height'].'px"';
        }
        $output .= '<span'. $title_height_attr .' class="progress-bar-title">' . $line['label'] .$unit.'</span>';
    }
    $output .= '</span></div>';
}
$output .= '</div>';
echo !empty($output) ? $output : '';