<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $layout_style
 * @var $columns
 * @var $description
 * @var $link
 * @var $is_slider
 * @var $add_icon
 * @var $tes_bg_color
 * @var $arrows
 * @var $dots
 * @var $color_scheme
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Testimonials
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);

$atts['values'] = (array)vc_param_group_parse_atts($atts['values']);

$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
    'g5plus-testimonials',
    'tes-layout-' . $atts['tes_layout'],
    $atts['color_scheme'],
    'clearfix',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);

$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}

//Slider

$item_responsive = '';
$content_attributes = array();

$content_classes[] = 'owl-carousel';
$slider_attributes = array(
    '"items": 1',
    '"dots": ' . ($atts['dots'] ? 'true' : 'false'),
    '"nav": ' . ($atts['arrows'] ? 'true' : 'false'),
);
$content_attributes[] = "data-plugin-options='{" . implode(', ', $slider_attributes) . "}'";


if ($wrapper_styles) {
    $wrapper_attributes[] = 'style="' . implode('; ', array_filter($wrapper_styles)) . '"';
}

$css_content_class = implode(' ', $content_classes);
$class_to_filter = implode(' ', $wrapper_classes);
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$min_suffix = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'testimonials', plugins_url(GF_PLUGIN_NAME . '/shortcodes/testimonials/assets/css/testimonials' . $min_suffix . '.css'), array(), false);
?>

<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <div class="<?php echo esc_attr($css_content_class); ?>" <?php echo implode(' ', $content_attributes) ?>>
        <?php foreach ($atts['values'] as $data): ?>
        <?php $avatar = isset($data['avatar']) ? $data['avatar'] : ''; ?>
        <?php $quote = isset($data['quote']) ? $data['quote'] : ''; ?>
        <?php $author = isset($data['author']) ? $data['author'] : ''; ?>
        <?php $author_info = isset($data['author_info']) ? $data['author_info'] : ''; ?>
        <?php
        if (!empty($avatar)){
            $image = wp_get_attachment_image_src($avatar, 'full');
            $image_resize = "";
            if (!empty($image)) {
                $image_resize = matthewruddy_image_resize($image[0], 100, 100);
            }
        };
        ?>
        <div class="testimonial-item">
            <div class="quote">
                <p>"<?php echo esc_html($quote) ?>"</p>
            </div>
            <div class="info">
                <h4 class="p-font"><?php echo esc_html($author) ?></h4>
                <span><?php echo esc_html($author_info) ?></span>
                <?php if(!empty($image)):?>
                    <img src="<?php echo esc_url($image_resize['url'])?>" alt="">
                <?php endif;?>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
</div>