<?php
return array(
	'name' => esc_html__('Vertical Progress Bar', 'rica'),
	'base' => 'g5plus_vertical_progress_bar',
	'icon' => 'fa fa-bar-chart',
	'category' => GF_SHORTCODE_CATEGORY,
	'description' => esc_html__('Animated vertical progress bar', 'rica'),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Widget title', 'rica' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text used as widget title (Note: located above content element).', 'rica' )
		),
		array(
			'type' => 'param_group',
			'heading' => esc_html__( 'Values', 'rica' ),
			'param_name' => 'values',
			'description' => esc_html__( 'Enter values for graph - value, title and color.', 'rica' ),
			'value' => urlencode( json_encode( array(
				array(
					'label' => esc_html__( 'Development', 'rica' ),
					'value' => '90',
				),
				array(
					'label' => esc_html__( 'Design', 'rica' ),
					'value' => '80',
				),
				array(
					'label' => esc_html__( 'Marketing', 'rica' ),
					'value' => '70',
				),
			) ) ),
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Label', 'rica' ),
					'param_name' => 'label',
					'description' => esc_html__( 'Enter text used as title of bar.', 'rica' ),
					'admin_label' => true,
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Value', 'rica' ),
					'param_name' => 'value',
					'description' => esc_html__( 'Enter value of bar.', 'rica' ),
					'admin_label' => true,
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Color', 'rica' ),
					'param_name' => 'color',
					'value' => array(
							esc_html__( 'Default', 'rica' ) => ''
						) + array(
							esc_html__('Primary color', 'rica') => 'primary-color',
							esc_html__( 'Classic Grey', 'rica' ) => 'bar_grey',
							esc_html__( 'Classic Blue', 'rica' ) => 'bar_blue',
							esc_html__( 'Classic Turquoise', 'rica' ) => 'bar_turquoise',
							esc_html__( 'Classic Green', 'rica' ) => 'bar_green',
							esc_html__( 'Classic Orange', 'rica' ) => 'bar_orange',
							esc_html__( 'Classic Red', 'rica' ) => 'bar_red',
							esc_html__( 'Classic Black', 'rica' ) => 'bar_black',
						) + getVcShared( 'colors-dashed' ) + array(
							esc_html__( 'Custom Color', 'rica' ) => 'custom'
						),
					'description' => esc_html__( 'Select single bar background color.', 'rica' ),
					'admin_label' => true,
					'param_holder_class' => 'vc_colored-dropdown'
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom color', 'rica' ),
					'param_name' => 'customcolor',
					'description' => esc_html__( 'Select custom single bar value background color.', 'rica' ),
					'dependency' => array(
						'element' => 'color',
						'value' => array( 'custom' )
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom bar color', 'rica' ),
					'param_name' => 'custombarcolor',
					'description' => esc_html__( 'Select custom single bar background color.', 'rica' ),
					'dependency' => array(
						'element' => 'color',
						'value' => array( 'custom' )
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom label text color', 'rica' ),
					'param_name' => 'customtxtcolor',
					'description' => esc_html__( 'Select custom single bar label text color.', 'rica' ),
					'dependency' => array(
						'element' => 'color',
						'value' => array( 'custom' )
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Custom value text color', 'rica' ),
					'param_name' => 'customvaluetxtcolor',
					'description' => esc_html__( 'Select custom single bar value text color.', 'rica' ),
					'dependency' => array(
						'element' => 'color',
						'value' => array( 'custom' )
					),
				),
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Units', 'rica' ),
			'param_name' => 'units',
			'std'=> '%',
			'description' => esc_html__( 'Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'rica' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Color', 'rica' ),
			'param_name' => 'bgcolor',
			'value' => array(
					esc_html__('Primary color', 'rica') => 'primary-color',
					esc_html__( 'Classic Grey', 'rica' ) => 'bar_grey',
					esc_html__( 'Classic Blue', 'rica' ) => 'bar_blue',
					esc_html__( 'Classic Turquoise', 'rica' ) => 'bar_turquoise',
					esc_html__( 'Classic Green', 'rica' ) => 'bar_green',
					esc_html__( 'Classic Orange', 'rica' ) => 'bar_orange',
					esc_html__( 'Classic Red', 'rica' ) => 'bar_red',
					esc_html__( 'Classic Black', 'rica' ) => 'bar_black',
				) + getVcShared( 'colors-dashed' ) + array(
					esc_html__( 'Custom Color', 'rica' ) => 'custom'
				),
			'std'=>'primary-color',
			'description' => esc_html__( 'Select bar background color.', 'rica' ),
			'admin_label' => true,
			'param_holder_class' => 'vc_colored-dropdown',
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Bar value custom background color', 'rica' ),
			'param_name' => 'custombgcolor',
			'description' => esc_html__( 'Select custom background color for bars value.', 'rica' ),
			'dependency' => array( 'element' => 'bgcolor', 'value' => array( 'custom' ) )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Bar custom background color', 'rica' ),
			'param_name' => 'custombgbarcolor',
			'description' => esc_html__( 'Select custom background color for bars.', 'rica' ),
			'dependency' => array( 'element' => 'bgcolor', 'value' => array( 'custom' ) )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Bar custom label text color', 'rica' ),
			'param_name' => 'customtxtcolor',
			'description' => esc_html__( 'Select custom label text color for bars.', 'rica' ),
			'dependency' => array( 'element' => 'bgcolor', 'value' => array( 'custom' ) )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Bar custom value text color', 'rica' ),
			'param_name' => 'customvaluetxtcolor',
			'description' => esc_html__( 'Select custom value text color for bars.', 'rica' ),
			'dependency' => array( 'element' => 'bgcolor', 'value' => array( 'custom' ) )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Options', 'rica' ),
			'param_name' => 'options',
			'value' => array(
				esc_html__( 'Add stripes', 'rica' ) => 'striped',
				esc_html__( 'Add animation (Note: visible only with striped bar).', 'rica' ) => 'animated'
			)
		),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);