<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Vertical_Progress_Bar
 */
$output='';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$min_suffix_css = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'vertical-progress-bar-css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/vertical-progress-bar/assets/css/vertical-progress-bar' . $min_suffix_css . '.css'), array(), false);
$min_suffix_js = gf_get_option('enable_minifile_js', 0) == 1 ? '.min' : '';
wp_enqueue_script(GF_PLUGIN_PREFIX . 'vertical-progress-bar-js', plugins_url(GF_PLUGIN_NAME . '/shortcodes/vertical-progress-bar/assets/js/vertical-progress-bar' . $min_suffix_js . '.js'), array(), false, true);

$atts['el_class'] = $this->getExtraClass( $atts['el_class'] );
$bar_options = array();
$atts['options'] = explode( ',', $atts['options'] );
if ( in_array( 'animated', $atts['options'] ) ) {
    $bar_options[] = 'animated';
}
if ( in_array( 'striped', $atts['options'] ) ) {
    $bar_options[] = 'striped';
}
if ( 'custom' === $atts['bgcolor'] && '' !== $atts['custombgcolor'] ) {
    $atts['custombgcolor'] = ' style="' . vc_get_css_color( 'background-color', $atts['custombgcolor'] ) . '"';
    if ( '' !== $atts['customtxtcolor'] ) {
        $atts['customtxtcolor'] = ' style="' . vc_get_css_color( 'color', $atts['customtxtcolor'] ) . '"';
    }
    if ( '' !== $atts['customvaluetxtcolor'] ) {
        $atts['customvaluetxtcolor'] = ' style="' . vc_get_css_color( 'color', $atts['customvaluetxtcolor'] ) . '"';
    }
    if ('' !== $atts['custombgbarcolor']) {
        $atts['custombgbarcolor'] = vc_get_css_color('background-color', $atts['custombgbarcolor']);
    }
    $atts['bgcolor'] = '';
} else {
    $atts['custombgcolor'] = '';
    $atts['custombgbarcolor'] = '';
    $atts['customtxtcolor'] = '';
    $atts['customvaluetxtcolor']='';
    $atts['bgcolor'] = 'vc_progress-bar-color-' . esc_attr( $atts['bgcolor'] );
    $atts['el_class'] .= ' ' . $atts['bgcolor'];
}
$class_to_filter = vc_shortcode_custom_css_class( $atts['css'], ' ' ) . $this->getExtraClass( $atts['el_class'] );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$output = '<div class="g5plus-v-progress-bar ' . esc_attr($css_class).'">';
$output .= wpb_widget_title( array( 'title' => $atts['title'], 'extraclass' => 'wpb_progress_bar_heading' ) );
$values = (array) vc_param_group_parse_atts( $atts['values'] );
$max_value = 0.0;
$graph_lines_data = array();
foreach ( $values as $data ) {
    $new_line = $data;
    $new_line['value'] = isset( $data['value'] ) ? $data['value'] : 0;
    $new_line['label'] = isset( $data['label'] ) ? $data['label'] : '';
    $new_line['bgcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $atts['custombgcolor'];
    $new_line['bgbarcolor'] = isset($data['color']) && 'custom' !== $data['color'] ? '' : $atts['custombgbarcolor'];
    $new_line['txtcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $atts['customtxtcolor'];
    $new_line['valuetxtcolor'] = isset( $data['color'] ) && 'custom' !== $data['color'] ? '' : $atts['customvaluetxtcolor'];
    if ( isset( $data['customcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['bgcolor'] = ' style="background-color: ' . esc_attr( $data['customcolor'] ) . ';"';
    }
    if (isset($data['custombarcolor']) && (!isset($data['color']) || 'custom' === $data['color'])) {
        $new_line['bgbarcolor'] = ' background-color: ' . esc_attr($data['custombarcolor']) . ';';
    }
    if ( isset( $data['customtxtcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['txtcolor'] = ' style="color: ' . esc_attr( $data['customtxtcolor'] ) . ';"';
    }
    if ( isset( $data['customvaluetxtcolor'] ) && ( ! isset( $data['color'] ) || 'custom' === $data['color'] ) ) {
        $new_line['valuetxtcolor'] = ' style="color: ' . esc_attr( $data['customvaluetxtcolor'] ) . ';"';
    }
    if ( $max_value < (float) $new_line['value'] ) {
        $max_value = $new_line['value'];
    }
    $graph_lines_data[] = $new_line;
}
$bar_width=100 / count($values);
foreach ( $graph_lines_data as $line ) {
    $unit = ( '' !== $atts['units'] ) ? ' <span class="vc_label_units"'.(( isset($line['valuetxtcolor'])) ? $line['valuetxtcolor'] : '').'>' . $line['value'] . $atts['units'] . '</span>' : '';
    $output .= '<div class="vc_general vc_single_bar' . ( ( isset( $line['color'] ) && 'custom' !== $line['color'] ) ?
            ' vc_progress-bar-color-' . $line['color'] : '' )
        . '" style="width:'.$bar_width.'%;'.(( isset($line['bgbarcolor'])) ? $line['bgbarcolor'] : '').'">';
    if ( $max_value > 100.00 ) {
        $percentage_value = (float) $line['value'] > 0 && $max_value > 100.00 ? round( (float) $line['value'] / $max_value * 100, 4 ) : 0;
    } else {
        $percentage_value = $line['value'];
    }
    $output .= '<span class="vc_bar ' . esc_attr( implode( ' ', $bar_options ) ) . '" data-percentage-value="' . esc_attr( $percentage_value ) . '" data-value="' . esc_attr( $line['value'] ) . '"' . $line['bgcolor'] . '></span>';
    $output .= '<small class="vc_label"' . $line['txtcolor'] . '>' . $line['label'] . $unit . '</small>';
    $output .= '</div>';
}
$output .= '</div>';
echo !empty($output) ? $output : '';