<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Video
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
    'g5plus-video',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);
if ($atts['display_hover'] == 'yes')
{
    $wrapper_classes[]='content-hover-wapper';
}
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}
if ($wrapper_styles) {
    $wrapper_attributes[] = 'style="' . implode('; ', array_filter($wrapper_styles)) . '"';
}
$img_id = preg_replace('/[^\d]/', '', $atts['image']);
$img_size=$atts['image_size'];
if($img_size==='')
{
    $img_size='370x258';
}
$img = wpb_getImageBySize(array('attach_id' => $img_id, 'thumb_size' => $img_size));

$class_to_filter = implode(' ', array_filter($wrapper_classes));
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$min_suffix_css = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'video-css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/video/assets/css/video' . $min_suffix_css . '.css'), array(), false);
?>
<div class="<?php echo esc_attr($css_class); ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <div class="g5plus-video-image">
        <?php echo wp_kses_post($img['thumbnail']); ?>
        <a class="view-video" href="#" data-src="<?php echo esc_url($atts['link']) ?>">
            <span>
                <i class="pe-7s-play"></i>
            </span>
        </a>
        <?php if ($atts['display_hover'] == 'yes'): ?>
            <div class="content-hover">
                <div class="content-hover-inner">
                <p><?php echo esc_html($atts['text']); ?></p>
                <a class="view-video" href="#" data-src="<?php echo esc_url($atts['link']) ?>">
                    <span><i class="pe-7s-play"></i></span><?php echo esc_html($atts['button_text']); ?>
                </a>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <?php if ($atts['title'] != ''): ?>
        <h3><?php echo esc_html($atts['title']); ?></h3>
    <?php endif;
    if ($atts['sub_title'] != ''):?>
        <p><?php echo esc_html($atts['sub_title']); ?></p>
    <?php endif; ?>
</div>