<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $image
 * @var $link
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_View_Demo
 */
$title = $image = $link = $el_class = $css_animation = $duration=$delay='';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
	'g5plus-view-demo',
	'clearfix text-center',
	$this->getExtraClass( $el_class ),
	$this->getCSSAnimation( $css_animation )
);

// animation
$animation_style = $this->getStyleAnimation($animation_duration, $animation_delay);
if (sizeof($animation_style) > 0) {
	$wrapper_styles = $animation_style;
}

if ($wrapper_styles) {
	$wrapper_attributes[] = 'style="' . implode('; ', $wrapper_styles) . '"';
}

$class_to_filter = implode(' ', $wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($css, ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

if (!(defined('G5PLUS_SCRIPT_DEBUG') && G5PLUS_SCRIPT_DEBUG)) {
	wp_enqueue_style(GF_PLUGIN_PREFIX  . 'view-demo', plugins_url(GF_PLUGIN_NAME . '/shortcodes/view-demo/assets/css/view-demo.min.css'), array(), false, 'all');
}

$img_html = '';
$image_src = '';
if (!empty($image)) {
	$image_id = preg_replace( '/[^\d]/', '', $image );
	$image_srcs = wp_get_attachment_image_src( $image_id, 'full' );
	if ( ! empty( $image_srcs[0] ) ) {
		$image_src = $image_srcs[0];
		$img_html = '<img alt="'. the_title_attribute(array('post' => $image_id,'echo' => false )) .'" src="'. esc_url($image_src) .'">';
	}
} else {
	$img_html = '';
}

//parse link
$link_attributes = array();
$link = ( '||' === $link ) ? '' : $link;
$link = vc_build_link( $link );
$use_link = false;
if ( strlen( $link['url'] ) > 0 ) {
	$use_link = true;
	$link_attributes[] = 'href="' . esc_url( trim($link['url']) ) . '"';
	if(strlen($link['target']) >0) {
		$link_attributes[] = 'target="' . trim($link['target']) . '"';
	}
	if(strlen($link['rel']) >0) {
		$link_attributes[] = 'rel="' . trim($link['rel']) . '"';
	}
	if(strlen($link['title']) >0) {
		$link_attributes[] = 'title="' . trim($link['title']) . '"';
	}
}
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
	<div class="view-demo-content">
		<span><?php echo wp_kses_post( $title); ?></span>
		<?php if(strlen( $link['title'] ) > 0): ?>
			<?php if($use_link) {?>
				<a <?php echo implode(' ', $link_attributes ); ?>><?php echo esc_html( $link['title'] )?></a>
			<?php } else {?>
				<p><?php echo esc_html( $link['title'] )?></p>
			<?php } ?>
		<?php endif; ?>
		<div class="view-demo">
			<div class="view-demo-inner" style="background-image: url(<?php echo esc_url(plugins_url(GF_PLUGIN_NAME . '/shortcodes/view-demo/assets/images/imac.png')) ?>)">
				<?php if($img_html != ''): ?>
					<div class="img-scroll">
						<?php if($use_link): ?>
							<a <?php echo implode(' ', $link_attributes ); ?>></a>
						<?php endif;?>
						<div style="background-image: url(<?php echo esc_url( $image_src ) ?>)"></div>
					</div>
				<?php else: ?>
					<div class="coming-soon block-center">
						<div class="block-center-inner">
							<?php echo esc_html__('Coming Soon','rica') ?>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>