<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 5/11/2016
 * Time: 4:15 PM
 */
do_action('g5plus_before_page');

$data_section_id = uniqid();
$data_main_slick_options = '"infinite" : true, "slidesToShow": ' . 1 . ',"slidesToScroll": ' . 1 . ', "dots": false, "arrows": true, "responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}, {"breakpoint": 768, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]';
$data_thumb_slick_options = '"infinite" : true, "slidesToShow": ' . 4 . ',"slidesToScroll": ' . 4 . ', "dots": false, "arrows": false, "responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}, {"breakpoint": 768, "settings": {"slidesToShow": 2, "slidesToScroll": 2}}]';
?>
<div class="small-slider" id="content">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="slick main-slide" data-slick-config='{<?php echo esc_attr($data_main_slick_options); ?>}'
                     id="post_slideshow_<?php echo esc_attr($data_section_id) ?>">
                    <?php if (count($template_args['meta_values']) > 0) {
                        $index = 0;
                        foreach ($template_args['meta_values'] as $image) {
                            $urls = wp_get_attachment_image_src($image, 'full');
                            $img = '';
                            if (is_array($urls) && count($urls) > 0) {
                                $resize = matthewruddy_image_resize($urls[0], 770, 497);
                                if ($resize && isset($resize['url'])) {
                                    $img = $resize['url'];
                                }
                            }
                            ?>
                            <div class="item">
                                <a class="nav-post-slideshow" href="javascript:;"
                                   data-section-id="<?php echo esc_attr($data_section_id) ?>"
                                   data-index="<?php echo esc_attr($index++) ?>">
                                    <img alt="portfolio" src="<?php echo esc_url($img) ?>"/>
                                </a>
                            </div>
                        <?php }
                    } else {
                        if (is_array($template_args['imgThumbs']) && count($template_args['imgThumbs']) > 0) { ?>
                            <div class="item"><img alt="portfolio"
                                                   src="<?php echo esc_url($template_args['imgThumbs'][0]) ?>"/></div>
                        <?php }
                    }
                    ?>
                </div>
                <div class="slick thumb" data-slick-config='{<?php echo esc_attr($data_thumb_slick_options); ?>}'
                     data-current-index="0"
                     data-total-items="<?php echo esc_attr(count($template_args['meta_values'])) ?>"
                     id="slideshow_paging_<?php echo esc_attr($data_section_id) ?>">
                    <?php if (count($template_args['meta_values']) > 0) {
                        $index = 0;
                        foreach ($template_args['meta_values'] as $image) {
                            $urls = wp_get_attachment_image_src($image, 'full');
                            $img = '';
                            if (count($urls) > 0) {
                                $resize = matthewruddy_image_resize($urls[0], 170, 110);
                                if ($resize != null)
                                    $img = $resize['url'];
                            }
                            ?>
                            <div class="item">
                                <a href="javascript:;" class="nav-slideshow"
                                   data-section-id="<?php echo esc_attr($data_section_id) ?>"
                                   data-index="<?php echo esc_attr($index++) ?>">
                                    <img alt="portfolio" src="<?php echo esc_url($img) ?>"/>
                                </a>
                            </div>
                        <?php }
                    } else {
                        if (count($template_args['imgThumbs']) > 0) { ?>
                            <div class="item">
                                <img alt="portfolio" src="<?php echo esc_url($template_args['imgThumbs'][0]) ?>"/>
                            </div>
                        <?php }
                    }
                    ?>
                </div>
            </div>
            <div class="col-md-4 attribute-wrap">
                <div class="portfolio-info">
                    <h5 class="clear-top title fs-20 fw-bold"><?php echo __('Project Info', 'rica') ?></h5>
                    <ul class="attribute">
                        <?php if ($template_args['portfolio_date']): ?>
                            <li>
                                <span><?php echo __('Construction Date:', 'rica') ?></span>
                                <?php echo esc_html($template_args['portfolio_date']) ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($template_args['portfolio_location']): ?>
                            <li>
                                <span><?php echo __('Location:', 'rica') ?></span>
                                <?php echo esc_html($template_args['portfolio_location']) ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($template_args['portfolio_value']): ?>
                            <li>
                                <span><?php echo __('Values:', 'rica') ?></span>
                                <?php echo esc_html($template_args['portfolio_value']) ?>
                            </li>
                        <?php endif; ?>
                        <?php if ($template_args['cat']): ?>
                            <li>
                                <span><?php echo __('Category:', 'rica') ?></span>
                                <?php echo wp_kses_post($template_args['cat']); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        $meta = get_post_meta(get_the_ID(), 'portfolio_custom_fields', TRUE);
                        if (isset($meta) && is_array($meta) && count($meta['portfolio_custom_fields']) > 0) {
                            for ($i = 0; $i < count($meta['portfolio_custom_fields']); $i++) {
                                ?>
                                <li>
                                    <span><?php echo wp_kses_post($meta['portfolio_custom_fields'][$i]['custom-field-title']) ?>
                                        : </span>
                                    <?php echo wp_kses_post($meta['portfolio_custom_fields'][$i]['custom-field-description']) ?>
                                </li>
                            <?php }
                        }
                        ?>
                    </ul>
                </div>
                <div class="portfolio-info mg-top-60">
                    <h5 class="title fs-20 fw-bold"><?php echo __('Project Details', 'rica') ?></h5>
                    <?php the_excerpt() ?>
                </div>
            </div>
            <div class="col-md-12">
                <div class="more-detail clearfix mg-top-60">
                    <div class="portfolio-description">
                        <h5 class="title fs-20 fw-bold"><?php echo __("More Project Details", 'rica') ?></h5>
                        <?php the_content() ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

