<?php
/**
 * G5PLUS FRAMEWORK PLUGIN ACTION
 * *******************************************************
 */

/**
 * Allow do_shortcode content: widget_text, widget_title
 * *******************************************************
 */
if (!function_exists('gf_do_shortcode_content')) {
    function gf_do_shortcode_content()
    {
        // Apply filter do_shortcode
        if (apply_filters('gf_do_shortcode_widget_text', true)) {
            add_filter('widget_text', 'do_shortcode');
        }
        if (apply_filters('gf_do_shortcode_widget_content', true)) {
            add_filter('widget_content', 'do_shortcode');
        }
    }

    add_action('after_setup_theme', 'gf_do_shortcode_content');
}

/**
 * Add to the allowed tags array and hook into WP comments
 * *******************************************************
 */
if (!function_exists('gf_allowed_tags')) {
    function gf_allowed_tags()
    {
        global $allowedposttags;
        $allowedposttags['a']['data-hash'] = true;
        $allowedposttags['a']['data-product_id'] = true;
        $allowedposttags['a']['data-original-title'] = true;
        $allowedposttags['a']['aria-describedby'] = true;
        $allowedposttags['a']['data-quantity'] = true;
        $allowedposttags['a']['data-product_sku'] = true;
        $allowedposttags['a']['data-rel'] = true;
        $allowedposttags['a']['data-product-type'] = true;
        $allowedposttags['a']['data-product-id'] = true;
        $allowedposttags['a']['data-toggle'] = true;

        $allowedposttags['div']['data-plugin-options'] = true;
        $allowedposttags['div']['data-player'] = true;
        $allowedposttags['div']['data-audio'] = true;
        $allowedposttags['div']['data-title'] = true;
        $allowedposttags['div']['data-animsition-in-class'] = true;
        $allowedposttags['div']['data-animsition-out-class'] = true;
        $allowedposttags['div']['data-animsition-overlay'] = true;

        $allowedposttags['textarea']['placeholder'] = true;

        $allowedposttags['iframe']['align'] = true;
        $allowedposttags['iframe']['frameborder'] = true;
        $allowedposttags['iframe']['height'] = true;
        $allowedposttags['iframe']['longdesc'] = true;
        $allowedposttags['iframe']['marginheight'] = true;
        $allowedposttags['iframe']['marginwidth'] = true;
        $allowedposttags['iframe']['name'] = true;
        $allowedposttags['iframe']['sandbox'] = true;
        $allowedposttags['iframe']['scrolling'] = true;
        $allowedposttags['iframe']['seamless'] = true;
        $allowedposttags['iframe']['src'] = true;
        $allowedposttags['iframe']['srcdoc'] = true;
        $allowedposttags['iframe']['width'] = true;
        $allowedposttags['iframe']['defer'] = true;

        $allowedposttags['input']['accept'] = true;
        $allowedposttags['input']['align'] = true;
        $allowedposttags['input']['alt'] = true;
        $allowedposttags['input']['autocomplete'] = true;
        $allowedposttags['input']['autofocus'] = true;
        $allowedposttags['input']['checked'] = true;
        $allowedposttags['input']['class'] = true;
        $allowedposttags['input']['disabled'] = true;
        $allowedposttags['input']['form'] = true;
        $allowedposttags['input']['formaction'] = true;
        $allowedposttags['input']['formenctype'] = true;
        $allowedposttags['input']['formmethod'] = true;
        $allowedposttags['input']['formnovalidate'] = true;
        $allowedposttags['input']['formtarget'] = true;
        $allowedposttags['input']['height'] = true;
        $allowedposttags['input']['list'] = true;
        $allowedposttags['input']['max'] = true;
        $allowedposttags['input']['maxlength'] = true;
        $allowedposttags['input']['min'] = true;
        $allowedposttags['input']['multiple'] = true;
        $allowedposttags['input']['name'] = true;
        $allowedposttags['input']['pattern'] = true;
        $allowedposttags['input']['placeholder'] = true;
        $allowedposttags['input']['readonly'] = true;
        $allowedposttags['input']['required'] = true;
        $allowedposttags['input']['size'] = true;
        $allowedposttags['input']['src'] = true;
        $allowedposttags['input']['step'] = true;
        $allowedposttags['input']['type'] = true;
        $allowedposttags['input']['value'] = true;
        $allowedposttags['input']['width'] = true;
        $allowedposttags['input']['accesskey'] = true;
        $allowedposttags['input']['class'] = true;
        $allowedposttags['input']['contenteditable'] = true;
        $allowedposttags['input']['contextmenu'] = true;
        $allowedposttags['input']['dir'] = true;
        $allowedposttags['input']['draggable'] = true;
        $allowedposttags['input']['dropzone'] = true;
        $allowedposttags['input']['hidden'] = true;
        $allowedposttags['input']['id'] = true;
        $allowedposttags['input']['lang'] = true;
        $allowedposttags['input']['spellcheck'] = true;
        $allowedposttags['input']['style'] = true;
        $allowedposttags['input']['tabindex'] = true;
        $allowedposttags['input']['title'] = true;
        $allowedposttags['input']['translate'] = true;

        $allowedposttags['span']['data-id'] = true;

    }

    add_action('init', 'gf_allowed_tags');
}

/**
 * Process when after options saved or reset
 * *******************************************************
 */
if (!function_exists('gf_theme_options_saved')) {
    function gf_theme_options_saved($options)
    {
	    if ((defined('G5PLUS_SCRIPT_DEBUG') && G5PLUS_SCRIPT_DEBUG)) {
			return;
	    }
	    gf_generate_less();

	    /**
	     * Delete gf_preset directory
	     */
	    global $wp_filesystem;

	    $preset_dir = gf_get_preset_dir();
	    if (file_exists($preset_dir)) {
		    $wp_filesystem->rmdir($preset_dir, true);
	    }

	    /**
	     * Create gf_preset directory
	     */
	    if (!file_exists($preset_dir)) {
		    wp_mkdir_p($preset_dir);
	    }

	    /*// Generate preset css
	    global $wpdb;
	    $presets = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_type=%s AND post_status = %s", 'gf_preset', 'publish') );
		foreach ($presets as $preset) {
			if (isset($preset->ID) && $preset->ID) {
				gf_generate_less($preset->ID);
			}
		}*/
    }

    add_action("redux/options/" . GF_OPTIONS_NAME . "/saved", 'gf_theme_options_saved');
	add_action("redux/options/" . GF_OPTIONS_NAME . "/reset", 'gf_theme_options_saved');
	add_action("redux/options/" . GF_OPTIONS_NAME . "/section/reset", 'gf_theme_options_saved');
}

/**
 * Expand Admin Menu
 * *******************************************************
 */
if (!function_exists('gf_expand_menu')) {
	function gf_expand_menu()
	{
		$screen = get_current_screen();
		$slug = '';
		$slug = isset($_GET['page']) ? $_GET['page'] : $slug;
		$slug = isset($_GET['post_type']) ? $_GET['post_type'] : $slug;
		if (isset($screen->post_type) && ($screen->post_type == 'gf_footer' || $screen->post_type == 'gf_preset')) {
			$slug = $screen->post_type;
		}

		if ($slug && in_array($slug, array('g5plus_welcome', '_options', 'gf_preset', 'gf_footer', 'g5plus_install_demo'))): ?>
			<script>
				(function ($) {
					$("li", '#adminmenu').removeClass("wp-has-current-submenu wp-menu-open");
					var $page_g5plus = $(".toplevel_page_g5plus_welcome");
					var $page_slug = $('a[href="admin.php?page=<?php echo wp_kses_post($slug) ?>"]');
					var $post_type_slug = $('a[href="edit.php?post_type=<?php echo wp_kses_post($slug) ?>"]');

					if ($page_g5plus.length > 0) {
						$page_g5plus.addClass("wp-has-current-submenu wp-menu-open");
					}
					if (typeof $page_slug != 'undefined' && typeof $page_slug.parent() != 'undefined') {
						$page_slug.parent().addClass("current")
					}
					if (typeof $post_type_slug != 'undefined' && typeof $post_type_slug.parent() != 'undefined') {
						$post_type_slug.parent().addClass("current")
					}
				})(jQuery);
			</script>
		<?php endif;
	}

	add_action('adminmenu', 'gf_expand_menu');
}

/**
 * Set Preset Value to OPTION VALUE
 * *******************************************************
 */
if (!function_exists('gf_set_preset_value_to_option')) {
	function gf_set_preset_value_to_option() {
		$preset_id = gf_get_current_preset();
		if ($preset_id) {
			/**
			 * Image Field Type
			 */
			$image_fields = array(
				'page_title_bg_image',
				'logo',
				'logo_retina',
				'sticky_logo',
				'sticky_logo_retina',
				'mobile_logo',
				'mobile_logo_retina',
				'footer_bg_image',
			);

			/**
			 * Sorter Field Type
			 */
			$sorter_fields = array(
				'header_customize_left',
				'header_customize_right',
				'header_customize_nav',
			);

			/**
			 * Padding Field Type
			 */
			$padding_fields = array(
				'content_padding',
				'content_padding_mobile',
				'page_title_padding',
				'logo_padding',
				'mobile_logo_padding',
				'top_drawer_padding',
				'top_bar_padding',
				'header_padding',
				'footer_padding',
				'bottom_bar_padding',
			);

			/**
			 * Dimensions Field Type
			 */
			$dimensions_fields = array(
				'navigation_height',
				'logo_max_height',
				'mobile_logo_max_height',
			);

			/**
			 * Get List Key MetaBox
			 */
			global $wpdb;
			$rows = $wpdb->get_results( $wpdb->prepare( "SELECT meta_key FROM $wpdb->postmeta WHERE post_id = %d and meta_key like %s", $preset_id, GF_METABOX_PREFIX . '%' ) );
			$meta_box_keys = array();
			foreach ($rows as &$row) {
				$meta_box_keys[] = preg_replace('/^' . GF_METABOX_PREFIX . '/', '', $row->meta_key);
			}

			/**
			 * Set meta value into option
			 */
			$options = &$GLOBALS[GF_OPTIONS_NAME];
			foreach ($meta_box_keys as &$meta_key) {
				if (in_array($meta_key, $image_fields)) {
					$meta_value = gf_get_rwmb_meta_image($meta_key, $preset_id);

					$options[$meta_key]['url'] = $meta_value;
				}
				elseif (in_array($meta_key, $sorter_fields)) {
					$meta_value = gf_get_rwmb_meta($meta_key, array(), $preset_id);

					$enable_arr = isset($meta_value['enable']) ? $meta_value['enable'] : '';
					$enable_arr = explode('||', $enable_arr);

					$options[$meta_key]['enabled'] = array();
					$options[$meta_key]['disabled'] = array();
					foreach ($enable_arr as $sorter_key) {
						$options[$meta_key]['enabled'][$sorter_key] = '';
					}
				}
				elseif (in_array($meta_key, $padding_fields)) {
					$meta_value = gf_get_rwmb_meta($meta_key, array(), $preset_id);
					$options[$meta_key]['padding-top'] = isset($meta_value['top']) && ($meta_value['top'] !== '') ? $meta_value['top'] . 'px' : '';
					$options[$meta_key]['padding-bottom'] = isset($meta_value['bottom']) && ($meta_value['bottom'] !== '') ? $meta_value['bottom'] . 'px' : '';
				}
				elseif (in_array($meta_key, $dimensions_fields)) {
					$meta_value = gf_get_rwmb_meta($meta_key, array(), $preset_id);
					$options[$meta_key]['height'] = $meta_value;
				}
				else {
					$meta_value = gf_get_rwmb_meta($meta_key, array(), $preset_id);
					$options[$meta_key] = $meta_value;
				}
			}
		}
		/**
		 * Set Footer Custom
		 */
		if (is_singular('gf_footer')) {
			isset($options) or $options = &$GLOBALS[GF_OPTIONS_NAME];
			$options['set_footer_custom'] = get_the_ID();
		}
	}
	add_action('g5plus_header_before', 'gf_set_preset_value_to_option', 1);
}

/**
 * Generate css when preset updated
 * *******************************************************
 */
if (!function_exists('gf_generate_css_when_preset_updated')) {
	function gf_generate_css_when_preset_updated($post_id, $post) {
		if ($post->post_type === 'gf_preset') {
			/**
			 * Delete gf_preset style
			 */
			$preset_dir = gf_get_preset_dir();
			if (file_exists($preset_dir . $post_id . '.style.min.css')) {
				unlink ($preset_dir . $post_id . '.style.min.css');
			}
			if (file_exists($preset_dir . $post_id . '.rtl.min.css')) {
				unlink ($preset_dir . $post_id . '.rtl.min.css');
			}
			if (file_exists($preset_dir . $post_id . '.tta.min.css')) {
				unlink ($preset_dir . $post_id . '.tta.min.css');
			}
		}
	}
	add_action( 'save_post', 'gf_generate_css_when_preset_updated', 10, 2 );
}
/*========================================*/

add_action( 'show_user_profile', 'gf_add_customer_meta_fields' );
add_action( 'edit_user_profile', 'gf_add_customer_meta_fields' );

add_action( 'personal_options_update', 'gf_save_customer_meta_fields' );
add_action( 'edit_user_profile_update', 'gf_save_customer_meta_fields' );



