<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 3/18/2016
 * Time: 11:36 AM
 */
//////////////////////////////////////////////////////////////////
// Get Page Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_page_layout')) {
    function gf_get_page_layout()
    {
        return apply_filters('gf_page_layout', array(
            'full'      => esc_html__('Full Width', 'rica'),
            'container' => esc_html__('Container', 'rica'),
            'container-fluid' => esc_html__('Container Fluid', 'rica')
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Sidebar Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_sidebar_layout')) {
    function gf_get_sidebar_layout()
    {
        return apply_filters('gf_sidebar_layout', array(
            'none'  => array('title' => '', 'img' => GF_PLUGIN_URL . 'assets/images/theme-options/sidebar-none.png'),
            'left'  => array('title' => '', 'img' => GF_PLUGIN_URL . 'assets/images/theme-options/sidebar-left.png'),
            'right' => array('title' => '', 'img' => GF_PLUGIN_URL . 'assets/images/theme-options/sidebar-right.png'),
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Sidebar Width
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_sidebar_width')) {
    function gf_get_sidebar_width($default = false)
    {
        $result = apply_filters('gf_sidebar_width', array(
            'small' => esc_html__('Small (1/4)', 'rica'),
            'large' => esc_html__('Large (1/3)', 'rica')
        ));

        if ($default) {
            $result = array(-1 => esc_html__('Default', 'rica')) + $result;
        }

        return $result;


    }
}

//////////////////////////////////////////////////////////////////
// Get Page Title Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_page_title_layout')) {
    function gf_get_page_title_layout($default = false)
    {
        $result = apply_filters('gf_page_title_layout', array(
            'normal' => esc_html__('Tile Left & Breadcrumb Right', 'rica'),
            'center' => esc_html__('Center', 'rica'),
        ));
        if ($default) {
            $result = array(-1 => esc_html__('Default', 'rica')) + $result;
        }

        return $result;
    }
}

//////////////////////////////////////////////////////////////////
// Get Layout Styles
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_layout_style')) {
    function gf_get_layout_style()
    {
        return apply_filters('gf_layout_style', array(
            'boxed' => array('title' => 'Boxed', 'img' => GF_PLUGIN_URL . 'assets/images/theme-options/layout-boxed.png'),
            'wide'  => array('title' => 'Wide', 'img' => GF_PLUGIN_URL . 'assets/images/theme-options/layout-wide.png'),
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Post Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_post_layout')) {
    function gf_get_post_layout()
    {
        return apply_filters('gf_post_layout', array(
            'grid-image'  => esc_html__('Grid Image', 'rica'),
            'list' => esc_html__('List', 'rica'),
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Post Columns
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_post_columns')) {
    function gf_get_post_columns()
    {
        return apply_filters('gf_post_columns', array(
            2 => '2',
            3 => '3'
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Post Paging
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_paging_style')) {
    function gf_get_paging_style()
    {
        return apply_filters('gf_paging_style', array(
            'navigation'      => esc_html__('Navigation', 'rica'),
            'load-more'       => esc_html__('Load More', 'rica'),
            'infinite-scroll' => esc_html__('Infinite Scroll', 'rica')
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Toggle
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_toggle')) {
    function gf_get_toggle($default = false)
    {
        $result = array(
            1 => esc_html__('On', 'rica'),
            0 => esc_html__('Off', 'rica')

        );
        if ($default) {
            $result = array(-1 => esc_html__('Default', 'rica')) + $result;
        }

        return $result;
    }
}

//////////////////////////////////////////////////////////////////
// Get Product Image Hover Effect
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_product_image_hover_effect')) {
    function gf_get_product_image_hover_effect()
    {
        return apply_filters('gf_product_image_hover_effect', array(
            'none'         => esc_html__('None', 'rica'),
            'change-image' => esc_html__('Change Image', 'rica'),
            'flip-back'    => esc_html__('Flip Back', 'rica')
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Product Catalog Style
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_product_catalog_style')) {
    function gf_get_product_catalog_style()
    {
        return apply_filters('gf_product_catalog_style', array(
            'left'   => esc_html__('Left', 'rica'),
            'center' => esc_html__('Center', 'rica'),
        ));
    }
}

//==============================================================================
//
//==============================================================================
if (!function_exists('gf_get_toggle_color')) {
    function gf_get_toggle_color($inherit = false)
    {
        $result = array(
            0 => esc_html__('Default', 'rica'),
            1 => esc_html__('Customize', 'rica')
        );
        if ($inherit) {
            $result = array(-1 => esc_html__('Inherit', 'rica')) + $result;
        }

        return $result;
    }
}

//==============================================================================
// Get list social profiles
//==============================================================================
if (!function_exists('gf_get_social_profiles')) {
    function gf_get_social_profiles()
    {
        return apply_filters('gf_get_social_profiles', array(
            array(
                'id'        => 'twitter_url',
                'type'      => 'text',
                'title'     => esc_html__('Twitter', 'rica'),
                'subtitle'  => esc_html__('Your Twitter', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-twitter',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'facebook_url',
                'type'      => 'text',
                'title'     => esc_html__('Facebook', 'rica'),
                'subtitle'  => esc_html__('Your facebook page/profile url', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-facebook',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'dribbble_url',
                'type'      => 'text',
                'title'     => esc_html__('Dribbble', 'rica'),
                'subtitle'  => esc_html__('Your Dribbble', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-dribbble',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'vimeo_url',
                'type'      => 'text',
                'title'     => esc_html__('Vimeo', 'rica'),
                'subtitle'  => esc_html__('Your Vimeo', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-vimeo',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'tumblr_url',
                'type'      => 'text',
                'title'     => esc_html__('Tumblr', 'rica'),
                'subtitle'  => esc_html__('Your Tumblr', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-tumblr',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'skype_username',
                'type'      => 'text',
                'title'     => esc_html__('Skype', 'rica'),
                'subtitle'  => esc_html__('Your Skype username', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-skype',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'linkedin_url',
                'type'      => 'text',
                'title'     => esc_html__('LinkedIn', 'rica'),
                'subtitle'  => esc_html__('Your LinkedIn page/profile url', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-linkedin',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'googleplus_url',
                'type'      => 'text',
                'title'     => esc_html__('Google+', 'rica'),
                'subtitle'  => esc_html__('Your Google+ page/profile URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-google-plus',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'flickr_url',
                'type'      => 'text',
                'title'     => esc_html__('Flickr', 'rica'),
                'subtitle'  => esc_html__('Your Flickr page url', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-flickr',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'youtube_url',
                'type'      => 'text',
                'title'     => esc_html__('YouTube', 'rica'),
                'subtitle'  => esc_html__('Your YouTube URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-youtube',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'pinterest_url',
                'type'      => 'text',
                'title'     => esc_html__('Pinterest', 'rica'),
                'subtitle'  => esc_html__('Your Pinterest', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-pinterest',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'foursquare_url',
                'type'      => 'text',
                'title'     => esc_html__('Foursquare', 'rica'),
                'subtitle'  => esc_html__('Your Foursqaure URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-foursquare',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'instagram_url',
                'type'      => 'text',
                'title'     => esc_html__('Instagram', 'rica'),
                'subtitle'  => esc_html__('Your Instagram', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-instagram',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'github_url',
                'type'      => 'text',
                'title'     => esc_html__('GitHub', 'rica'),
                'subtitle'  => esc_html__('Your GitHub URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-github',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'xing_url',
                'type'      => 'text',
                'title'     => esc_html__('Xing', 'rica'),
                'subtitle'  => esc_html__('Your Xing URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-xing',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'behance_url',
                'type'      => 'text',
                'title'     => esc_html__('Behance', 'rica'),
                'subtitle'  => esc_html__('Your Behance URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-behance',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'deviantart_url',
                'type'      => 'text',
                'title'     => esc_html__('Deviantart', 'rica'),
                'subtitle'  => esc_html__('Your Deviantart URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-deviantart',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'soundcloud_url',
                'type'      => 'text',
                'title'     => esc_html__('SoundCloud', 'rica'),
                'subtitle'  => esc_html__('Your SoundCloud URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-soundcloud',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'yelp_url',
                'type'      => 'text',
                'title'     => esc_html__('Yelp', 'rica'),
                'subtitle'  => esc_html__('Your Yelp URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-yelp',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'rss_url',
                'type'      => 'text',
                'title'     => esc_html__('RSS Feed', 'rica'),
                'subtitle'  => esc_html__('Your RSS Feed URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-rss',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'vk_url',
                'type'      => 'text',
                'title'     => esc_html__('VK', 'rica'),
                'subtitle'  => esc_html__('Your VK URL', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-vk',
                'link-type' => 'link',
            ),
            array(
                'id'        => 'email_address',
                'type'      => 'text',
                'title'     => esc_html__('Email address', 'rica'),
                'subtitle'  => esc_html__('Your email address', 'rica'),
                'default'   => '',
                'icon'      => 'fa fa-envelope',
                'link-type' => 'email',
            ),
        ));
    }
}

//////////////////////////////////////////////////////////////////
// Get Widget Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_widget_layout')) {
    function gf_get_widget_layout($default = false)
    {
        $result = apply_filters('gf_widget_layout', array(
            'widget-classic'                 => esc_html__('Classic', 'rica'),
            'widget-classic-no-border'       => esc_html__('Classic Without Border', 'rica'),
            'widget-border-round'            => esc_html__('Border Round', 'rica'),
            'widget-border-round-background' => esc_html__('Border Round Background', 'rica'),
            'widget-border'                  => esc_html__('Border', 'rica'),
            'widget-border-background'       => esc_html__('Border Background', 'rica'),
        ));
        if ($default) {
            $result = array('' => esc_html__('Default', 'rica')) + $result;
        }

        return $result;
    }
}

//////////////////////////////////////////////////////////////////
// Get Archive Product Banner Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_archive_product_banner_layout')) {
    function gf_get_archive_product_banner_layout($default = false)
    {
        $result = apply_filters('gf_archive_product_banner_layout', array(
            'full'      => esc_html__('Full Width', 'rica'),
            'container' => esc_html__('Container', 'rica')
        ));

        if ($default) {
            $result = array(-1 => esc_html__('Default', 'rica')) + $result;
        }

        return $result;
    }
}

//////////////////////////////////////////////////////////////////
// Get Archive Product Banner Type
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_archive_product_banner_type')) {
    function gf_get_archive_product_banner_type($default = false)
    {
        $result = apply_filters('gf_archive_product_banner_type', array(
            ''           => esc_html__('No Banner', 'rica'),
            'image'      => esc_html__('Image', 'rica'),
            'video'      => esc_html__('Video', 'rica'),
            'rev_slider' => esc_html__('Revolution Slider', 'rica')
        ));
        if ($default) {
            $result = array(-1 => esc_html__('Default', 'rica')) + $result;
        }

        return $result;
    }
}

//////////////////////////////////////////////////////////////////
// Get Revolution Slider
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_rev_slider')) {
    function gf_get_rev_slider()
    {
        $rev_sliders = array(
            '-1' => esc_html__('Select Slider', 'rica')
        );
        if (class_exists("RevSlider")) {
            $revSlider = new RevSlider();
            $sliders = $revSlider->getArrSliders();
            if ($sliders) {
                foreach ($sliders as $slider) {
                    $rev_sliders[$slider->getAlias()] = $slider->getTitle();
                }
            }
        }

        return $rev_sliders;
    }
}

//////////////////////////////////////////////////////////////////
// Get Search Type
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_get_search_type')) {
    function gf_get_search_type()
    {
        return apply_filters('gf_search_type', array(
            'button'           => esc_html__('Button', 'rica'),
            'box'              => esc_html__('Box', 'rica'),
        ));
    }
}