<?php
return array(
    'base'     => 'g5plus_button',
    'name'     => esc_html__('Button', 'rica'),
    'icon'     => 'fa fa-bold',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Button size', 'rica'),
            'param_name'  => 'button_size',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Small', 'rica')   => 'bt-sm',
                esc_html__('Medium', 'rica') => 'bt-md',
                esc_html__('Large', 'rica')  => 'bt-lg')

        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Button Layout', 'rica'),
            'param_name'  => 'layout',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Background', 'rica')           => 'bt-background',
                esc_html__('Border', 'rica')           => 'bt-border',
            )
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Button Color', 'rica'),
            'param_name'  => 'color',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Primary', 'rica')           => 'bt-primary',
                esc_html__('Light', 'rica')           => 'bt-light',
                esc_html__('Dark', 'rica')           => 'bt-dark',
            )
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Border radius', 'rica'),
            'param_name'       => 'border_radius',
            'value' => array(esc_html__('Yes, please', 'rica') => 'bd-radius')
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Border Width','rica'),
            'param_name' => 'border_width',
            'value'       => array(
                esc_html__('Thin (1px)', 'rica')           => 'bt-bd-thin',
                esc_html__('Medium (2px)', 'rica')           => 'bt-bd-medium',
                esc_html__('Thick (3px)', 'rica')           => 'bt-bd-thick',
            ),
            'dependency' => array(
                'element'=>'layout',
                'value'=>'bt-border',
            ),
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__('Link (url)', 'rica'),
            'param_name' => 'link',
            'value' => '',
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Add Icon?', 'rica'),
            'param_name'       => 'add_icon',
            'value' => array(esc_html__('Yes, please', 'rica') => 'yes')
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Icon Align','rica'),
            'param_name' => 'icon_align',
            'value'       => array(
                esc_html__('Left', 'rica')           => 'icon-left',
                esc_html__('Right', 'rica')           => 'icon-right',
            ),
            'dependency' => array(
                'element'=>'add_icon',
                'value'=>'yes',
            ),
        ),
        gf_vc_map_add_icon_type(array(
            'element'=>'add_icon',
            'value'=>'yes',
        )),
        gf_vc_map_add_icon_font(),
        gf_vc_map_add_icon_image(),

        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);