<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_Vc_Pie
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);

$wrapper_classes = array(
    'g5plus-counter',
    $atts['color_scheme'],
    $this->getExtraClass($atts['el_class']),
);

$min_suffix_css = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'counter_css', plugins_url(GF_PLUGIN_NAME . '/shortcodes/counter/assets/css/counter' . $min_suffix_css . '.css'), array(), false);
$min_suffix_js = gf_get_option('enable_minifile_js', 0) == 1 ? '.min' : '';
wp_enqueue_script(GF_PLUGIN_PREFIX . 'counter_js', plugins_url(GF_PLUGIN_NAME . '/shortcodes/counter/assets/js/countUp' . $min_suffix_js . '.js'), array(), false, true);
$class_to_filter = implode(' ',$wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
?>
<div class="<?php echo esc_attr($css_class) ?>">
    <span class="counterup p-font" data-start="<?php echo esc_attr($atts['start']) ?>" data-end="<?php echo esc_attr($atts['end']) ?>" data-decimals="<?php echo esc_attr($atts['decimals']) ?>" data-duration="<?php echo esc_attr($atts['duration']) ?>"  data-separator="<?php echo esc_attr($atts['separator']) ?>" data-decimal="<?php echo esc_attr($atts['decimal']) ?>" data-prefix="<?php echo esc_attr($atts['prefix']) ?>" data-suffix="<?php echo esc_attr($atts['suffix']) ?>"><?php echo wp_kses_post($atts['end']) ?></span>
    <?php if($atts['title']!=''): ?>
        <p class="p-font"><?php echo wp_kses_post($atts['title']) ?></p>
    <?php endif; ?>
</div>