<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 4/5/2016
 * Time: 8:06 AM
 */



//////////////////////////////////////////////////////////////////
// Add theme icon
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_add_theme_icon')) {
	function gf_add_theme_icon($icons){
		$icons['Pe Icon 7 Stroke'] = &gf_get_theme_font();
		return $icons;
	}
	add_filter('vc_iconpicker-type-fontawesome','gf_add_theme_icon');
}

//////////////////////////////////////////////////////////////////
// Animation Duration Param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_animation_duration')) {
	function gf_vc_map_add_animation_duration(){
		return array(
			'type' => 'textfield',
			'heading' => esc_html__('Animation Duration', 'rica'),
			'param_name' => 'animation_duration',
			'value' => '',
			'description' => wp_kses_post(__('Duration in seconds. You can use decimal points in the value. Use this field to specify the amount of time the animation plays. <em>The default value depends on the animation, leave blank to use the default.</em>', 'rica')),
			'dependency' => array('element' => 'css_animation', 'value' => array('top-to-bottom','bottom-to-top','left-to-right','right-to-left','appear','bounceIn','bounceInDown','bounceInUp','bounceInLeft','bounceInRight','zoomIn','flipInX','flipInY','bounce','flash','shake','pulse','swing','rubberBand','wobble','tada')),
		);
	}
}

//////////////////////////////////////////////////////////////////
// Animation Delay Param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_animation_delay')) {
	function gf_vc_map_add_animation_delay(){
		return array(
			'type' => 'textfield',
			'heading' => esc_html__('Animation Delay', 'rica'),
			'param_name' => 'animation_delay',
			'value' => '',
			'description' => esc_html__('Delay in seconds. You can use decimal points in the value. Use this field to delay the animation for a few seconds, this is helpful if you want to chain different effects one after another above the fold.', 'rica'),
			'dependency' => array('element' => 'css_animation', 'value' => array('top-to-bottom','bottom-to-top','left-to-right','right-to-left','appear','bounceIn','bounceInDown','bounceInUp','bounceInLeft','bounceInRight','zoomIn','flipInX','flipInY','bounce','flash','shake','pulse','swing','rubberBand','wobble','tada')),
		);
	}
}

//////////////////////////////////////////////////////////////////
// Extra Class Param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_extra_class')) {
	function gf_vc_map_add_extra_class(){
		return array(
			'type' => 'textfield',
			'heading' => esc_html__('Extra class name', 'rica'),
			'param_name' => 'el_class',
			'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'rica'),
		);
	}
}

//////////////////////////////////////////////////////////////////
// Css Editor Param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_css_editor')) {
	function gf_vc_map_add_css_editor(){
		return array(
			'type' => 'css_editor',
			'heading' => esc_html__('CSS box', 'rica'),
			'param_name' => 'css',
			'group' => esc_html__('Design Options', 'rica'),
		);
	}
}

//////////////////////////////////////////////////////////////////
// Icon Type Param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_icon_type')) {
	function gf_vc_map_add_icon_type($dependency = array()){
		return array(
			'type' => 'dropdown',
			'heading' => esc_html__('Icon library', 'rica'),
			'value' => array(
				esc_html__('Icon', 'rica') => 'icon',
				esc_html__('Image', 'rica') => 'image',
			),
			'param_name' => 'icon_type',
			'description' => esc_html__('Select icon library.', 'rica'),
			'dependency' => $dependency
		);
	}
}

//////////////////////////////////////////////////////////////////
// Icon Font Awesome
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_icon_font')) {
	function gf_vc_map_add_icon_font($dependency = array()){
		if (count($dependency) == 0) {
			$dependency = array('element' => 'icon_type','value' => 'icon');
		}
		return  array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'rica'),
			'param_name' => 'icon_font',
			'value' => 'fa fa-adjust', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false,
				// default true, display an "EMPTY" icon?
				'iconsPerPage' => 100,
				'type' => 'fontawesome'
				// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
			),
			'dependency' => $dependency,
			'description' => esc_html__('Select icon from library.', 'rica'),
		);

	}
}

//////////////////////////////////////////////////////////////////
// Icon Images
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_icon_image')) {
	function gf_vc_map_add_icon_image(){
		return array(
			'type' => 'attach_image',
			'heading' => esc_html__('Upload Image Icon:', 'rica'),
			'param_name' => 'icon_image',
			'value' => '',
			'description' => esc_html__('Upload the custom image icon.', 'rica'),
			'dependency' => array('element' => 'icon_type','value' => 'image'),
		);
	}
}
//////////////////////////////////////////////////////////////////
// Custom params vc_row
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_custom_param_vc_row')){
	function g5plus_custom_param_vc_row(){
		$params = array(
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Layout', 'rica'),
				'param_name' => 'layout',
				'value' => array(
					esc_html__('Full Width', 'rica') => 'fullwidth',
					esc_html__('Container', 'rica') => 'container',
					esc_html__('Container Fluid', 'rica') => 'container-fluid',
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => __( 'Columns gap', 'rica' ),
				'param_name' => 'gap',
				'value' => array(
					'0px' => '0',
					'1px' => '1',
					'2px' => '2',
					'3px' => '3',
					'4px' => '4',
					'5px' => '5',
					'10px' => '10',
					'15px' => '15',
					'20px' => '20',
					'25px' => '25',
					'30px' => '30',
					'35px' => '35',
				),
				'std' => '0',
				'description' => esc_html__( 'Select gap between columns in row.', 'rica' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Full height row?', 'rica' ),
				'param_name' => 'full_height',
				'description' => esc_html__( 'If checked row will be set to full height.', 'rica' ),
				'value' => array( esc_html__( 'Yes', 'rica' ) => 'yes' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Columns position', 'rica' ),
				'param_name' => 'columns_placement',
				'value' => array(
					esc_html__( 'Middle', 'rica' ) => 'middle',
					esc_html__( 'Top', 'rica' ) => 'top',
					esc_html__( 'Bottom', 'rica' ) => 'bottom',
					esc_html__( 'Stretch', 'rica' ) => 'stretch',
				),
				'description' => esc_html__( 'Select columns position within row.', 'rica' ),
				'dependency' => array(
					'element' => 'full_height',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Equal height', 'rica' ),
				'param_name' => 'equal_height',
				'description' => esc_html__( 'If checked columns will be set to equal height.', 'rica' ),
				'value' => array( esc_html__( 'Yes', 'rica' ) => 'yes' )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Content position', 'rica' ),
				'param_name' => 'content_placement',
				'value' => array(
					esc_html__( 'Default', 'rica' ) => '',
					esc_html__( 'Top', 'rica' ) => 'top',
					esc_html__( 'Middle', 'rica' ) => 'middle',
					esc_html__( 'Bottom', 'rica' ) => 'bottom',
				),
				'description' => esc_html__( 'Select content position within columns.', 'rica' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Use video background?', 'rica' ),
				'param_name' => 'video_bg',
				'description' => esc_html__( 'If checked, video will be used as row background.', 'rica' ),
				'value' => array( esc_html__( 'Yes', 'rica' ) => 'yes' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'YouTube link', 'rica' ),
				'param_name' => 'video_bg_url',
				'value' => 'https://www.youtube.com/watch?v=lMJXxhRFO1k',
				// default video url
				'description' => esc_html__( 'Add YouTube link.', 'rica' ),
				'dependency' => array(
					'element' => 'video_bg',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Parallax', 'rica' ),
				'param_name' => 'video_bg_parallax',
				'value' => array(
					esc_html__( 'None', 'rica' ) => '',
					esc_html__( 'Simple', 'rica' ) => 'content-moving',
					esc_html__( 'With fade', 'rica' ) => 'content-moving-fade',
				),
				'description' => esc_html__( 'Add parallax type background for row.', 'rica' ),
				'dependency' => array(
					'element' => 'video_bg',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Parallax', 'rica' ),
				'param_name' => 'parallax',
				'value' => array(
					esc_html__( 'None', 'rica' ) => '',
					esc_html__( 'Simple', 'rica' ) => 'content-moving',
					esc_html__( 'With fade', 'rica' ) => 'content-moving-fade',
				),
				'description' => esc_html__( 'Add parallax type background for row (Note: If no image is specified, parallax will use background image from Design Options).', 'rica' ),
				'dependency' => array(
					'element' => 'video_bg',
					'is_empty' => true,
				),
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'rica' ),
				'param_name' => 'parallax_image',
				'value' => '',
				'description' => esc_html__( 'Select image from media library.', 'rica' ),
				'dependency' => array(
					'element' => 'parallax',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Parallax speed', 'rica' ),
				'param_name' => 'parallax_speed_video',
				'value' => '1.5',
				'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'rica' ),
				'dependency' => array(
					'element' => 'video_bg_parallax',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Parallax speed', 'rica' ),
				'param_name' => 'parallax_speed_bg',
				'value' => '1.5',
				'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'rica' ),
				'dependency' => array(
					'element' => 'parallax',
					'not_empty' => true,
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show background overlay', 'rica'),
				'param_name' => 'overlay_mode',
				'description' => esc_html__('Hide or Show overlay on background images.', 'rica'),
				'value' => array(
					esc_html__('Hide, please', 'rica') => '',
					esc_html__('Show Overlay Color', 'rica') => 'color',
					esc_html__('Show Overlay Image', 'rica') => 'image',
				),
			),
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Overlay color', 'rica'),
				'param_name' => 'overlay_color',
				'description' => esc_html__('Select color for background overlay.', 'rica'),
				'value' => '',
				'dependency' => array('element' => 'overlay_mode', 'value' => array('color')),
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__('Image Overlay:', 'rica'),
				'param_name' => 'overlay_image',
				'value' => '',
				'description' => esc_html__('Upload image overlay.', 'rica'),
				'dependency' => array('element' => 'overlay_mode', 'value' => array('image')),
			),
			array(
				'type' => 'number',
				'class' => '',
				'heading' => esc_html__('Overlay opacity', 'rica'),
				'param_name' => 'overlay_opacity',
				'value' => '50',
				'min' => '1',
				'max' => '100',
				'suffix' => '%',
				'description' => esc_html__('Select opacity for overlay.', 'rica'),
				'dependency' => array('element' => 'overlay_mode', 'value' => array('image')),
			),
			array(
				'type' => 'el_id',
				'heading' => esc_html__( 'Row ID', 'rica' ),
				'param_name' => 'el_id',
				'description' => sprintf( __( 'Enter row ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'rica' ), 'http://www.w3schools.com/tags/att_global_id.asp' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => esc_html__( 'Disable row', 'rica' ),
				'param_name' => 'disable_element', // Inner param name.
				'description' => esc_html__( 'If checked the row won\'t be visible on the public side of your website. You can switch it back any time.', 'rica' ),
				'value' => array( esc_html__( 'Yes', 'rica' ) => 'yes' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Extra class name', 'rica' ),
				'param_name' => 'el_class',
				'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'rica' ),
			),
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'CSS box', 'rica' ),
				'param_name' => 'css',
				'group' => esc_html__('Design Options', 'rica' ),
			),
		);
		vc_map(array(
			'name' => esc_html__('Row', 'rica'),
			'base' => 'vc_row',
			'is_container' => true,
			'icon' => 'icon-wpb-row',
			'show_settings_on_create' => false,
			'category' => esc_html__('Content', 'rica'),
			'description' => esc_html__('Place content elements inside the row', 'rica'),
			'params' => $params,
			'js_view' => 'VcRowView'
		));
		vc_map(array(
			'name' => esc_html__('Row', 'rica'), //Inner Row
			'base' => 'vc_row_inner',
			'content_element' => false,
			'is_container' => true,
			'icon' => 'icon-wpb-row',
			'weight' => 1000,
			'show_settings_on_create' => false,
			'description' => esc_html__('Place content elements inside the row', 'rica'),
			'params' => $params,
			'js_view' => 'VcRowView'
		));
	}
	add_action( 'vc_after_init', 'g5plus_custom_param_vc_row' );
}
//////////////////////////////////////////////////////////////////
// Narrow Category
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_narrow_category')){
	function gf_vc_map_add_narrow_category(){
		$category = array();
		$categories = get_categories();
		if (is_array($categories)) {
			foreach ($categories as $cat) {
				$category[$cat->name] = $cat->slug;
			}
		}
		return array(
			'type' => 'select2',
			'heading' => esc_html__('Narrow Category', 'rica'),
			'param_name' => 'category',
			'options' => $category,
			'multiple' => true,
			'description' => esc_html__( 'Enter categories by names to narrow output (Note: only listed categories will be displayed, divide categories with linebreak (Enter)).', 'rica' ),
			"admin_label" => true,
			'std' => ''
		);
	}
}
//////////////////////////////////////////////////////////////////
// Custom icon param
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_custom_param_icon')) {
	function gf_custom_param_icon() {
		$icons = array(
			'icon_fontawesome',
			'icon_openiconic',
			'icon_entypo',
			'icon_linecons',
			'icon_monosocial'
		);
		$shortcodes = array(
			'vc_tta_section'
		);
		foreach ($shortcodes as $shortcode) {
			foreach ($icons as $icon) {
				${$icon} = WPBMap::getParam($shortcode,'i_' . $icon);
				${$icon}['settings']['iconsPerPage'] = 50;
				vc_update_shortcode_param( $shortcode, ${$icon} );
			}
		}
	}
	add_action( 'vc_after_init', 'gf_custom_param_icon' );
}


//////////////////////////////////////////////////////////////////
// Get Widget Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_widget_layout')){
	function gf_vc_map_add_widget_layout(){
		return array(
			'type' => 'dropdown',
			'heading' => esc_html__('Widget Layout','rica'),
			'param_name' => 'widget_layout',
			'value' => array(
				esc_html__('Default','rica') => '',
				esc_html__('Classic','rica')  => 'widget-classic',
				esc_html__('Classic Without Border','rica') => 'widget-classic-no-border',
				esc_html__('Border Round','rica') => 'widget-border-round',
				esc_html__('Border Round Background','rica') => 'widget-border-round-background',
				esc_html__('Border','rica') => 'widget-border',
				esc_html__('Border Background','rica') => 'widget-border-background'
			)
		);
	}
}

//////////////////////////////////////////////////////////////////
// Get Slider
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_slider')) {
	function gf_vc_map_add_slider(){
		return array(
			'type' => 'checkbox',
			'heading' => esc_html__('Display Slider?', 'rica' ),
			'param_name' => 'is_slider',
			'admin_label' => true,
			'edit_field_class' => 'vc_col-sm-4 vc_column'
		);
	}
}

//////////////////////////////////////////////////////////////////
// Get Pagination
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_pagination')) {
	function gf_vc_map_add_pagination(){
		return array(
			'type' => 'checkbox',
			'heading' => esc_html__('Show pagination control', 'rica'),
			'param_name' => 'dots',
			'dependency' => array('element' => 'is_slider', 'value' => 'true'),
			'edit_field_class' => 'vc_col-sm-4 vc_column'
		);
	}
}
//////////////////////////////////////////////////////////////////
// Get Navigation
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_navigation')) {
	function gf_vc_map_add_navigation(){
		return array(
			'type' => 'checkbox',
			'heading' => esc_html__('Show navigation control', 'rica'),
			'param_name' => 'arrows',
			'dependency' => array('element' => 'is_slider', 'value' => 'true'),
			'std' => 'true',
			'edit_field_class' => 'vc_col-sm-4 vc_column'
		);
	}
}
//////////////////////////////////////////////////////////////////
// Custom vc_icon param
//////////////////////////////////////////////////////////////////

if (!function_exists('gf_custom_param_vc_icon')) {
	function gf_custom_param_vc_icon() {
		$align = array(
			esc_html__( 'Inline', 'rica' ) => 'inline'
		);
		$param_align = WPBMap::getParam('vc_icon','align');
		$param_align['value'] = array_merge($align,$param_align['value']);
		vc_update_shortcode_param( 'vc_icon', $param_align );

	}
	add_action( 'vc_after_init', 'gf_custom_param_vc_icon' );
}
//////////////////////////////////////////////////////////////////
// Get Pagination
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_pagination')) {
	function gf_vc_map_add_pagination(){
		return array(
			'type' => 'checkbox',
			'heading' => esc_html__('Show pagination control', 'rica'),
			'param_name' => 'dots',
			'dependency' => array('element' => 'is_slider', 'value' => 'true'),
			'edit_field_class' => 'vc_col-sm-4 vc_column'
		);
	}
}

//////////////////////////////////////////////////////////////////
// Get Auto Play
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_vc_map_auto_play')) {
	function gf_vc_map_auto_play(){
		return array(
			'type' => 'checkbox',
			'heading' => esc_html__('Auto play', 'rica'),
			'param_name' => 'auto_play',
			'dependency' => array('element' => 'is_slider', 'value' => 'true'),
			'std' => 'true',
			'edit_field_class' => 'vc_col-sm-4 vc_column'
		);
	}
}

if (!function_exists('gf_vc_map_auto_play_time')) {
	function gf_vc_map_auto_play_time(){
		return array(
			'type' => 'textfield',
			'heading' => esc_html__('Autoplay Timeout', 'rica'),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__('Autoplay interval timeout.', 'rica'),
			'value' => '',
			'std' => 5000,
			'dependency' => array('element' => 'auto_play', 'value' => 'true'),
		);
	}
}

/**
 * Get menu food categories
 */
if(!function_exists('gf_menu_food_get_categories')){
	function gf_menu_food_get_categories(){
		$food_categories = get_terms(GF_MENU_FOOD_CATEGORY_TAXONOMY, array('hide_empty' => 0, 'orderby' => 'ASC'));
		$food_cats = array();
		if (is_array($food_categories)) {
			foreach ($food_categories as $cat) {
				$food_cats[$cat->name] = $cat->slug;
			}
		}
		return $food_cats;

	}
}

/**
 * Get menu food item
 */

if(!function_exists('gf_menu_food_get_post')){
	function gf_menu_food_get_post(){
		$args = array(
			'posts_per_page' => -1,
			'post_type' => GF_MENU_FOOD_POST_TYPE,
			'post_status' => 'publish');
		$list_menu_foods = array();
		$post_array = get_posts($args);
		foreach ($post_array as $post) : setup_postdata($post);
			$list_menu_foods[$post->post_title] = $post->post_name ;
		endforeach;
		wp_reset_postdata();
		return $list_menu_foods;

	}
}

/**
 * Get menu food categories
 */
if(!function_exists('gf_gallery_get_categories')){
	function gf_gallery_get_categories(){
		$gallery_categories = get_terms(GF_GALLERY_CATEGORY_TAXONOMY, array('hide_empty' => 0, 'orderby' => 'ASC'));
		$gallery_cats = array();
		if (is_array($gallery_categories)) {
			foreach ($gallery_categories as $cat) {
				$gallery_cats[$cat->name] = $cat->slug;
			}
		}
		return $gallery_cats;
	}
}

/**
 * Get menu food item
 */
if(!function_exists('gf_gallery_get_post')){
	function gf_gallery_get_post(){
		$args = array(
			'posts_per_page' => -1,
			'post_type' => GF_GALLERY_POST_TYPE,
			'post_status' => 'publish');
		$list_gallery = array();
		$post_array = get_posts($args);
		foreach ($post_array as $post) : setup_postdata($post);
			$list_gallery[$post->post_title] = $post->post_name ;
		endforeach;
		wp_reset_postdata();
		return $list_gallery;
	}
}

/**
 * Get product categories
 */
if(!function_exists('gf_product_get_categories')){
	function gf_product_get_categories(){
		$food_categories = get_terms('product_cat',
			array(
				'hide_empty' => 0,
				'orderby' => 'ASC'
			)
		);
		$food_cats = $terms = array();
		if (is_array($food_categories)) {
			foreach ($food_categories as $cat) {
				$food_cats[$cat->name] = $cat->slug;
			}
		}
		return $food_cats;
	}
}

/**
 * Get product item
 */

if(!function_exists('gf_product_get_post')){
	function gf_product_get_post(){
		$args = array(
			'posts_per_page' => -1,
			'post_type' => 'product',
			'post_status' => 'publish');
		$list_products = array();
		$post_array = get_posts($args);
		foreach ($post_array as $post) : setup_postdata($post);
			$list_products[$post->post_title] = $post->post_name ;
		endforeach;
		wp_reset_postdata();
		return $list_products;

	}
}

if(!function_exists('posts_orderby_statement')){
	function posts_orderby_statement($orderby,$query) {
		global $wpdb;
		$post_name_in = implode("','",$query->query['post_name__in']);
		$orderby = "FIELD( {$wpdb->posts}.post_name, '$post_name_in')";
		return $orderby;
	}
}
if(!function_exists('gf_get_terms_orderby_slugs')){
	function gf_get_terms_orderby_slugs($orderby, $args, $taxonomies) {
		$order_by_in_slug = implode("','",$args['order_by_in_slug']);
		$orderby = "FIELD(t.slug, '$order_by_in_slug')";
		return $orderby;
	}
}
//////////////////////////////////////////////////////////////////
// Narrow Product Category
//////////////////////////////////////////////////////////////////
if (!function_exists('gf_vc_map_add_narrow_product_category')){
	function gf_vc_map_add_narrow_product_category(){
		$category = array();
		$categories = get_terms('product_cat');
		if (is_array($categories)) {
			foreach ($categories as $cat) {
				$category[$cat->name] = $cat->slug;
			}
		}
		return array(
			'type' => 'select2',
			'heading' => esc_html__('Narrow Category', 'rica'),
			'param_name' => 'category',
			'options' => $category,
			'multiple' => true,
			'description' => esc_html__( 'Enter categories by names to narrow output (Note: only listed categories will be displayed, divide categories with linebreak (Enter)).', 'rica' ),
			"admin_label" => true,
			'std' => ''
		);
	}
}
