<?php

$gallery_cats = gf_gallery_get_categories();
$list_gallery = gf_gallery_get_post();
return array(
    'name' => esc_html__('Gallery', 'rica'),
    'base' => 'g5plus_gallery',
    'class' => '',
    'icon' => 'fa fa-tachometer',
    'category' => GF_SHORTCODE_CATEGORY,
    'params' => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Layout', 'rica'),
            'param_name'  => 'layout',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Grid', 'rica') => 'grid',
                esc_html__('Grid Slide', 'rica') => 'grid-slide',
                esc_html__('Masonry', 'rica')     => 'masonry'
            )
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Select source', 'rica'),
            'param_name' => 'data_source',
            'admin_label' => true,
            'value' => array(
                esc_html__('From Category', 'rica') => '',
                esc_html__('From Gallery Items', 'rica') => 'list_items')
        ),
        array(
            'type' => 'select2',
            'heading' => esc_html__('Select category', 'rica'),
            'param_name' => 'category',
            'admin_label' => true,
            'options' => $gallery_cats,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        array(
            'type' => 'select2',
            'heading' => esc_html__('Select menu item', 'rica'),
            'param_name' => 'gallery_slugs',
            'options' => $list_gallery,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array('list_items'))
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show category', 'rica'),
            'param_name' => 'show_category',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Enable gray scale', 'rica'),
            'param_name' => 'is_grayscale',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-6 vc_column'
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Loop', 'rica'),
            'param_name' => 'is_loop',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'layout', 'value' => array('grid-slide'))
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Auto play', 'rica'),
            'param_name' => 'is_auto',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'layout', 'value' => array('grid-slide'))
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show navigation', 'rica'),
            'param_name' => 'is_nav',
            'std' => 'true',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'layout', 'value' => array('grid-slide'))
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Number of column', 'rica'),
            'param_name'       => 'columns',
            'value'            => array('2' => '2', '3' => '3','4' => '4','5' => '5','6' => '6'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'layout', 'value' => array('grid','grid-slide'))
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Total of item', 'rica'),
            'param_name'       => 'total_items',
            'value'            => '',
            'description' => esc_html__('Empty for select all.', 'rica'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Padding between items', 'rica'),
            'param_name'       => 'padding',
            'value'            => array('None' => '', '5px' => 'padding-5','10px' => 'padding-10','20px' => 'padding-20'),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'layout', 'value' => array('grid'))
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);