(function ($) {
	"use strict";
	var G5PlusGoogleMap = {
		init: function() {
			$('.g5plus-google-map').each(function () {
				var lat = $(this).attr('data-lat');
				var lng = $(this).attr('data-lng');
				var layout = $(this).attr('data-layout-style');
				var markerTitle = $(this).attr('data-marker-title');
				var markerIcon = $(this).attr('data-marker-icon');
				var mapZoom = $(this).attr('data-map-zoom');
				var mapColor = $(this).attr('data-map-color');
				var infoHtml = $(this).attr('data-info-html');
				var infoMaxWidth = $(this).attr('data-info-max-width');
				var infoBg = $(this).attr('data-info-bg');
				var infoColor = $(this).attr('data-info-color');
				if (lat == '') {
					lat = 0;
				}
				if (lng == '') {
					lng = 0;
				}
				if (mapZoom == '') {
					mapZoom = 11;
				}
				mapZoom = parseInt(mapZoom, 10);
				var mapStyle  = [{"featureType": "administrative", "elementType": "labels.text.fill", "stylers": [{"color": "#444444"}]},{"featureType": "landscape", "elementType": "all", "stylers": [{"color": "#f2f2f2"}]},{"featureType": "poi", "elementType": "all", "stylers": [{"visibility": "off"}]},{"featureType": "road", "elementType": "all", "stylers": [{"saturation": -100}, {"lightness": 45}]}, {"featureType": "road.highway", "elementType": "all", "stylers": [{"visibility": "simplified"}]},{"featureType": "road.arterial", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]},{"featureType": "transit", "elementType": "all", "stylers": [{"visibility": "off"}]},{"featureType": "water", "elementType": "all", "stylers": [{"color": mapColor}, {"visibility": "on"}]}];
				var w = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
				var isDraggable = w > 1024 ? true : false;
				var location=new google.maps.LatLng(lat, lng);
				var mapOptions = {
					mapTypeId: 'roadmap',
					styles: mapStyle,
					draggable: isDraggable,
					scrollwheel: false,
					zoom: mapZoom,
					center: location
				};
				var mapElement = this;
				var map = new google.maps.Map(mapElement, mapOptions);
				if(layout=='infowindow')
				{
					var infoWindow = new google.maps.InfoWindow({maxWidth: infoMaxWidth});
					infoWindow.setContent(infoHtml);
					infoWindow.setPosition(location);
					infoWindow.open(map);
					map.addListener('zoom_changed', function() {
						infoWindow.setContent(infoHtml);
						infoWindow.open(map);
					});
					google.maps.event.addListener(map, 'tilesloaded', function() {
						$('.gm-style-iw',mapElement).css('color',infoColor);
						$('.gm-style-iw',mapElement).prev().children().last().css('background-color',infoBg);
						$('.gm-style-iw',mapElement).prev().children().last().prev().children().children().css('background-color',infoBg);
					});
				}
				else
				{
					var marker = new google.maps.Marker({
						position: location,
						map: map,
						title: markerTitle,
						icon: markerIcon,
						animation: google.maps.Animation.DROP
					});
				}
			});
		}
	};
	$(document).ready(G5PlusGoogleMap.init);
})(jQuery);