<?php
/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Icon_Box
 */
$min_suffix = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'icon-box', plugins_url(GF_PLUGIN_NAME . '/shortcodes/icon-box/assets/css/icon-box' . $min_suffix . '.css'), array(), false, 'all');

$atts = vc_map_get_attributes($this->getShortcode(), $atts);

// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $animation_style = 'style="' . implode(' ', $animation_style) . '"';
} else {
    $animation_style = '';
}
$class_to_filter = vc_shortcode_custom_css_class($atts['css'], ' ') . $this->getExtraClass($atts['el_class']);
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$icon_class[] = 'g5plus-icon-box';
$icon_class[] = $atts['layout'];
$icon_class[] = $atts['color_scheme'];
$icon_class[] = $this->getCSSAnimation($atts['css_animation']);


//parse link
$link_attributes = array();
$link = ('||' === $atts['link']) ? '' : $atts['link'];
$link = vc_build_link($link);
$use_link = false;
if (strlen($link['url']) > 0) {
    $use_link = true;
    $a_href = $link['url'];
    $a_title = $link['title'];
    $a_target = $link['target'];
} else {
    $a_href = '';
}

?>
<?php if (!empty($css_class)): ?>
    <div class="<?php echo esc_attr($css_class) ?>">
<?php endif; ?>
        <div class="<?php echo esc_attr(implode(' ', $icon_class)) ?>" <?php echo esc_attr($animation_style) ?>>
            <?php if ($atts['icon_type'] == 'image') : ?>
                <?php if (!empty($atts['icon_image'])): ?>
                    <span class="icon-image">
                        <?php
                        $icon_image_id = preg_replace('/[^\d]/', '', $atts['icon_image']);
                        $icon_image_src = wp_get_attachment_image_src($icon_image_id, 'full');
                        if (!empty($icon_image_src[0])) {
                            $icon_image_src = $icon_image_src[0];
                        }
                        ?>
                        <img src="<?php echo esc_url($icon_image_src) ?>"
                             alt="<?php echo the_title_attribute(array('post' => $icon_image_id, 'echo' => false)) ?>"/>
                    </span>
                <?php endif; ?>
            <?php else: ?>
                <span class="icon">
                        <i class="<?php echo esc_attr($atts['icon_font']) ?>"></i>
                    </span>
            <?php endif; ?>
            <div class="content">
                <ul>
                    <li class="title">
                        <?php if ($a_href): ?>
                            <a href="<?php echo esc_url($a_href) ?>"><?php echo wp_kses_post($atts['title']) ?></a>
                        <?php else: ?>
                            <?php echo wp_kses_post($atts['title']) ?>
                        <?php endif; ?>
                    </li>
                    <?php if (!empty($atts['description'])): ?>
                        <li class="desc"><?php echo wp_kses_post($atts['description']) ?></li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
<?php if (!empty($css_class)): ?>
    </div>
<?php endif; ?>
