<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $image
 * @var $content
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Image_Box
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();

$wrapper_classes = array(
    'g5plus-image-box',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);
if($atts['hover_active']=='true')
{
    $wrapper_classes[]='hover-active';
}
$img_id = preg_replace('/[^\d]/', '', $atts['image']);
$img_size=$atts['image_size'];
if($img_size==='')
{
    $img_size='370x305';
}
$img = wpb_getImageBySize(array('attach_id' => $img_id, 'thumb_size' => $img_size));

$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}
if ($wrapper_styles) {
    $wrapper_attributes[] = 'style="' . implode('; ', $wrapper_styles) . '"';
}
$class_to_filter = implode(' ',$wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'image-box', plugins_url(GF_PLUGIN_NAME . '/shortcodes/image-box/assets/css/image-box'.$min_suffix.'.css'), array(), false, 'all');
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <?php echo wp_kses_post($img['thumbnail']);?>
    <div class="content-hover">
        <?php echo do_shortcode($content) ?>
    </div>
</div>