<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/5/2016
 * Time: 9:42 AM
 */

$post_per_page = $atts['post_per_page'] != '' ? $atts['post_per_page'] : -1;
$total_item = $atts['total_items'] ? $atts['total_items'] : -1;
$current_page = $atts['current_page'] ? $atts['current_page'] : 1;
$offset = ($current_page - 1) * $post_per_page;

$args = array(
    'offset'         => $offset,
    'post_name__in'  => explode(",", $atts['menu_food_slugs']),
    'posts_per_page' => $post_per_page,
    'post_type'      => 'product',
    'post_status'    => 'publish');

if ($atts['data_source'] == '') {
    $args = array(
        'offset'         => $offset,
        'posts_per_page' => $post_per_page,
        'post_type'      => 'product',
        'product_cat' => strtolower($atts['category']),
        'post_status'    => 'publish');
}
$atts['class_wrap'][] = 'menu-food-wrapper '.$atts['menu_layout'];
$menu_foods = new WP_Query($args);
$post_thumbnail_id = 0;
$thumb = $price = $sale_price = $feature = $feature_text = '';
$col_class = 'col-xs-12 col-sm-12 col-md-' . (12 / $atts['columns']);
$section_id = uniqid();
$width = 370;
$height = 375;
if($atts['image_position']==='no-seperator-image'){
    $width = 170;
    $height = 170;
}
$atts['class_wrap'][]= $atts['image_position'];
$alt = '';
?>
<div class="<?php echo implode(' ',$atts['class_wrap']);  ?>" id="<?php echo esc_attr($section_id) ?>"
     data_source="<?php echo esc_attr($atts['data_source']); ?>"
     data-layout="<?php echo esc_attr($atts['menu_layout']); ?>"
     data-columns="<?php echo esc_attr($atts['columns']); ?>"
     data-post-per-page="<?php echo esc_attr($atts['post_per_page']); ?>"
     data-total-items="<?php echo esc_attr($atts['total_items']); ?>"
>

    <div class="menu-food-group">
        <div class="container active">
            <div class="row">
                <?php while ($menu_foods->have_posts()) : $menu_foods->the_post();
                    $post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
                    $thumb = matthewruddy_image_resize_id($post_thumbnail_id, $width, $height);
                    $alt = get_the_title($post_thumbnail_id);
                    $price =  get_post_meta( get_the_ID(), '_regular_price', true);
                    $sale_price = get_post_meta( get_the_ID(), '_sale_price', true);
                    $feature = get_post_meta(get_the_ID(), 'food-feature', true);
                    $currency = function_exists('get_woocommerce_currency_symbol') ? ' '.get_woocommerce_currency_symbol(): '';
                    ?>
                    <div class="<?php echo esc_attr($col_class) ?>">
                        <div class="food-item item-box-shadow">
                            <div class="thumb">
                                <img src="<?php echo esc_attr($thumb) ?>" alt="<?php echo esc_attr($alt) ?>">
                                <div class="thumb-hover">
                                    <a class="view-gallery ladda-button" href="javascript:;" data-post-id="<?php echo get_the_ID() ?>" data-style='zoom-out'
                                       data-spinner-color='#ffffff' data-post-type="product">
                                        <i class="fa fa-search"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="food-info">
                                <div class="info-inner">
                                    <span class="title fs-18 fw-semi-bold"><a href="<?php echo get_permalink() ?>"><?php the_title() ?></a></span>
                                    <div class="excerpt"><?php the_excerpt() ?></div>
                                    <?php if ($price): ?>
                                        <div class="<?php if($sale_price){ echo 'has-sale';} ?>">
                                            <span class="price"><?php echo wp_kses_post($price . $currency); ?></span>
                                            <?php if($sale_price): ?>
                                                <span class="sale-price"><?php echo wp_kses_post($sale_price.$currency); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php if ($feature): ?>
                                <span class="feature-flash fw-bold"><?php echo wp_kses_post($feature); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php endwhile;
                ?>
            </div>
        </div>
        <?php wp_reset_postdata();?>
    </div>
</div>