<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $avatar
 * @var $author
 * @var $author_job
 * @var $author_info
 * @var $author_link
 * @var $social_icons
 * @var $icon_type
 * @var $icon_font
 * @var $icon_image
 * @var $social_link
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Our_Team_Item
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$wrapper_styles = array();
$atts['social_icons'] = (array)vc_param_group_parse_atts($atts['social_icons']);

$wrapper_classes = array(
    'g5plus-team-single',
    'team-layout-' . $atts['layout_style_team'],
    'clearfix',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);

$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $wrapper_styles = $animation_style;
}

$link_attributes = array();
$atts['author_link'] = ('||' === $atts['author_link']) ? '' : $atts['author_link'];
$atts['author_link'] = vc_build_link($atts['author_link']);
$use_link = false;
if (strlen($atts['author_link']['url']) > 0) {
    $use_link = true;
    $a_href = $atts['author_link']['url'];
    $a_title = $atts['author_link']['title'];
    $a_target = $atts['author_link']['target'];
} else {
    $a_href = '';
}

$link_attributes[] = 'href="' . esc_url(trim($a_href)) . '"';
if (!empty($a_title)) {
    $link_attributes[] = 'title="' . esc_attr(trim($a_title)) . '"';
}
if (!empty($a_target)) {
    $link_attributes[] = 'target="' . esc_attr(trim($a_target)) . '"';
}


$class_to_filter = implode(' ', $wrapper_classes);
$class_to_filter .= vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
?>
<div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
    <?php if (!empty($atts['avatar'])): ?>
        <div class="team-avatar">
            <?php $image = wp_get_attachment_image_src($atts['avatar'], 'full'); ?>
            <?php if ($atts['layout_style_team'] == 'style1'): ?>
                <?php $image_resize = matthewruddy_image_resize($image[0], 200, 200); ?>
            <?php else: ?>
                <?php $image_resize = matthewruddy_image_resize($image[0], 370, 420); ?>
            <?php endif; ?>
            <?php $image_url = $image_resize['url']; ?>
            <img src="<?php echo esc_url($image_url) ?>" alt="">

            <?php if ($atts['layout_style_team'] == 'style1'): ?>
                <div class="team-social-icon">
                    <div class="team-icon">
                        <?php
                        GF_FrameWork_CPT::get_shortcode_template('/our-team-item/content-social-icon', $atts);
                        ?>
                    </div>
                </div>
            <?php endif;?>
        </div>
    <?php endif; ?>
    <div class="team-content">
        <div class="team-title">
            <?php if (!empty($atts['author'])): ?>
                <h3 class="team-name">
                    <?php if (!empty($a_href)): ?>
                        <a <?php echo implode(' ', $link_attributes); ?>><?php echo esc_html($atts['author']) ?></a>
                    <?php else: ?>
                        <?php echo esc_html($atts['author']) ?>
                    <?php endif; ?>
                </h3>
            <?php endif; ?>
            <?php if (!empty($atts['author_job'])): ?>
                <span class="team-job"><?php echo esc_html($atts['author_job']) ?></span>
            <?php endif; ?>
            <?php if ($atts['layout_style_team'] == 'style2'): ?>
                <div class="team-social-icon">
                    <div class="team-icon">
                        <?php
                        GF_FrameWork_CPT::get_shortcode_template('/our-team-item/content-social-icon', $atts);
                        ?>
                    </div>
                </div>
            <?php endif;?>
        </div>
        <?php if ($atts['layout_style_team'] == 'style1'): ?>
            <?php if (!empty($atts['author_info'])): ?>
                <p class="team-description">"<?php echo wp_kses_post($atts['author_info']) ?>"</p>
            <?php endif; ?>
        <?php endif; ?>
    </div>
</div>