<?php
return array(
    'base'     => 'g5plus_partner',
    'name'     => esc_html__('Partner', 'rica'),
    'icon'     => 'fa fa-user-plus',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Layout Style', 'rica'),
            'param_name'  => 'layout',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Default', 'rica')     => 'no-border',
                esc_html__('With Border', 'rica') => 'with-border'),
            'description' => esc_html__('Select Layout Style.', 'rica')
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Items', 'rica'),
            'param_name' => 'items',
            'description' => esc_html__('This variable allows you to set the maximum amount of items displayed at a time with the widest browser width', 'rica'),
            'value' => '',
            'std' => 6
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__('Item height', 'rica'),
            'param_name'  => 'item_height',
            'description' => esc_html__('Enter item height. Example: 90', 'rica'),
            'std'         => '90'
        ),
        array(
            'type'       => 'checkbox',
            'heading'    => esc_html__('Slider Style', 'rica'),
            'param_name' => 'is_slider',
            'value'      => array(esc_html__('Yes, please', 'rica') => 'yes')
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Loop', 'rica'),
            'param_name'       => 'loop',
            'description'      => esc_html__('Inifnity loop.', 'rica'),
            'value'            => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'std'              => 'yes',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency'       => array('element' => 'is_slider', 'value' => 'yes')
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Navigation', 'rica'),
            'param_name'       => 'nav',
            'description'      => esc_html__('Show navigation.', 'rica'),
            'value'            => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency'       => array('element' => 'is_slider', 'value' => 'yes')
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Autoplay', 'rica'),
            'param_name'       => 'autoplay',
            'description'      => esc_html__('Autoplay.', 'rica'),
            'value'            => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'std'              => 'yes',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency'       => array('element' => 'is_slider', 'value' => 'yes')
        ),
        array(
            'type'             => 'checkbox',
            'heading'          => esc_html__('Pause on hover', 'rica'),
            'param_name'       => 'autoplayhoverpause',
            'description'      => esc_html__('Pause on mouse hover.', 'rica'),
            'value'            => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'std'              => 'yes',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency'       => array('element' => 'is_slider', 'value' => 'yes')
        ),

        array(
            'type'       => 'param_group',
            'heading'    => esc_html__('Partner Info', 'rica'),
            'param_name' => 'partners',
            'params'     => array(
                array(
                    'type'        => 'attach_images',
                    'heading'     => esc_html__('Images', 'rica'),
                    'param_name'  => 'images',
                    'value'       => '',
                    'description' => esc_html__('Select images from media library.', 'rica')
                ),
                array(
                    'type'       => 'textfield',
                    'heading'    => esc_html__('Partner url', 'rica'),
                    'param_name' => 'url',
                    'value'      => ''
                ),
            ),
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )

);