<?php
return array(
	'name' => esc_html__('Pie Chart', 'rica'),
	'base' => 'g5plus_pie_chart',
	'class' => '',
	'icon' => 'fa fa-pie-chart',
	'category' => GF_SHORTCODE_CATEGORY,
	'description' => esc_html__('Animated pie chart', 'rica'),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Layout Style', 'rica'),
			'param_name' => 'layout_style',
			'admin_label' => true,
			'value' => array(esc_html__('Normal', 'rica') => 'pie_text', esc_html__('Pie Icon', 'rica') => 'pie_icon'),
			'description' => esc_html__('Select Layout Style.', 'rica'),
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Title', 'rica' ),
			'param_name' => 'title',
			'description' => __( 'Enter text used as widget title (Note: located above content element).', 'rica' ),
			'admin_label' => true,
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Value', 'rica'),
			'param_name' => 'value',
			'description' => esc_html__('Enter value for graph (Note: choose range from 0 to 100).', 'rica'),
			'value' => '50',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Label value', 'rica'),
			'param_name' => 'label_value',
			'description' => esc_html__('Enter label for pie chart (Note: leaving empty will set value from "Value" field).', 'rica'),
			'value' => ''
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Units', 'rica'),
			'param_name' => 'units',
			'description' => esc_html__('Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'rica')
		),
		gf_vc_map_add_icon_type(Array('element' => 'layout_style', 'value' => array('pie_icon'))),
		gf_vc_map_add_icon_font(),
		gf_vc_map_add_icon_image(),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Text value / Icon color', 'rica'),
			'param_name' => 'value_color',
			'description' => esc_html__('Select value/icon color.', 'rica'),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Title color', 'rica'),
			'param_name' => 'title_color',
			'description' => esc_html__('Select title color.', 'rica'),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Bar color', 'rica'),
			'param_name' => 'bar_color',
			'value' => array(esc_html__('Primary color', 'rica') => 'primary-color') + getVcShared('colors-dashed') + array(esc_html__('Custom', 'rica') => 'custom'),
			'description' => esc_html__('Select pie chart color.', 'rica'),
			'param_holder_class' => 'vc_colored-dropdown',
			'std' => 'grey'
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Custom color', 'rica'),
			'param_name' => 'bar_custom_color',
			'description' => esc_html__('Select custom bar color.', 'rica'),
			'dependency' => array(
				'element' => 'bar_color',
				'value' => array('custom')
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Bar value color', 'rica'),
			'param_name' => 'color',
			'value' => array(esc_html__('Primary color', 'rica') => 'primary-color') + getVcShared('colors-dashed') + array(esc_html__('Custom', 'rica') => 'custom'),
			'description' => esc_html__('Select bar value color.', 'rica'),
			'param_holder_class' => 'vc_colored-dropdown',
			'std' => 'primary-color'
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__('Custom color', 'rica'),
			'param_name' => 'custom_color',
			'description' => esc_html__('Select custom bar value color.', 'rica'),
			'dependency' => array(
				'element' => 'color',
				'value' => array('custom')
			),
		),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);