<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 5/16/2016
 * Time: 9:02 AM
 */
$g5plus_options = &G5Plus_Global::get_options();
$item_class = 'portfolio-item col-sm-6 col-xs-12 col-md-'.(12/$template_args['columns']);
$item_wrap_class = 'portfolio-item-wrap '.$template_args['padding'] . ' '.$template_args['bg_color'];

$content_attributes = '';
$responsives = array();
$responsives[480] = $template_args['columns'] > 1 ? 1 : $template_args['columns'];
$responsives[768] = $template_args['columns'] > 2 ? 2 : $template_args['columns'];
$responsives[1200] = $template_args['columns'] > 3 ? 3 : $template_args['columns'];

if($template_args['show_slider']){
    $item_wrap_class .= ' slick';
    $slick_attributes = array(
        '"slidesToShow": ' . $template_args['columns'],
        '"slidesToScroll": 1',
        '"arrows": true ',
        '"dots": false',
        '"responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": '.$responsives[480].', "slidesToScroll":1} }, {"breakpoint": 768, "settings": {"slidesToShow": '.$responsives[768].', "slidesToScroll": 1}}, {"breakpoint": 1200, "settings": {"slidesToShow": '.$responsives[1200].', "slidesToScroll": 1}}]'

    );
    $content_attributes = "data-slick-config='{". implode(', ', $slick_attributes) ."}'";

}
$text_hover_color = $template_args['bg_color'] =='bg-light' ? 'color-dark' : 'color-white';
$spin_color = $g5plus_options['primary_color'];
?>
<div class="<?php echo esc_attr(implode(' ',$template_args['class_wrap'])) ?>"  <?php echo esc_attr($template_args['style']) ?>>
    <div class="portfolio-shortcode" id="portfolio-<?php echo esc_attr($template_args['data_section_id']) ?>">
        <?php if($template_args['show_category']) :

            $termIds = array();
            $array_terms = array();

            $portfolio_terms = get_terms(G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY);
            if ($template_args['category'] != '') {
                $slugSelected = explode(',', $template_args['category']);
                foreach ($portfolio_terms as $term) {
                    if (in_array($term->slug, $slugSelected))
                        $termIds[$term->term_id] = $term->term_id;
                }
            }
            $array_terms['include'] = $termIds;
            $terms = get_terms(G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY, $array_terms);
            $tab_class = 'hidden-xs fs-16 s-font '.$template_args['show_category']. ' ' . $template_args['category_schema'];

            ?>
            <div class="portfolio-tabs">
                <ul class="<?php echo esc_attr($tab_class) ?>"
                    data-section-id="<?php echo esc_attr($template_args['data_section_id']) ?>"
                    data-post-per-page="<?php echo esc_attr($template_args['items']) ?>"
                    data-columns="<?php echo esc_attr($template_args['columns']) ?>"
                    data-bg-color="<?php echo esc_attr($template_args['bg_color']) ?>"
                    data-image-size="<?php echo esc_attr($template_args['image_size']) ?>"
                    data-padding="<?php echo esc_attr($template_args['padding']) ?>"
                    data-show-load-more = "<?php echo esc_attr($template_args['show_slider']) ?>"
                    data-carousel = "<?php echo esc_attr($template_args['show_slider']) ?>"
                >
                    <li>
                        <a href="javascript:;" class="active ladda-button" data-category=""  data-style='zoom-out'
                           data-spinner-color='<?php echo esc_attr($spin_color) ?>' >
                            <?php esc_html_e('All', 'rica') ?>
                        </a>
                    </li>
                    <?php
                    foreach ($terms as $term) { ?>
                        <li>
                            <a href="javascript:;" class="ladda-button" data-category="<?php echo esc_attr($term->slug) ?>"  data-style='zoom-out'
                               data-spinner-color='<?php echo esc_attr($spin_color) ?>' >
                                <?php echo wp_kses_post($term->name) ?>
                            </a>
                        </li>
                    <?php } ?>
                </ul>

                <div class="visible-xs select-cat">
                    <select
                        data-section-id="<?php echo esc_attr($template_args['data_section_id']) ?>"
                        data-post-per-page="<?php echo esc_attr($template_args['items']) ?>"
                        data-columns="<?php echo esc_attr($template_args['columns']) ?>"
                        data-bg-color="<?php echo esc_attr($template_args['bg_color']) ?>"
                        data-image-size="<?php echo esc_attr($template_args['image_size']) ?>"
                        data-padding="<?php echo esc_attr($template_args['padding']) ?>"
                        data-carousel = "<?php echo esc_attr($template_args['show_slider']) ?>" >
                        <option value="" >
                            <?php echo wp_kses_post($g5plus_options['portfolio_view_all_cat_title']); ?>
                        </option>
                        <?php foreach ($terms as $term) { ?>
                            <option value="<?php echo esc_attr($term->slug) ?>" <?php if ($template_args['category'] == $term->slug) { echo 'selected=\'selected\'';  } ?> >
                                <?php echo wp_kses_post($term->name); ?>
                            </option>
                        <?php } ?>
                    </select>
                    <i class="fa fa-spinner fa-spin"></i>
                </div>


            </div>
        <?php endif; ?>

        <div class="<?php echo esc_attr($item_wrap_class) ?>"  <?php echo sprintf('%s',$content_attributes) ?>>
            <?php
            $index = 0;
            while ($template_args['data_display']->have_posts()) :
                $template_args['data_display']->the_post();
                $index++;
                $permalink = get_permalink();
                $title_post = get_the_title();
                $terms = wp_get_post_terms(get_the_ID(), array(G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY));
                $cat = $cat_filter = '';
                foreach ($terms as $term) {
                    $cat_filter .= $term->slug . ' ';
                    $cat .= $term->name . ', ';
                }
                $cat = rtrim($cat, ', ');
                $item_class.= ' '.$cat_filter;
                ?>

                <div class="<?php echo esc_attr($item_class) ?>">
                    <?php
                    $post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
                    $arrImages = wp_get_attachment_image_src($post_thumbnail_id, 'full');
                    $width = 270;
                    $height = 270;
                    $sizes = explode('x', $template_args['image_size']);
                    if (is_array($sizes)) {
                        if (count($sizes) > 0)
                            $width = $sizes[0];
                        if (count($sizes) > 1)
                            $height = $sizes[1];
                    }

                    $thumbnail_url = '';
                    if (count($arrImages) > 0) {
                        $resize = matthewruddy_image_resize($arrImages[0], $width, $height);
                        if ($resize != null && is_array($resize))
                            $thumbnail_url = $resize['url'];
                    }

                    $url_origin = $arrImages[0];
                    ?>

                    <div class="thumb-wrap">
                        <img width="<?php echo esc_attr($width) ?>" height="<?php echo esc_attr($height) ?>"
                             src="<?php echo esc_url($thumbnail_url) ?>" alt="<?php echo get_the_title() ?>"/>
                        <div class="hover-wrap">
                            <div class="hover-outer">
                                <div class="hover-inner">
                                    <a class="view-gallery ladda-button <?php echo esc_attr($text_hover_color) ?>" data-src="<?php esc_attr($url_origin); ?>"
                                       data-post-id="<?php echo esc_attr(get_the_ID()); ?>" href="javascript:;" title="<?php echo get_the_title() ?>"
                                       data-style='zoom-out' data-spinner-color='<?php echo esc_attr($spin_color) ?>'
                                    >
                                        +
                                    </a>
                                    <a href="<?php echo get_permalink(get_the_ID()) ?>" class="<?php echo esc_attr($text_hover_color) ?>">
                                        <div class="title mg-top-15 uppercase fs-16 fw-bold"><?php the_title() ?></div>
                                    </a>
                                    <div class="category <?php echo esc_attr($text_hover_color) ?>"><?php echo wp_kses_post($cat) ?></div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <?php
            endwhile;
            wp_reset_postdata();
            ?>
        </div>
    </div>
</div>

<script type="text/javascript">
    (function ($) {
        "use strict";
        $(document).ready(function () {
            PortfolioAjaxAction.init('<?php echo esc_url(home_url('/') . 'wp-admin/admin-ajax.php') ?>', '<?php echo esc_attr($template_args['data_section_id'])?>');
        });
    })(jQuery);
</script>
