<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $category
 * @var $show_category
 * @var $tab_category_action
 * @var $columns
 * @var $items
 * @var $image_size
 * @var $show_slider
 * @var $padding
 * @var $bg_color
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css_editor
 * @var $data_section_id
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Portfolio
 */

$min_suffix = gf_get_option('enable_minifile_css',0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'portfolio', plugins_url(GF_PLUGIN_NAME . '/shortcodes/portfolio/assets/css/portfolio'.$min_suffix.'.css'), array(), false, 'all');
wp_enqueue_style('ladda', plugins_url(GF_PLUGIN_NAME . '/shortcodes/portfolio/assets/js/ladda/ladda.min.css'), array(), false, 'all');
wp_enqueue_script('ladda-spin', plugins_url(GF_PLUGIN_NAME. '/shortcodes/portfolio/assets/js/ladda/spin.min.js'), false, true);
wp_enqueue_script('ladda', plugins_url(GF_PLUGIN_NAME. '/shortcodes/portfolio/assets/js/ladda/ladda.min.js'), false, true);
wp_enqueue_script(GF_PLUGIN_PREFIX . 'portfolio', plugins_url(GF_PLUGIN_NAME. '/shortcodes/portfolio/assets/js/portfolio.js'), false, true);

$data_section_id = isset($atts['data_section_id']) ? $atts['data_section_id'] : uniqid();

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );

//set category for archive portfolio
if($atts['category']=='' && isset($_GET['cat']) ){
    $atts['category'] = $_GET['cat'];
}
$posts_per_page = $atts['items'] ? $atts['items'] : -1;
$args = array(
    'offset' => 0,
    'posts_per_page' => $posts_per_page,
    'post_type' => G5PLUS_PORTFOLIO_POST_TYPE,
    G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY => strtolower($atts['category']),
    'post_status' => 'publish');
if($atts['order_by']){
    $args['order_by'] = $atts['order_by'];
    $args['order'] = $atts['order'];
}
$data_display = new WP_Query($args);

$atts['offset'] = 0;
$atts['data_section_id'] = $data_section_id;
$atts['data_display'] = $data_display;

// style
$style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if(sizeof($style) > 0){
    $style = 'style="' . implode( ' ', $style ) . '"';
}else{
    $style = '';
}
$class_to_filter = vc_shortcode_custom_css_class( $atts['css'], ' ' );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$class_wrap[] = $css_class;
$class_wrap[] = $this->getExtraClass( $atts['el_class'] );
$class_wrap[] = $this->getCSSAnimation($atts['css_animation']);
$atts['class_wrap'] = $class_wrap;
$atts['style'] = $style;

G5plus_FrameWork_CPT::get_shortcode_template("/portfolio/template-grid.php",$atts);


