<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $layout
 * @var $icon_light
 * @var $category
 * @var $source
 * @var $number
 * @var $columns
 * @var $columns_list
 * @var $is_slider
 * @var $arrows
 * @var $dots
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * Shortcode class
 * @var $this WPBakeryShortCode_G5Plus_Posts
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$wrapper_attributes = array();
$styles = array();
$content_attributes = '';
// animation
$animation_style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if (sizeof($animation_style) > 0) {
    $styles = $animation_style;
}

$wrapper_classes = array(
    'g5plus-posts',
    'clearfix',
    $this->getExtraClass($atts['el_class']),
    $this->getCSSAnimation($atts['css_animation'])
);

if ($styles) {
    $wrapper_attributes[] = 'style="' . implode(' ', $styles) . '"';
}


$content_classes[] = 'owl-carousel';
$columns_slider = $atts['columns'];
$vertical = 'false';
$vertical_drag = 'false';
$infinite = 'false';
/*if($atts['auto_play']){
    $infinite = 'true';
}*/
if ($atts['auto_play'] != 'true') {
    $atts['auto_play'] = 'false';
}
if($atts['columns'] == 4){
    $responsive = 3;
}
if($atts['columns'] == 3){
    $responsive = 2;
}
if($atts['columns'] == 2){
    $responsive = 2;
}
$slider_attributes = array(
    '"items":' . $atts['columns'],
    '"autoplay":' . $atts['auto_play'],
    '"autoplayTimeout":' . $atts['autoplaytimeout'],
    '"loop":'. $infinite,
    '"dots": ' . ($atts['dots'] ? 'true' : 'false'),
    '"nav": ' . ($atts['arrows'] ? 'true' : 'false'),
    '"responsive": {"0":{"items": 1},"320":{"items": 1},"600":{"items": 2},"980":{"items": '.$responsive.'},"1200":{"items": ' . $atts['columns'] . '}}',
);
$content_attributes = "data-plugin-options='{" . implode(', ', $slider_attributes) . "}'";


// get sources
$query_args = array(
    'posts_per_page' => $atts['number'],
    'no_found_rows' => true,
    'post_status' => 'publish',
    'ignore_sticky_posts' => true,
    'post_type' => 'post',
    'tax_query' => array(
        array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => array('post-format-quote', 'post-format-link', 'post-format-audio'),
            'operator' => 'NOT IN'
        )
    )
);
switch ($atts['source']) {
    case 'random' :
        $query_order_args = array(
            'orderby' => 'rand',
            'order' => 'DESC',
        );
        break;
    case 'popular':
        $query_order_args = array(
            'orderby' => 'comment_count',
            'order' => 'DESC',
        );
        break;
    case 'recent':
        $query_order_args = array(
            'orderby' => 'post_date',
            'order' => 'DESC',
        );
        break;
    case 'oldest':
        $query_order_args = array(
            'orderby' => 'post_date',
        );
        break;
}
$query_args = array_merge($query_args, $query_order_args);
if (!empty($atts['category'])) {
    $query_args['tax_query'][] = array(
        'taxonomy' => 'category',
        'terms' => explode(',', $atts['category']),
        'field' => 'slug',
        'operator' => 'IN'
    );
}
$r = new WP_Query($query_args);

$class_to_filter = implode(' ', $wrapper_classes);
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$css_content_class = implode(' ', $content_classes);
$min_suffix = gf_get_option('enable_minifile_css', 0) == 1 ? '.min' : '';
wp_enqueue_style(GF_PLUGIN_PREFIX . 'posts', plugins_url(GF_PLUGIN_NAME . '/shortcodes/posts/assets/css/posts' . $min_suffix . '.css'), array(), false, 'all');

?>
    <div class="<?php echo esc_attr($css_class) ?>" <?php echo implode(' ', $wrapper_attributes); ?>>
        <?php if ($r->have_posts()): ?>
            <div class="<?php echo esc_attr($css_content_class); ?>" <?php echo $content_attributes ?>>
                <?php while ($r->have_posts()) : $r->the_post(); ?>
                    <?php
                    GF_FrameWork_CPT::get_shortcode_template('/posts/content');
                    ?>
                <?php endwhile; ?>
            </div>
        <?php else: ?>
            <div class="item-not-found"><?php esc_html_e('No item found', 'rica'); ?></div>
        <?php endif; ?>
    </div>
<?php wp_reset_postdata(); ?>