<?php
return array(
	'base' => 'g5plus_products',
	'name' => esc_html__('Products','rica'),
	'icon' => 'fa fa-product-hunt',
	'category' => GF_SHORTCODE_CATEGORY,
	'description' => esc_html__('Show multiple products','rica'),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Show', 'rica'),
			'param_name' => 'show',
			"admin_label" => true,
			'value' => array(
				esc_html__('All', 'rica') => 'all',
				esc_html__('Sale Off', 'rica') => 'sale',
				esc_html__('New In', 'rica') => 'new-in',
				esc_html__('Featured', 'rica') => 'featured',
				esc_html__('Top rated', 'rica') => 'top-rated',
				esc_html__('Recent review', 'rica') => 'recent-review',
				esc_html__('Best Selling', 'rica') => 'best-selling',
			)
		),

		 array_merge(gf_vc_map_add_narrow_product_category(),array(
			 'dependency' => array('element' => 'show','value_not_equal_to' => array('products'))
		 )),

		array(
			'type' => 'textfield',
			'heading' => esc_html__('Number of products', 'rica' ),
			'description' => esc_html__('Enter number of products to display.', 'rica' ),
			'param_name' => 'number',
			'value' => 8,
			'admin_label' => true,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			'dependency' => array('element' => 'show','value_not_equal_to' => array('products'))
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Columns', 'rica'),
			'param_name' => 'columns',
			'value' => array('3' => 3,'4' => 4, '5' => 5),
			'std' => 5,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),

		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Order by', 'rica'),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__('Date', 'rica') => 'date',
				esc_html__('Price', 'rica') => 'price',
				esc_html__('Random', 'rica') => 'rand',
				esc_html__('Sales', 'rica') => 'sales'
			),
			'description' => esc_html__('Select how to sort retrieved products.', 'rica'),
			'dependency' => array('element' => 'show','value' => array('all', 'sale', 'featured')),
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),

		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Sort order', 'rica'),
			'param_name' => 'order',
			'value' => array(
				esc_html__('Descending', 'rica') => 'DESC',
				esc_html__('Ascending', 'rica') => 'ASC'
			),
			'description' => esc_html__('Designates the ascending or descending order.', 'rica'),
			'dependency' => array('element' => 'show','value' => array('all', 'sale', 'featured')),
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		gf_vc_map_add_slider(),
		gf_vc_map_add_pagination(),
		gf_vc_map_add_navigation(),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Column Gap', 'rica'),
			'param_name' => 'column_gap',
			'value' => array( '20px' => 20, '15px' => 15),
			'std' => 20,
			'edit_field_class' => 'vc_col-sm-6 vc_column',
		),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Items Medium devices', 'rica'),
			'param_name' => 'items_md',
			'description' => esc_html__('Browser Width >= 992px and < 1200px', 'rica'),
			'value' => array( '1' => 1, '2' => 2 , '3' => 3,'4' => 4, '5' => 5),
			'std' => 4,
			'group' => esc_html__('Responsive','rica')
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Items Small devices', 'rica'),
			'param_name' => 'items_sm',
			'description' => esc_html__('Browser Width >= 600px and < 991px', 'rica'),
			'value' => array( '1' => 1, '2' => 2 , '3' => 3,'4' => 4, '5' => 5),
			'std' => 3,
			'group' => esc_html__('Responsive','rica')
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Items Extra small devices', 'rica'),
			'param_name' => 'items_xs',
			'description' => esc_html__('Browser Width >= 480px and < 600px', 'rica'),
			'value' => array('1' => 1, '2' => 2 , '3' => 3,'4' => 4, '5' => 5),
			'std' => 2,
			'group' => esc_html__('Responsive','rica')
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Items Mobile', 'rica'),
			'param_name' => 'items_mb',
			'description' => esc_html__('Browser Width < 480px', 'rica'),
			'value' => array( '1' => 1, '2' => 2 , '3' => 3,'4' => 4, '5' => 5),
			'std' => 1,
			'group' => esc_html__('Responsive','rica')
		),
		gf_vc_map_add_css_editor()
	)
);