<?php
return array(
    'name' => esc_html__( 'Testimonials', 'rica' ),
    'base' => 'g5plus_testimonials',
    'icon' => 'fa fa-user',
    'category' => GF_SHORTCODE_CATEGORY,
    'params' => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Testimonial Style','rica' ),
            'param_name' => 'tes_layout',
            'value' => array(
                'Classic' => 'classic',
                'Romantic' => 'romantic',
            ),
            'admin_label' => true,
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Testimonials', 'rica' ),
            'param_name' => 'values',
            'value' => urlencode( json_encode( array(
                array(
                    'label' => esc_html__( 'Author', 'rica' ),
                    'value' => '',
                ),
            ) ) ),
            'params' => array(
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__('Quote from author', 'rica'),
                    'param_name' => 'quote',
                    'value' => ''
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__('Avatar:', 'rica'),
                    'param_name' => 'avatar',
                    'value' => '',
                    'description' => esc_html__('Choose the author picture.', 'rica'),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Author Name', 'rica'),
                    'param_name' => 'author',
                    'admin_label' => true,
                    'description' => esc_html__('Enter Author information.', 'rica')
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Author Info', 'rica'),
                    'param_name' => 'author_info',
                    'admin_label' => true,
                    'description' => esc_html__('Enter Author information.', 'rica')
                ),
            ),
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show pagination control', 'rica'),
            'param_name' => 'dots',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Show navigation control', 'rica'),
            'param_name' => 'arrows',
            'std' => 'false',
            'edit_field_class' => 'vc_col-sm-4 vc_column'
        ),

        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Color Scheme', 'rica'),
            'param_name' => 'color_scheme',
            'admin_label' => true,
            'value' => array(
                esc_html__('Dark', 'rica') => 'color-dark',
                esc_html__('Light', 'rica') => 'color-light'
            ),
            'std' => 'color-dark',
            'description' => esc_html__('Select Color Scheme.', 'rica')
        ),

        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);
