<?php
get_header();
$background_image_404 = g5plus_get_option('background_image_404',array(
    'url' => trailingslashit(get_template_directory_uri()) . 'assets/images/bg-404-page.jpg'
));
$custom_style_404 = '';
if (isset($background_image_404['url']) && $background_image_404['url']) {
    $custom_style_404 = 'style="background-image: url(' . esc_url($background_image_404['url']) . ')"';
}

$image_404 = g5plus_get_option('image_404',array(
    'url' => trailingslashit(get_template_directory_uri()) . 'assets/images/404-image.png'
));

$title_404 = g5plus_get_option('404_title','Page not found!');
$sub_title_404 = g5plus_get_option('404_sub_title','Sorry, We could not find the page you are looking for.');
$return_description = g5plus_get_option('404_return_description','Try returning to the');
$return_text_link = g5plus_get_option('404_return_text_link','homepage');
$return_link = g5plus_get_option('404_return_link','');
?>
    <div class="page404" <?php echo wp_kses_post($custom_style_404); ?>>
        <div class="rica-container">
            <div class=" content-wrap">
                <?php if (!empty($image_404)): ?>
                    <div class="image-404">
                        <img src="<?php echo esc_url($image_404['url']); ?>" alt="">
                    </div>
                <?php endif; ?>
                <h2 class="title"><?php echo wp_kses_post($title_404); ?></h2>
                <h4 class="subtitle"><?php echo wp_kses_post($sub_title_404); ?></h4>
                <div class="return">
                    <p class="description"><?php echo wp_kses_post($return_description); ?>
                        <?php if(empty($return_link)):?>
                            <a  href="<?php echo esc_url(home_url('/')) ?>">
                                <?php echo wp_kses_post($return_text_link); ?>
                            </a>
                        <?php else:?>
                            <a  href="<?php echo esc_url($return_link) ?>">
                                <?php echo wp_kses_post($return_text_link); ?>
                            </a>
                        <?php endif;?>
                    </p>
                </div>

            </div>
        </div>
    </div>
<?php
get_footer();