<?php
define('G5PLUS_HOME_URL', trailingslashit(home_url('/')));
define('G5PLUS_THEME_DIR', trailingslashit(get_template_directory()));
define('G5PLUS_THEME_URL', trailingslashit(get_template_directory_uri()));

/**
 * Include Theme Library
 * *******************************************************
 */
if (!function_exists('g5plus_include_library')) {
    function g5plus_include_library()
    {
	    require_once(G5PLUS_THEME_DIR . 'inc/register-require-plugin.php');
        require_once(G5PLUS_THEME_DIR . 'inc/frontend-enqueue.php');
	    require_once(G5PLUS_THEME_DIR . 'inc/admin-enqueue.php');
        require_once(G5PLUS_THEME_DIR . 'inc/theme-setup.php');
        require_once(G5PLUS_THEME_DIR . 'inc/theme-functions.php');
        require_once(G5PLUS_THEME_DIR . 'inc/theme-action.php');
        require_once(G5PLUS_THEME_DIR . 'inc/theme-filter.php');
        require_once(G5PLUS_THEME_DIR . 'inc/sidebar.php');
        require_once(G5PLUS_THEME_DIR . 'inc/ajax.php' );
        require_once(G5PLUS_THEME_DIR . 'core/post-format-ui/post-format-ui.php');
        require_once(G5PLUS_THEME_DIR . 'core/resize.php');
        require_once(G5PLUS_THEME_DIR . 'core/widget-custom-class.php');
    }
    g5plus_include_library();
}

/**
 * Add Custom MIME
 * *******************************************************
 */
if (!function_exists('g5plus_add_custom_mime_types')) {
    function g5plus_add_custom_mime_types($mimes)
    {
        return array_merge($mimes, array(
            'eot'  => 'application/vnd.ms-fontobject',
            'woff' => 'application/x-font-woff',
            'ttf'  => 'application/x-font-truetype',
        ));
    }

    add_filter('upload_mimes', 'g5plus_add_custom_mime_types');
}

/* Woocommerce */
add_action( 'wp', 'g5plus_woocommerce_setting',0 );
function g5plus_woocommerce_setting(){
    require_once( G5PLUS_THEME_DIR . 'woocommerce/woocommerce.php' );
}

if (!function_exists('g5plus_comment_fields')) {
    function g5plus_comment_fields($fields) {

        $commenter = wp_get_current_commenter();
        $req = get_option('require_name_email');
        $aria_req = ($req ? " aria-required='true'" : '');
        $html5 = current_theme_supports('html5', 'comment-form') ? 'html5' : 'xhtml';;

        $fields = array(
            'author' => '<div class="form-group col-md-4">' .
                '<input class="p" id="author" name="author" type="text" value="' . esc_attr($commenter['comment_author']) . '" placeholder="'. esc_html__('Name','rica').'" ' . $aria_req . '>' .
                '</div>',
            'email' => '<div class="form-group col-md-4">' .
                '<input id="email" name="email" ' . ($html5 ? 'type="email"' : 'type="text"') . ' value="' . esc_attr($commenter['comment_author_email']) . '" placeholder="'.esc_html__('Email','rica').'" ' . $aria_req . '>' .
                '</div>',
            'url'   => '<div class="form-group col-md-12">'.
                '<label for="url">'.esc_html__("Website",'rica').'</label>'.
                '<input id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" placeholder="'.esc_html__('Website','rica').'" />'.
                '</div>',
            'title' => '<div class="form-group col-md-12">' .
                '<label for="title">'. esc_html__('title*','rica').'</label>'.
                '<input id="title" name="title" type="text" value="' . esc_attr($commenter['comment_title']) . '" placeholder="'.esc_html__('title*','rica').'" ' . $aria_req . '>' .
                '</div>',
        );

        return $fields;

    }
    add_filter('g5plus_comment_fields','g5plus_comment_fields');
}

/*---------------------------------------------------
/* COMMENT FORMS ARGS
/*---------------------------------------------------*/
if (!function_exists('g5plus_comment_form_args')) {
    function g5plus_comment_form_args($comment_form_args) {
        $commenter = wp_get_current_commenter();
        $req = get_option('require_name_email');
        $aria_req = ($req ? " aria-required='true'" : '');
        $html5 = current_theme_supports('html5', 'comment-form') ? 'html5' : 'xhtml';;

        $comment_form_args['comment_field'] = '<div class="form-group col-md-12">' .
            '<textarea rows="6" id="comment" name="comment"  placeholder="'.esc_html__('Comment*','rica') .'" '. $aria_req .'></textarea>' .
            '</div>';

        $comment_form_args['class_submit'] = 'bt bt-border-rd bt-md bt-primary p-font';
        $comment_form_args['label_submit'] = esc_html__('Submit Now', 'rica');
        $comment_form_args['title_reply'] = esc_html__('Leave a Reply', 'rica');
        $comment_form_args['title_reply_to'] = esc_html__('Leave a Reply to %s', 'rica');
        return $comment_form_args;
    }
    add_filter('g5plus_comment_form_args','g5plus_comment_form_args');
}
