<?php
/**
 * Register Sidebar
 * *******************************************************
 */
if (!function_exists('g5plus_register_sidebar')) {
    function g5plus_register_sidebar()
    {
	    $widget_layout = g5plus_get_option('widget_layout','');
        $sidebars = array(
            array(
                'id'          => 'main-sidebar',
                'name'        => esc_html__('Main Sidebar', 'rica'),
                'description' => esc_html__('Add widgets here to appear in your sidebar', 'rica'),
            ),
	        array(
		        'name'          => esc_html__("Top Drawer",'rica'),
		        'id'            => 'top_drawer_sidebar',
		        'description'   => esc_html__("Top Drawer",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Top Bar Left",'rica'),
		        'id'            => 'top_bar_left',
		        'description'   => esc_html__("Top Bar Left",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Top Bar Right",'rica'),
		        'id'            => 'top_bar_right',
		        'description'   => esc_html__("Top Bar Right",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Footer 1",'rica'),
		        'id'            => 'footer-1',
		        'description'   => esc_html__("Footer 1",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Footer 2",'rica'),
		        'id'            => 'footer-2',
		        'description'   => esc_html__("Footer 2",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Footer 3",'rica'),
		        'id'            => 'footer-3',
		        'description'   => esc_html__("Footer 3",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Footer 4",'rica'),
		        'id'            => 'footer-4',
		        'description'   => esc_html__("Footer 4",'rica'),
	        ),
			array(
				'name'          => esc_html__("Bottom Bar",'rica'),
				'id'            => 'bottom_bar',
				'description'   => esc_html__("Bottom Bar",'rica'),
			),
	        array(
		        'name'          => esc_html__("Bottom Bar Left",'rica'),
		        'id'            => 'bottom_bar_left',
		        'description'   => esc_html__("Bottom Bar Left",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Bottom Bar Right",'rica'),
		        'id'            => 'bottom_bar_right',
		        'description'   => esc_html__("Bottom Bar Right",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Woocommerce",'rica'),
		        'id'            => 'woocommerce',
		        'description'   => esc_html__("Woocommerce",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Single Product",'rica'),
		        'id'            => 'single-product',
		        'description'   => esc_html__("Single Product",'rica'),
	        ),
	        array(
		        'name'          => esc_html__("Canvas Menu",'rica'),
		        'id'            => 'canvas-menu',
		        'description'   => esc_html__("Canvas Menu Widget Area",'rica'),
	        ),
        );
        foreach ($sidebars as $sidebar) {
            register_sidebar(array(
                'name'          => $sidebar['name'],
                'id'            => $sidebar['id'],
                'description'   => $sidebar['description'],
                'before_widget' => '<aside id="%1$s" class="widget %2$s ' . esc_attr($widget_layout) . '">',
                'after_widget'  => '</aside>',
                'before_title'  => '<h4 class="widget-title"><span>',
                'after_title'   => '</span></h4>',
            ));
        }
    }

    add_action('widgets_init', 'g5plus_register_sidebar');
}

/**
 * Add filter for dynamic sidebar
 * *******************************************************
 */
if (!function_exists('g5plus_redux_custom_widget_area_filter')) {
	function g5plus_redux_custom_widget_area_filter($arg) {
		$widget_layout = g5plus_get_option('widget_layout','');
		return array(
			'before_title'  => '<h4 class="widget-title"><span>',
			'after_title'   => '</span></h4>',
			'before_widget' => '<aside id="%1$s" class="widget %2$s ' . esc_attr($widget_layout) . '">',
			'after_widget'  => '</aside>'
		);
	}
	add_filter('redux_custom_widget_args','g5plus_redux_custom_widget_area_filter');
}
