<?php
/**
 * The template for the sidebar containing the main widget area
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */

$has_sidebar = false;
$sidebar = g5plus_get_option('sidebar', 'main-sidebar');

// set sidebar_layout
$sidebar_layout = isset($_GET['sidebar-layout']) ? $_GET['sidebar-layout'] : '';
if(!$sidebar_layout) {
    $sidebar_layout = g5plus_get_option('sidebar_layout', 'right');
}


if (is_singular()) {
    // custom sidebar layout
    $sidebar_layout_custom = g5plus_get_rwmb_meta('custom_page_sidebar_layout',array(),get_the_ID());
    if(($sidebar_layout_custom !== false) && ($sidebar_layout_custom !== '') && ($sidebar_layout_custom != '-1')) {
        $sidebar_layout = $sidebar_layout_custom;
    }
}

// set sidebar_width
$sidebar_width = isset($_GET['sidebar-width']) ? $_GET['sidebar-width'] : '';
if (!$sidebar_width) {
    $sidebar_width = g5plus_get_option('sidebar_width','');
}

$sidebar_class = array('primary-sidebar', 'sidebar');

if (is_active_sidebar($sidebar) && ($sidebar_layout != 'none') && !is_404()) {
    $has_sidebar = true;
    $sidebar_col = 3;
    if ($sidebar_width == 'large') {
        $sidebar_col = 4;
    }
    $sidebar_class[] = 'col-md-'.$sidebar_col;
    if ($sidebar_layout == 'left') {
        $sidebar_class[] = 'col-md-pull-'.(12-$sidebar_col);
    }

    if (g5plus_get_option('sidebar_mobile_enable','1') == 0) {
        $sidebar_class[] = 'hidden-sm hidden-xs';
    }else{
        if ( g5plus_get_option('sidebar_mobile_canvas',1) == 1 ) {
            $sidebar_class[] = 'sidebar-mobile-canvas';
        }
    }

}
if ($has_sidebar) :
    ?>
    <?php
    if (  g5plus_get_option('sidebar_mobile_canvas',1) == 1  && g5plus_get_option('sidebar_mobile_enable',1) == 1 ) { ?>
        <div class="sidebar-mobile-canvas-icon"
             title="<?php esc_attr_e('Click to show Canvas Sidebar', 'rica' ) ?>">
            <i class="fa fa-sliders"></i>
        </div>
    <?php } ?>

    <div class="<?php echo esc_attr(join(' ', $sidebar_class)); ?>">
        <?php dynamic_sidebar($sidebar); ?>
    </div>
<?php endif;