<?php
/**
 * The template for displaying archive
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */

global $wp_query;
$post_layout = isset($_GET['post-layout']) ? $_GET['post-layout'] : '';
if (!$post_layout) {
    $post_layout = g5plus_get_option('post_layout','list');
}
if($post_layout == 'grid-image'){
    $post_columns = isset($_GET['post-column']) ? $_GET['post-column'] : '';
    if (!$post_columns) {
        $post_columns = g5plus_get_option('post_column',3);
    }
}

$archive_wrap_class = array('blog-wrap clearfix');
$archive_wrap_class[] = 'archive-'.$post_layout;
if(isset($post_columns)) {
    $archive_wrap_class[] = 'archive-col-' . $post_columns;
}
if($post_layout == 'grid-image'){
    $archive_wrap_class[] = 'blog-style-grid';
}
if($post_layout == 'list'){
    $archive_wrap_class[] = 'blog-style-list';
}
?>
    <div class="<?php echo esc_attr(join(' ',$archive_wrap_class));?>">
        <?php if (have_posts()) : ?>
            <?php
            // Start the Loop.
            while (have_posts()) : the_post();

                /*
                 * Include the Post-Format-specific template for the content.
                 * If you want to override this in a child theme, then include a file
                 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                 */
                get_template_part('templates/archive/content', $post_layout);

                // End the loop.
            endwhile;

        // If no content, include the "No posts found" template.
        else :
            get_template_part('templates/archive/content', 'none');
            ?>

        <?php endif;
        ?>
    </div>
<?php if ($wp_query->max_num_pages > 1) {
    $post_paging = g5plus_get_option('post_paging', 'navigation');
    get_template_part("templates/paging/$post_paging");
}