<?php
global $post;
/**
 * The template used for displaying wrapper start
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$page_id  = isset($post) ? $post->ID : null;
if (function_exists('wc_get_page_id') &&
	(( function_exists('is_shop') && is_shop() )
		|| ( function_exists('is_product_category') && is_product_category())
	|| ( function_exists('is_product_tag') && is_product_tag())
	)
){
	$page_id = wc_get_page_id('shop');
}
if (is_home()) {
	$page_id = get_option('page_for_posts');
}

$remove_content_padding = g5plus_get_rwmb_meta('remove_content_padding', array(),$page_id);
$layout_wrap_class = array();
$layout_inner_class = array();
if (is_404() || is_search() || $remove_content_padding=='-1') {
	$remove_content_padding = g5plus_get_option('remove_content_padding',false);
}

if (is_404()) {
    $remove_content_padding = true;
}


// set page layout
$page_layouts = isset($_GET['layout']) ? $_GET['layout'] : '';
if(is_search()){
	$page_layouts = 'container';
}else{
	if (!$page_layouts) {
		$page_layouts = g5plus_get_option('layout','container');
	}
}

if (is_404()) {
    $page_layouts = 'full';
}


// set sidebar_layout
$sidebar_layout = isset($_GET['sidebar-layout']) ? $_GET['sidebar-layout'] : '';
if(!$sidebar_layout) {
	$sidebar_layout = g5plus_get_option('sidebar_layout','right');
}

if (is_singular()) {
	// custom sidebar layout
	$sidebar_layout_custom = g5plus_get_rwmb_meta('custom_page_sidebar_layout',array(),get_the_ID());
	if(($sidebar_layout_custom !== false) && ($sidebar_layout_custom !== '') && ($sidebar_layout_custom != '-1')) {
		$sidebar_layout = $sidebar_layout_custom;
	}
}

$sidebar =  g5plus_get_option('sidebar','main-sidebar');
if(isset($_REQUEST['no-sidebar'])){
	$sidebar_layout = 'none';
	$sidebar = '';
}

// set sidebar_width
$sidebar_width = isset($_GET['sidebar-width']) ? $_GET['sidebar-width'] : '';
if (!$sidebar_width) {
	$sidebar_width = g5plus_get_option('sidebar_width','');
}
$has_sidebar = false;
if (is_active_sidebar($sidebar) && ($sidebar_layout != 'none') && !is_404()) {
	$has_sidebar = true;
	$sidebar_col = 3;
	if ($sidebar_width == 'large') {
		$sidebar_col = 4;
	}
	$layout_inner_class[] = 'col-md-'. (12 - $sidebar_col);
	if ($sidebar_layout == 'left') {
		$layout_inner_class[] = 'col-md-push-' . $sidebar_col;
	}
}

if (!$remove_content_padding) {
	$content_padding = g5plus_get_option('content_padding', array('padding-top' => '70px', 'padding-bottom' => '70px', 'units' => 'px'));
	$content_padding_mobile = g5plus_get_option('content_padding_mobile', array('padding-top' => '30px', 'padding-bottom' => '30px', 'units' => 'px'));

	if (isset($content_padding['padding-top']) && ($content_padding['padding-top'] != '') && ($content_padding['padding-top'] != 'px') ) {
		$layout_wrap_class[] = 'pd-top-' . str_replace('px','',$content_padding['padding-top']);
	}
	if (isset($content_padding['padding-bottom']) && ($content_padding['padding-bottom'] != '')  && ($content_padding['padding-bottom'] != 'px')) {
		$layout_wrap_class[] = 'pd-bottom-' . str_replace('px','',$content_padding['padding-bottom']);
	}

	if (isset($content_padding_mobile['padding-top']) && ($content_padding_mobile['padding-top'] != '') && ($content_padding_mobile['padding-top'] != 'px') ) {
		$layout_wrap_class[] = 'sm-pd-top-' . str_replace('px','',$content_padding_mobile['padding-top']);
	}
	if (isset($content_padding_mobile['padding-bottom']) && ($content_padding_mobile['padding-bottom'] != '')  && ($content_padding_mobile['padding-bottom'] != 'px')) {
		$layout_wrap_class[] = 'sm-pd-bottom-' . str_replace('px','',$content_padding_mobile['padding-bottom']);
	}
}

$layout_wrap_class = apply_filters('g5plus_filter_layout_wrap_class',$layout_wrap_class);
$layout_inner_class = apply_filters('g5plus_filter_layout_inner_class',$layout_inner_class);
$page_layouts =  apply_filters('g5plus_filter_page_layout',$page_layouts);

get_template_part('templates/page-title');

?>
<div id="primary-content" class="<?php echo esc_attr(join(' ',$layout_wrap_class));?>">
	<?php if ($page_layouts != 'full'): ?>
		<div class="<?php echo esc_attr($page_layouts) ?> clearfix">
	<?php endif;?>
		<?php if (($has_sidebar) && ($page_layouts != 'full')): ?>
			<div class="row">
		<?php endif; ?>
			<div class="<?php echo esc_attr(join(' ',$layout_inner_class)); ?>">
