<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */

/**
 * @hooked - g5plus_page_title - 5
 **/
do_action('g5plus_before_single');
$size = 'large-image';
$page_inner_class = array('single-blog-wrap');
?>
<div class="<?php echo esc_attr(join(' ',$page_inner_class)); ?>">
    <?php
    // Start the loop.
    while ( have_posts() ) : the_post(); ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class('post-single clearfix'); ?>>
            <?php g5plus_get_post_thumbnail( $size, 0, true ); ?>
            <div class="entry-content-wrap">
                <?php if(g5plus_get_option('single_title_enable')== '1'):?>
                    <h3 class="entry-post-title"><?php the_title(); ?></h3>
                <?php endif;?>
                <?php get_template_part('templates/archive/post-meta'); ?>
                <div class="entry-content clearfix">
                    <?php
                    the_content();
                    wp_link_pages(array(
                        'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__('Pages:','rica') . '</span>',
                        'after' => '</div>',
                        'link_before' => '<span class="page-link">',
                        'link_after' => '</span>',
                    )); ?>
                </div>
                <?php
                $single_tag_enable = g5plus_get_option('single_tag_enable',1);
                if ($single_tag_enable) {
                    get_template_part('templates/single/post-tags');
                } ?>
                <?php
                $single_share_enable = g5plus_get_option('single_share_enable',1);
                if ($single_share_enable) {
                    get_template_part('templates/social-share');
                } ?>
            </div>
            <?php
            /**
             * @hooked - g5plus_post_nav - 10
             * @hooked - g5plus_post_author_info - 15
             * @hooked - g5plus_post_comment - 20
             * @hooked - g5plus_post_related - 30
             *
             **/
            do_action('g5plus_after_single_post');
            ?>
        </article>

    <?php endwhile; ?>
</div>

