<?php
/**
 * The template for displaying author info
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */

?>
<div class="author-info clearfix">
    <div class="author-info-inner">
        <div class="author-avatar">
            <?php
            /**
             * Filter the Rica author bio avatar size.
             *
             * @since Rica 1.0
             *
             * @param int $size The avatar height and width size in pixels.
             */
            $author_bio_avatar_size = apply_filters( 'g5plus_author_bio_avatar_size', 100 );
            echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
            ?>
            <?php
            $profiles = array();
            $job = $job_author = '';
            $profiles = function_exists('gf_get_customer_meta_fields') ?  gf_get_customer_meta_fields() : '';
            if(isset($profiles['job-author']['fields'])){
                foreach($profiles['job-author']['fields'] as $key => $field) {
                    $job = get_the_author_meta($key);
                    if (isset($job) && !empty($job)) {
                        $job_author .= esc_attr($job);
                    }
                }
            }
            ?>
            <h2 class="author-title text-color-medium"><?php the_author_posts_link(); ?></h2>
            <span class="author-job"><?php echo esc_html($job_author);?></span>
        </div><!-- .author-avatar -->
        <?php
        $author_meta = get_the_author_meta('description');
        if(!empty($author_meta)):?>
            <div class="author-description">
                <p class="author-bio">
                    <?php the_author_meta( 'description' ); ?>
                </p><!-- .author-bio -->
            </div><!-- .author-description -->
        <?php endif;?>
    </div>
</div><!-- .author-info -->
