<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */

/**
 * @hooked - g5plus_page_title - 5
 **/
do_action('g5plus_before_single');
$size = 'large-image';
$page_inner_class = array('single-blog-wrap');
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$events_label_singular = tribe_get_event_label_singular();
$events_label_plural = tribe_get_event_label_plural();

$event_id = get_the_ID();
?>
<div class="<?php echo esc_attr(join(' ',$page_inner_class)); ?>">
	<div id="tribe-events-content" class="tribe-events-single">
		<!-- Notices -->
		<?php tribe_the_notices() ?>
		<!-- #tribe-events-header -->

		<?php while ( have_posts() ) :  the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<!-- Event featured image, but exclude link -->
				<?php echo tribe_event_featured_image( $event_id, 'full', false ); ?>
				<div class="tribe-events-schedule tribe-clearfix">
					<?php echo tribe_events_event_schedule_details( $event_id, '<h2>', '</h2>' ); ?>
					<?php if ( tribe_get_cost() ) : ?>
						<span class="tribe-events-cost"><?php echo tribe_get_cost( null, true ) ?></span>
					<?php endif; ?>
				</div>
				<?php
					$postDate = strtotime(tribe_get_start_date(null, true,'Y-m-d H:i:s'));
					$todaysDate = time();
					if ($todaysDate < $postDate)
					{
						echo do_shortcode('[g5plus_countdown time="'. tribe_get_start_date(null, true,'Y-m-d H:i:s').'"]');
					}
				?>
				<!-- Event content -->
				<?php do_action( 'tribe_events_single_event_before_the_content' ) ?>
				<div class="tribe-events-single-event-description tribe-events-content">
					<?php the_content(); ?>
				</div>
				<!-- .tribe-events-single-event-description -->
				<?php do_action( 'tribe_events_single_event_after_the_content' ) ?>

				<!-- Event meta -->
				<?php do_action( 'tribe_events_single_event_before_the_meta' ) ?>
				<?php
				$single_share_enable = g5plus_get_option('single_share_enable',1);
				if ($single_share_enable) {
					get_template_part('templates/social-share');
				} ?>
				<?php do_action( 'tribe_events_single_event_after_the_meta' ) ?>
			</div> <!-- #post-x -->
			<?php if ( get_post_type() == Tribe__Events__Main::POSTTYPE && tribe_get_option( 'showComments', false ) ) comments_template() ?>
		<?php endwhile; ?>
	</div><!-- #tribe-events-content -->
</div>

