<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */
if (is_archive()) :
$columns = g5plus_get_option('product_display_columns',3);
if (isset($_REQUEST['columns'])) {
    $columns = $_REQUEST['columns'];
}
$class_columns = 'products-col-' . $columns;
?>
<div class="products g5plus-archive-product g5plus-list-product <?php echo esc_attr($class_columns); ?>">
    <?php endif; ?>
    <?php if (!is_archive()) :
    global $product, $woocommerce_loop;
    $name_default = '';
    $loop_product_style = isset($woocommerce_loop['name']) ? $woocommerce_loop['name'] : '';
    $loop_product_columns = isset($woocommerce_loop['columns']) ? $woocommerce_loop['columns'] : 4;
    switch ($loop_product_style) {
        case 'related':
            $loop_product_columns = g5plus_get_option('related_product_display_columns');
            break;
        case 'up-sells':
            $loop_product_columns = g5plus_get_option('up_sells_product_display_columns');
            break;
        case 'cross-sells':
            $loop_product_columns = g5plus_get_option('cross_sells_product_display_columns');
            break;
        default:
            $name_default = 'g5plus-other-product';
            $loop_product_columns = 4;
            break;
    }
    $class_columns = 'owl-carousel';
    $slider_attributes = array(
        '"items": ' . $loop_product_columns,
        '"nav" : true',
        '"dots" : false',
        '"loop": false',
        '"responsive": {"0":{"items": 1},"320":{"items": 1},"600":{"items": 2},"980":{"items": 3},"1200":{"items": ' . $loop_product_columns . '}}',
    );
    $data_plugin_options = "data-plugin-options='{" . implode(', ', $slider_attributes) . "}'";

    ?>
    <div
        class="products g5plus-list-product <?php echo esc_attr($name_default); ?> <?php echo esc_attr($class_columns); ?>" <?php echo sprintf('%s', $data_plugin_options); ?>>
        <?php endif; ?>
