<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product;
$attachment_ids = rand();
?>
<div class="single-product-thumbnail-wrap">
	<div class="images">
		<?php
		if (has_post_thumbnail()) {
			$image_caption = get_post(get_post_thumbnail_id())->post_excerpt;
			$image_link = wp_get_attachment_url(get_post_thumbnail_id());
			$image = get_the_post_thumbnail($post->ID, apply_filters('single_product_large_thumbnail_size', 'shop_single'), array(
				'title' => get_the_title(get_post_thumbnail_id())
			));

			$attachment_count = count($product->get_gallery_image_ids());

			if ($attachment_count > 0) {
				$gallery = '[product-gallery]';
			} else {
				$gallery = '';
			}

			echo apply_filters('woocommerce_single_product_image_html', sprintf('<a href="%s" data-thumb-src="%s" data-rel="lightGallery" data-gallery-id="%s" itemprop="image" class="woocommerce-main-image zoomGallery" title="%s" ><span class="overlay-product"><i class="fa fa-search"></i></span>%s</a>', $image_link, $image_link, $attachment_ids, $image_caption, $image), $post->ID);

		} else {

			echo apply_filters('woocommerce_single_product_image_html', sprintf('<img src="%s" alt="%s" />', wc_placeholder_img_src(), __('Placeholder', 'rica')), $post->ID);

		}

		$img_ids = $product->get_gallery_image_ids();
		if ($img_ids) {
			foreach ($img_ids as $img_id) {
				$image_link = wp_get_attachment_url($img_id);
				if (!$image_link)
					continue;
				$image_title = esc_attr(get_the_title($img_id));
				$image_caption = esc_attr(get_post_field('post_excerpt', $img_id));
				$image = wp_get_attachment_image($img_id, apply_filters('single_product_small_thumbnail_size', 'shop_single'), 0, $attr = array(
					'title' => $image_title,
					'alt'   => $image_title
				));

				echo apply_filters('woocommerce_single_product_image_thumbnail_html', sprintf('<a href="%s" data-thumb-src="%s" data-rel="lightGallery" data-gallery-id="%s" class="zoomGallery" title="%s" ><span class="overlay-product"><i class="fa fa-search"></i></span>%s</a>', $image_link, $image_link, $attachment_ids, $image_caption, $image), $attachment_ids, $post->ID);
			}
		}
		?>
	</div>
	<?php
	global $product;
	if ($product->is_on_sale()) {
		wc_get_template('sale-countdown.php');
	} ?>
</div>

