<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 7/2/2016
 * Time: 2:08 PM
 */
global $product,$woocommerce_loop, $gf_woocommerce ;
if (class_exists('WooCommerce') && !class_exists('GF_Woocommerce')) {
    class GF_Woocommerce{
        function __construct(){
            $this -> remove_action();
            $this -> add_action();
            $this -> add_filter();
            $this -> add_action_shortcode();
            $this -> add_action_remove_return_shop_loop();
            //$this -> add_action_ajax();
            apply_filters( 'woocommerce_review_gravatar_size', '70' );
        }
        /*FUNCTION*/
        /*Remove CSS Woocommerce*/
        function g5plus_disable_woocommerce_default_css( $styles ) {
            // Disable the stylesheets below via unset():
            unset( $styles['woocommerce-general'] );  // Styling of buttons, dropdowns, etc.
            unset( $styles['woocommerce-layout'] );        // Layout for columns, positioning.
            return $styles;
        }

        /*Remove Title*/
        function g5plus_hide_woocommerce_show_page_title($show_or_hide){
            return false;
        }

        /*Get category for archive*/
        function g5plus_get_category_product(){
            $align_cate = g5plus_get_option('product_catalog_style');
            $item_per_page = g5plus_get_option('product_per_page');
            $archive_columns = g5plus_get_option('product_display_columns');
            if(isset($_REQUEST['columns'])){
                $archive_columns = $_REQUEST['columns'];
            }
            $show_rating = g5plus_get_option('product_rating_enable');
            $show_quick_view = g5plus_get_option('product_quick_view_enable');
            $posts_per_page = g5plus_get_option('product_per_page');
            $args['post_type'] = 'product';
            $args['stock'] = '1';
            $args['posts_per_page'] = $posts_per_page;
            $product_cat = new WP_Query( $args );
            $total_post = $product_cat->found_posts;
            $total_page = floor($total_post/$posts_per_page);
            if($total_post%$posts_per_page > 0){
                $total_page +=1;
            }
            wp_reset_query();
            echo '<div class="category-shop-wrap">';
            echo sprintf('<i class="icon-cate-mobile pe-7s-angle-down-circle"></i>');
            echo sprintf('<div class="text-cate-mobile">'.esc_html('All','rica').'</div>');
            echo sprintf('<ul class="list-categories" data-align-cate = "%s" data-item-perpage="%s" data-columns="%s"
            data-show-rating="%s" data-show-quickview="%s">',$align_cate,$item_per_page,$archive_columns,$show_rating,$show_quick_view);
            wc_get_template('category.php');
            echo '</ul>';
            echo '</div>';
        }

        /*Change content Text sale flash and Percent Sale*/
        function g5plus_change_sale_flash(){
            $show_label_sale = g5plus_get_option('product_sale_label_enable');
            if($show_label_sale == 1){
                global $product;
                $sale_percent_mode = g5plus_get_option('product_sale_flash_mode');
                if ($sale_percent_mode == 'percent') {
                    $sale_percent = 0;
                    if ($product->is_on_sale() && $product->get_type() != 'grouped') {
                        if ($product->get_type() == 'variable') {
                            $available_variations =  $product->get_available_variations();
                            for ($i = 0; $i < count($available_variations); ++$i) {
                                $variation_id = $available_variations[$i]['variation_id'];
                                $variable_product1 = new WC_Product_Variation( $variation_id );
                                $regular_price = $variable_product1->get_regular_price();
                                $sales_price = $variable_product1->get_sale_price();
                                $price = $variable_product1->get_price();
                                if ( $sales_price != $regular_price && $sales_price == $price && $regular_price>0 ) {
                                    $percentage= round((( ( $regular_price - $sales_price ) / $regular_price ) * 100),1) ;
                                    if ($percentage > $sale_percent) {
                                        $sale_percent = $percentage;
                                    }
                                }
                            }
                        } else {
                            if($product->get_regular_price()){
                                $sale_percent = round((( ( $product->get_regular_price() - $product->get_sale_price() ) / $product->get_regular_price() ) * 100),1) ;
                            }
                        }
                    }
                    if ($sale_percent > 0) {
                        echo '<span class="onsale">' .'-'. $sale_percent . ' %' . '</span>';
                    }
                }else {
                    $sale_text = g5plus_get_option('product_sale_label_text');
                    echo '<span class="onsale">' . $sale_text . '</span>';
                }
            } else{
                return;
            }
        }

        /*Label Featured Product*/
        function g5plus_featured_product() {
            $featured_show = g5plus_get_option('product_featured_label_enable');
            $featured_text_product = g5plus_get_option('product_featured_label_text');
            if($featured_show == 1){
                global $product;
                if ($product->is_featured()) {
                    if(!empty($featured_text_product)){
                        echo '<span class="onsale onfeatured">'.$featured_text_product.'</span>';
                    }else{
                        echo '<span class="onsale onfeatured">'.__('Featured','rica') .'</span>';
                    }
                }
            }
        }

        /*Edit Action Thumbnail*/
        function g5plus_get_thumbnail_archive_product(){
            wc_get_template('content-archive-product.php');
        }

        /*Get the title and link product*/
        function g5plus_template_loop_product_title() {
            echo '<h3><a href="'.get_post_permalink().'">' . get_the_title() . '</a></h3>';
        }

        function g5plus_woocommerce_page_title($page_title){
            if(function_exists('is_shop') && is_shop()){
                $page_title = esc_html__('Shop','rica');
            }
            if( (function_exists('is_product_category') && is_product_category())
            ){
                $cat = get_queried_object();
                if(isset($cat->slug)){
                    $page_title = $cat->name;
                }else{
                    $page_title = esc_html__('Shop','rica');
                }
            }
            if(function_exists('is_product_tag') && is_product_tag()){
                $page_title = single_tag_title(esc_html__("Tags: ", 'rica'), false);
            }
            return $page_title;
        }

        /*Custom Title Check Out*/
        function g5plus_title_before_check_out(){
            echo '<h3  class="title-before-check-out"> Returning customers? </h3>';
        }

        /*Custom Title Product*/
        function g5plus_title_single_product(){
            if(is_product()){
                $page_title_enable = g5plus_get_option('page_title_enable', 1);
                $title_single_product = get_the_title();
                if($page_title_enable != 1){
                    echo '<h1 itemprop="name" class="product_title entry-title">'.$title_single_product.'</h1>';
                }else{
                    echo '<h2 itemprop="name" class="product_title entry-title">'.$title_single_product.'</h2>';
                }
            }
        }

        /*Check Related Product by Category and Tag*/
        function g5plus_woocommerce_product_related_posts_relate_by_category() {
            $related_product_condition = g5plus_get_option('related_product_condition',array('category' => '1','tag' => '1',));
            return (isset($related_product_condition['category']) && ($related_product_condition['category'] == 1)) ? true : false;
        }
        function g5plus_woocommerce_product_related_posts_relate_by_tag() {
            $related_product_condition = g5plus_get_option('related_product_condition',array('category' => '1','tag' => '1',));
            return (isset($related_product_condition['tag']) && ($related_product_condition['tag'] == 1) ) ? true : false;
        }

        function g5plus_change_wp_query($wp_query, $args){
            $attr = isset($args['addition_attr']) ? $args['addition_attr'] : array();
            $item_default = g5plus_get_option('product_per_page');
            $current_page = isset($args['current_page']) && $args['current_page'] ? $args['current_page'] : 1;
            $posts_per_page = isset($args['items']) ? $args['items'] : $item_default;
            $min_price = isset($attr['min_price']) ? floatval($attr['min_price']): -1;
            $max_price = isset($attr['max_price']) ? floatval($attr['max_price']): -1;
            $tag = isset($args['tag']) ? $args['tag'] : '';

            if(isset($_REQUEST['items'])){
                $posts_per_page= $_REQUEST['items'];
            }

            $wp_query->set('posts_per_page', $posts_per_page);
            $wp_query->set('post_type', 'product');
            $wp_query->set('paged', $current_page);

            if(!isset($args) || count($args) == 0){
                $wp_query->query($wp_query->query_vars);
                return $wp_query;
            }

            if($tag!=''){
                $wp_query->set('product_tag', $tag);
            }

            if (isset($args['cate']) && $args['cate']) {
                $wp_query->set('product_cat', $args['cate']);
            }else{
                $cat = get_queried_object();
                $cate = isset($cat->slug) ? $cat->slug : '';
                $all_cate_select = array();
                if(empty($cate) &&  g5plus_get_option('product_catalog_enable') == 1){
                    $cate = g5plus_get_option('product_category_select');
                    if(!empty($cate)){
                        foreach ($cate as $cat){
                            $cate_select = get_term($cat,'product_cat');
                            $category_slug = $cate_select->slug;
                            $all_cate_select[] = $category_slug;
                        }
                        $cate = esc_attr(implode(',', $all_cate_select));
                    }
                }
                $wp_query->set('product_cat', $cate);
            }
            if(count($attr) > 0) {
                $tax_query = $wp_query->get('tax_query',array());
                foreach ($attr as $key => $value) {
                    if(strpos($key, 'pa_') !== false) {
                        $tax_query[] = array(
                            'taxonomy' => $key,
                            'terms' => array($value),
                            'field' => 'slug',
                            'operator' => 'IN'
                        );
                    }
                }
                $wp_query->set('tax_query', $tax_query);
            }
            if($min_price > 0 && $max_price>0){
                $wp_query->set('meta_query',array(
                    array(
                        'key' => '_price',
                        'value' => array(
                            $min_price,
                            $max_price
                        ),
                        'compare' => 'BETWEEN',
                        'type' => 'NUMERIC'
                    )
                ));
            }
            $wp_query->set('orderby','post_title');
            $wp_query->set('order','ASC');
            $wp_query->query($wp_query->query_vars);
            return $wp_query;
        }

        function g5plus_remove_action_thumbnail(){
            if(is_archive()){
                $show_category_archive = g5plus_get_option('product_catalog_enable');
                if($show_category_archive == '1' || isset($_REQUEST['cate-filter'])){
                    add_action('woocommerce_before_shop_loop',array($this,'g5plus_get_category_product'),40);
                }
            }
            remove_action('woocommerce_before_shop_loop_item','woocommerce_template_loop_product_link_open',10);
            remove_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_add_to_cart', 10);
            remove_action('woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash',10);
            remove_action('woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_thumbnail',10);
            remove_action('woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title',10);
            remove_action('woocommerce_after_shop_loop','woocommerce_pagination',10);

            add_action('woocommerce_shop_loop_item_title',array($this,'g5plus_template_loop_product_title'),10);
            add_action('woocommerce_before_shop_loop_item_title',array($this,'g5plus_get_thumbnail_archive_product'),15);
            add_action('g5plus_woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash',10);
            //add_action('g5plus_woocommerce_before_shop_loop_item_title', array($this,'g5plus_woocommerce_show_product_loop_sale_countdown'),15);
            add_action('g5plus_woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_thumbnail',20);
            add_action('g5plus_woocommerce_get_product_hover_price','woocommerce_template_loop_price');
            add_action('g5plus_woocommerce_add_to_cart','woocommerce_template_loop_add_to_cart');
        }
        function g5plus_return_action_thumbnail(){
            add_action('woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash');
            add_action('woocommerce_before_shop_loop_item_title','woocommerce_template_loop_product_thumbnail');
            add_action('woocommerce_shop_loop_item_title','woocommerce_template_loop_product_title',10);
            add_action('woocommerce_before_shop_loop_item','woocommerce_template_loop_product_link_open',10);
            add_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_add_to_cart', 10);
        }

        /*Filter*/
        function add_filter(){
            add_filter('woocommerce_show_page_title',array($this,'g5plus_hide_woocommerce_show_page_title'));
            add_filter('woocommerce_product_related_posts_relate_by_tag',array($this,'g5plus_woocommerce_product_related_posts_relate_by_tag'));
            add_filter('woocommerce_product_related_posts_relate_by_category',array($this,'g5plus_woocommerce_product_related_posts_relate_by_category'));
            add_filter('woocommerce_sale_flash',array($this,'g5plus_change_sale_flash'),10);
            add_filter('g5plus_page_title',array($this,'g5plus_woocommerce_page_title'));
            add_filter('woocommerce_pre_set_query',array($this,'g5plus_change_wp_query'),10,2);
            add_filter('page_breadcrumbs_enable',array($this,'set_single_shop_breacrum'));

            // related columns and total
            add_filter('woocommerce_output_related_products_args',array($this,'g5plus_woocommerce_output_related_products_args'));
        }

        function set_single_shop_breacrum($enable){
            if(is_product()){
                $enable = g5plus_get_option('breadcrumbs_enable', 1);
            }
            return $enable;
        }

        /*ACTION*/
        function add_action(){

            add_action('woocommerce_enqueue_styles', array($this,'g5plus_disable_woocommerce_default_css'));
            add_action('woocommerce_before_checkout_form',array($this,'g5plus_title_before_check_out'),5);
            add_action('woocommerce_cart_actions', 'woocommerce_button_proceed_to_checkout', 20 );
            add_action( 'woocommerce_single_product_summary',array($this,'g5plus_title_single_product'),5);
        }
        function remove_action(){
            remove_action('woocommerce_after_shop_loop_item','woocommerce_template_loop_product_link_close',5);
            remove_action('woocommerce_sidebar','woocommerce_get_sidebar');
            $show_sort_count = g5plus_get_option('product_sort_count_enable');
            if($show_sort_count == '0'){
                remove_action('woocommerce_before_shop_loop','woocommerce_result_count',20);
                remove_action('woocommerce_before_shop_loop','woocommerce_catalog_ordering',30);
            }
            remove_action('woocommerce_archive_description','woocommerce_product_archive_description',10);
            remove_action('woocommerce_before_main_content','woocommerce_breadcrumb',20);
            remove_action( 'woocommerce_review_before', 'woocommerce_review_display_gravatar', 10 );
            remove_action( 'woocommerce_proceed_to_checkout', 'woocommerce_button_proceed_to_checkout', 20 );
            remove_action( 'woocommerce_single_product_summary','woocommerce_template_single_title',5);

        }
        function add_action_shortcode(){
            add_action('g5plus_shortcode_products',array($this, 'g5plus_change_sale_flash'));
        }

        /*Add action remove and return action Woocommerce*/
        function add_action_remove_return_shop_loop(){
            add_action('woocommerce_after_shop_loop',array($this,'g5plus_return_action_thumbnail'),5);
            add_action('woocommerce_before_shop_loop',array($this,'g5plus_remove_action_thumbnail'),50);
        }

        function g5plus_woocommerce_output_related_products_args($args){
            $default = array(
                'posts_per_page' 	=> g5plus_get_option('related_product_count',6)
            );
            $args = array_merge($args,$default);
            return $args;
        }
    }
    $gf_woocommerce = new GF_Woocommerce;
}